Version history:
------- -------
5.15 - 29 March 2026
Between 5.14 and 5.15, the following bugfixes were accomplished:

    Bug 666536 - smallest fraction of KRW is invalid
    Bug 798122 - Message about unable to balance transaction: Implement better can't-balance
                 messages for scheduled transactions with more than one template transaction.
    Bug 798873 - Crash when scrubbing after "undoing" changes
    Bug 799705 - Remove Old Prices by Namespace: Display namespaces and allow selecting particular
                 namespaces in the Remove Old Prices dialog.
    Bug 799706 - Rename Namespace: Add a rename namespace button to the Security editor that is
                 enabled by the selection of a namespace row in the tree view.
    Bug 799713 - Account Editor changes account color to gray when default selected.
    Bug 799722 - Inconsistent wording: Bill and Invoice: Use "Business Item" in messages that could
                 apply to any of Bill, Credit Note, or Invoice, including where we reuse the same
                 message in different cases.
    Bug 799734 - mapped OFX income account not listed
    Bug 799745 - Import matcher doesn't handle zero length memo and description properly

The following fixes and improvements were not associated with bug reports:

    Major improvement in Python bindings to enable engine methods to return Python objects instead
        of SWIG pointers. Covers Account, Split, Transaction, GNCLot, gnc_commodity,
        gnc_commodity_namespace, gnc_commodity_table, GNCPrice, GNCPriceDB, QofBook, QofSession,
        GncGUID, GncCustomer, GncEmployee, GncVendor, GncJob, GncAddress, GncBillTerm, GncTaxTable,
        GncInvoice, and GncEntry. GncOwner, the superclass of many of the business classes, is
        already covered. This allows more pythonic usage:
        * Call member functions directly, e.g. price.get_commodity() instead of using the C-function
          style gc.gnc_price_get_commodity(price)
        * The C-function call now raises a DeprecationWarning if called with a Python object but not
          if called with the instance, e.g. gc.gnc_price_get_commodity(price.instance)
        * It is no longer necessary to test and convert return values for being SwigPyObjects or not
          Python objects: Code like
            if type(desc).__name__ == 'SwigPyObject':
                desc = gnucash.Account(instance=desc)
          or
            if type(split) != Split:
                split=Split(instance=split)
         is no longer required.
    Enable copy-and-paste in Scheduled Transaction template transactions.
    Disable the Transaction Paste or Split Paste menu items in the register's Transaction menu when
        there is no transaction or split in the clipboard.
    Check all template transactions in a Scheduled Transaction for balance instead of only the first.
    Fix the last reconcile date sort in the Accounts page so that unreconciled accounts sort after
        reconciled ones instead of before.
    Ensure that custom report sub-menus can receive custom report entries.
    Import Matcher: Add trace messages to make it easier to track why some transactions aren't
       considered possible matches and uncomment the debug statements so that they can be emitted
       with --log arguments on the command line.
    Fix segfault in gnc_gsettings_get_settings_obj when GSettings schemas are not installed.
    Add tooltip explaining date-format selection to the CSV Import Assistant.
    CSV Importer: Reparse all import lines when changing date or currency formats or when setting
        base_account.
    [new-owner-report.scm] fix display/due-date tooltip
    Transaction report efficiency improvements.
    Ensure that gnc_commodity_compare produces a stable sort.
    Implement full test coverage of libgnucash/engine/qofid except for some unreachable code.
    Remove unused qof_collection_from_glist function.
    New function gnc_account_get_earliest_date returns the account's earliest split date.
        This usually reflects the account opening date.
    Provide an earliest-date sort option in the Accounts page and the balance-forecast report.
    Support 64-bit compilation on Windows.
    gnc_account_child_index: return -1 for non-child.
    Turn off deprecation warning for wstring_convert. It's deprecated in C++17 with no replacement
        until C++26.
    Update GncDateTime to handle new exceptions from Boost::DateTime
    Use std::chrono to create a GncDateTime. Boost::DateTime uses time_t and in some cases that's
        still 32-bit, leading to a potential 2038 bug.
    Fix GUI leaks in register completion cell, GncPluginPageRegister, and GNCPluginPageReport.
    [gnc-datetime.cpp] Fix potential bug in fast_iso8601_utc_parse

New and Updated Translations: Chinese (Simplified Han script), Croatian, Czech, Danish, Dutch, English (Australia), English (New Zealand), English (United Kingdom), French, German, Hungarian, Italian, Portuguese, Portuguese (Brazil), Russian, Spanish, Tamil, Turkish

5.14 - 21 December 2025
Between 5.13 and 5.14, the following bugfixes were accomplished:

    Bug 799504 - Description of CAMT 053.001.02 has duplicate text
    Bug 799538 - Clipboard pastes to wrong field in SX editor Fixed Cut, Copy and Paste when
                 focus is not in GnucashSheet. Now, when the user clicks on the "Scheduled
                 Transactions" tab, the focus goes to the last edited cell.
    Bug 799682 - Unable to "Save As" (or open) a non-xml data file
    Bug 799699 - Inconsistent column headers in scheduled transaction editor Template
                 transactions can't have totals, the formulas are just strings. Don't display
                 the Tot Foo labels, they confuse users.
    Bug 799701 - SX Editor error When Frequency=Once
    Bug 799702 - build breaks with guile 3.0.11

The following fixes and improvements were not associated with bug reports:

    Fix crashes in processing invoices and creating mulit-commodity transactions due to
        premature destruction of the account tree view. This unfortunately un-fixes Bug 799249
    Change the Transaction report when show subtotals only is selected: When Show only subtotals
        is selected (which suppresses display of individual transactions) the lowest level of
        subtotals is displayed in normal type and with just the category name instead of in bold
        type with a "Total of" prefix.
    Make the version information and the configured paths part of the About Dialog selectable.
    About dialog: Use the environment variable names for user directory labels instead of
        capitalized versions of the variables in gnc-filepath-utils. The environment variables
        are documented in the wiki and are what the user can change.
    Protect the special environment file prefix variables. A mailing list post reported that
        GnuCash crashes when he runs it with GNC_HOME=<somewhere random>. We use GNC_HOME to
        set XDG_DATA_DIR in the environment file to accommodate relocating GnuCash on macOS and
        Windows and GnuCash crashes when the schemas aren't found so prevent the user
        from setting the 6 special environment variables either from the environment or by
        editing the environment file.
    Add a Postponed column to the Scheduled Transactions list as requested by Bug 799664. The
        column is hidden by default since it's not useful to people who don't postpone scheduled
        transaction instances.
    Fix the overly-narrow text boxes in the options dialogs.
    Improve the algorithm behind autoclearing transactions. It can now handle up to 30 uncleared
        transactions in an account reasonably quickly.
    Fix stale account balances and grand total during transaction import
    Removed China Merchants Bank from quote sources. The Finance::Quote module is no longer
        working and will be removed in the next release.
    Added US Bonds (usbonds) to gnc-commodity.cpp New Finance::Quote module to get prices for
        series E, EE, or I bonds
    Bulgarian Lev (BGN) replaced by Euro 1 Jan 2026.
    SRFI-64 test-equal no longer considers exceptions equal to #f.
    Improve some translatable strings.
    Xml Backend: speed up parsing of node text and of GUIDs.
    A variety of leak fixes and efficiency improvements.
    Replace deprecated g_binding_get_target, and increase glib version to 2.68
    API change: Remove gnc_account_foreach_split reverse iteration, not used by GnuCash.
    Reset gui component session when saving a new file, including Save As of an existing book,
        reset the managed gui components to the new session prior to clearing the old session.

New and Updated Translations: Arabic, Chinese (Simplified Han script), Croatian, Danish, Dutch, French, German, Hungarian, Indonesian, Macedonian, Portuguese, Russian, Serbian, Spanish, Swedish, Tamil, Turkish, Ukrainian

5.13 - 28 September 2025
Between 5.12 and 5.13, the following bugfixes were accomplished:

    Bug 343711 - Splits to Imbalance-USD do not disappear when zero-valued.
                 To mitigate potential impact, the Imbalance split is only
		 removed when the split transitions to zero value during the
		 commit of the transaction and the split's memo and action
		 have no value.
    Bug 799249 - Crash while switch to recently opened file
    Bug 799638 - error: call to non-'constexpr' function
    Bug 799649 - Ensure that GnuCash does not crash when it converts a
                 foreign-currency transaction into a trading account
		 transaction.
    Bug 799650 - Reconcile Ending Balance Ignored When Statement Date Set
    Bug 799652 - Invoice price decimal places
    Bug 799654 - Zombie entries in the recently accessed file list.
    Bug 799656 - Invoice and bills still display prices as fractional amounts
                 with "Force Prices to display as decimals"
    Bug 799657 - Incorrect trial Balance report with stocks and multiple
                 currencies
    Bug 799661 - Exchange Rate entries displayed in reports in an unstable order
    Bug 799662 - Importing accounts from UTF8 csv file does not work correctly

The following fixes and improvements were not associated with bug reports:

    Provide a new dialog, gtk_action_dialog, for confirming actions that labels
        buttons with a active verb (e.g. "Delete") instead of a confirmation
	(e.g. "Yes" or "OK"). This is hypothetically less ambiguous in some
	cases. Note that the dialog is not yet used anywhere.
    Transaction Report: Add links to bills and invoices.
    [gnc-plugin-page-report] confirm before overwriting saved report
    Added Swiss Fund Data AG to single_quote_sources. New F::Q source will be
        available in v1.67. The selection will be disabled until F::Q 1.67 is
	released and installed.
    Replace deprecated gdk_pixbuf_new_from_xpm_data
    Fix tests so that they run on Win32 builds.
    Fix inadvertant insertion in test-trial-balance.scm.
    extract-translators: Use 'open :encoding' instead of utf::encode/decode.
    Fix newline disparity in translator-credits
    Translator credits: Separate translators with a newline Instead of a
        semicolon. Presents them as a list, one name per line, as with the
	other credits.
    [fin.c] fix encoding to utf8
    [new-owner-report.scm] insert job-ID if available
    [balsheet-pnl] use gnc:accounts-get-commodities-sorted
    Set policy CMP0177 and follow the documented recommendations regarding
        DESTINATION paths.
    [balsheet-pnl] ensure the account name cell doesn't wrap
    Specialize get_row_value_from_object for int64_t so that it doesn't try to
        pass the value in a pointer. That comes out badly on 32-bit systems.
    [charts] Add chartjs v4 to borrowed so it can be used when available
        (meaning not on Windows because Windows's JS support via webkit is too
	old).
    [charts] use gnc:html-chart-set-xaxis-type!
    [html-chart] expose gnc:html-chart-set-x-axis-type!: Centralise to ease
        chartjs upgrade. The option path changes as follows: '(options scales
	xAxes (0) type) in chartjs-2 '(options scales x type) in chartjs-3
    [gnc-pricedb.cpp] plug leak from gnc_g_date_new_today
    [gtest-xml-contents] test xaccTransGetDatePostedGDate from xml
    Engine: Replace indirect qof_object_set/get calls with direct
        qof_instance_kvp ones.
    [gtest-load-and-test-datafile.cpp] add example .gnucash to test contents.

New and Updated Translations: Catalan, Chinese (Simplified Han script), Chinese (Traditional Han script), Croatian, Danish, English (Australia), English (New Zealand), English (United Kingdom), French, German, Hebrew, Hungarian, Marathi, Portuguese, Portuguese (Brazil), Russian, Slovak, Swedish, Tamil, Ukrainian
5.12 - 29 June 2025

The following bugfixes were accomplished:

     Bug 648768 - Warning "Change Reconciled Split" has wrong cursor fu
     Bug 797766 - Automatic decimal point doesn't work properly with zeros when
                  entering stocks.
                  Preserve the decimal point when printing numbers with no
		  decimal places to stop the auto-decimal code from triggering
		  when exiting the field.
     Bug 799490 - Error on start or opening a gnucash file: Can't parse the URL
                  g_filename_from_uri can't handle # in paths but
		  gnc_uri_get_path can.
     Bug 799506 - reconcile bad date pops to 1969
     Bug 799521 - Segmentation fault on Autocomplete of Description with ß
     Bug 799572 - Return proper status code when Finance::Quote errors during
                  price quote retrieval via CLI.
     Bug 799580 - Swiss currency symbol is displayed as SFr. instead of CHF
                  Replace SFr. with Fr. as SFr. is obsolete but Fr. is still
		  widely used. This is the local symbol so users who want CHF
		  can set it in the security editor.

     Bug 799582 - Mortgage and Loan Assistant - Compounding Formula
                  Adds a semi-annual compounding period for Canadians
                  and implements the more correct simple-rate formula
                  provided by a Canadian licensed accountant. Also
                  adds support for day-interval loan payments, ensures
                  that the formula on the repayment page reflects
                  changes on that page, ensures that the number and
                  amounts of payments are correct when payments are
                  more frequent than monthly, use the correct intest
                  rate for compunding calculations, and fixes some
                  memory issues.
     Bug 799590 - Pressing enter after changing date on initial reconcile
                  information window does not change ending balance.
     Bug 799592 - "No transactions found" when importing CSV transactions
     Bug 799593 - macOS: mariadb hardcodes plugin paths to original install
                  directory.
     Bug 799594 - GnuCash 5.11 fails to build with boost 1.88
     Bug 799597 - Crash when deleting all splits in General Journal
     Bug 799602 - Unit Price on Invoice will NOT display as decimals
     Bug 799603 - Does not save to mysql on localhost.
     Bug 799623 - test-backend-dbi fails after 2038

The following fixes and improvements were not associated with bug reports:

     [reports]Lazily generate sub-reports. Reports with links to detail
          sub-reports like the budget reports would take a long time to generate
	  because they built both the main report and all of the sub-reports.
	  Now the sub-reports generate when the user clicks the link in the
	  main report.
     Security editor quote sources: Add new source, China Merchants Bank. Remove
          no longer supported F::Q Modules Bloomberg.pm, DWSFunds, Investor's
	  Exchange (U.S.), Morningstar Australia, Skanddinaviska Enskilda Banken,
	  Tiaacref.pm, Troweprice.pm and many of the multi-source sources from
	  the Security Editor.
     [import-main-matcher.cpp] Add tooltips to transaction A, U+C, and C action
          columns in the generic transaction import matcher.
     [reports] Use ICU for Unicode string comparison and substring search
          because it knows how to correctly localize comparisons of accented and
	  unaccented characters.
     [reports] more robust error handling if target report doesn't exist.
     Register: Ensure splits belong to transaction when doing bulk operations on
          a transaction's splits.
     Drop the definition of __EXTENSIONS__ from three files and instead move it
          to compiler options if on a platform that needs it.
     Avoid non-POSIX "echo -n" behavior in util/gnc-vcs-info.
     Add testbuild target which builds tests without running them to accommodate
          packaging processes that run ctest separately.
     [engine.i] convert gnc_account_accumulate_at_dates to c++.
     [gnc-engine-guile.cpp] helper gnc_split_to_scm function.
     [gnc-engine-guile] reduce overhead of gnc_foo_to_scm by caching the result
          of SWIG_TypeQuery(typestr)
     [balance-forecast] optimise some loops: fewer temporary lists and gc
     Let cmake probe for the existence of HAVE_STRUCT_TM_GMTOFF, fix build of
          test-gnc-date on systems without HAVE_STRUCT_TM_GMTOFF, and avoid
	  unused variable warnings on systems without HAVE_STRUCT_TM_GMTOFF
     Wrap include of gtest.h and gmock.h with a warning-silencing pragma.
         See https://github.com/google/googletest/issues/4701 The warnings cause
	 the Arch Linux CI to fail because of -Werror.
     Fixed GetInvoiceFromTxn to convert to the right type of Python object for
          a GncInvoice.
     [test-report-utilities] more tests for gnc:account-accumulate-at-dates
          testing balances at date boundaries

New and Updated Translations: Arabic, Bulgarian, Chinese (Simplified Han script),
      Danish, Dutch, Finnish, French, German, Hungarian, Portuguese, Romanian,
      Russian, Spanish, Swedish, Turkish

5.11 - 30 March 2025
The following bugfixes were accomplished:

    Bug 797824 - Inconsistent behavior in Loan Review
    Bug 798946 - start/end of current/last quarter have off-by-one error
    Bug 799035 - CSV Export: 'Accounts Selected' text has bad formatting
    Bug 799334 - GnuCash re-opens to incorrect page
    Bug 799343 - Dialog boxes won't remain sized and positioned - part1
    Bug 799449 - Save As... sequence from SQL to XML format does not clear lock on the origin SQL book.
    Bug 799465 - Register Filter Today radio buttons don't work correctly
    Bug 799480 - Fails to build with ICU 76
    Bug 799487 - Unable to save gnucash DB file as XML file
    Bug 799491 - Add "Clear All" button to register filter
    Bug 799494 - Version 5.10 Fails to import QIF file
    Bug 799501 - Gnucash grashes on startup ice-9/read.scm error
    Bug 799502 - Autocomplete of split only completes description
    Bug 799514 - Pie chart hovering shows wrong information in pop-up
    Bug 799528 - Crash on account deletion (edit)
    Bug 799533 - Saved reports configurations are opening with…
    Bug 799562 - Import Map Editor Non-Bayesian crashes gnucash
    Bug 799564 - Decimal point confusions when getting stock quotes from aex
    Bug 799565 - Reconcile date default doesn't update to reflect previous reconciliation.

The following fixes and improvements were not associated with bug reports:

    Adjust quarter begin and end dates to align with Accounting Period (Fiscal Year) start and end dates when the
      latter are not the first/last of the month.
    Update Form/Schedule line references for 2024 for the US Income Tax Report
    Better handling of complex Jump to other split operations:
      * Expand multi-split transactions in the destination register after a jump and select the destination split.
      * Emit a warning when a Jump to other split operation can't be performed instead of doing nothing.
      * When there are multiple splits but only one other account Jump will jump to the transaction in that other
        account's register regardless of what split is selected in the original register.
      * Do nothing when the user attempts to jump to another split in the current register's account.
      * Add a new Register preference "Jump action for multiple splits"
        Make the behaviour when the "Jump" operation encounters a transaction with more than two splits configurable.
        This can be configured as:
        * Do nothing (this is the default)
        * Use the split with the largest value
        * Use the split with the smallest value.
        This makes it much easier to jump between accounts for stock transactions that include splits for fees and
        taxes, or dividend transactions that have a zero value split for the stock account.

    Allow more account types in the payment window's transfer account list
      So far it was limited to Asset, Liability, Credit Card and either Income (for customer payments) or Expenses
      (for vendor payments). There are however use cases where a customer payment also covers expenses (like for
      example a Paypal service charge). To allow for as many edge cases as possible the filter now only excludes
      those account types I worry will break the business logic: AP and AR accounts. That is, with this change
      you won't be able to create a customer payment (which necessarily has one split an an AR account) that
      transfers to another AR or to an AP account. While even that may work, I am sure the business features weren't
      designed to cope with this and I can't exhaustively test that.
    Support for enums as GtkRadioButton preferences
      The "=" in the widget name will separate the pref name from the enum string value that is used when the radio
      button is activated. When the radio button is deactivated, its preference update is ignored because another
      button must have been made active.
    Allow warning dialogs to be the dismiss-only variant
      All existing dialogs are either QUESTION or WARNING. Allow INFO, ERROR and OTHER to remember being dismissed
      without asking a question.
    Improve GncNumeric(std::string) to handle unicode spaces and thousands separators.
    Add function to GncQueryView to expand column
    Add function gnc_query_set_expand_column to GncQueryView so that the expand column can be specified that takes
      up any available free space. Use this function in the Due Bills/Invoice Reminder to to set the expanding column
      to the company name.
    [Account.hpp] New function gnc_account_get_all_parents returns reversed path vector
    Fix python bindings built with Swig-4.3.0.

New and Updated Translations: Chinese (Simplified Han script), Croatian, Dutch, English (Australia),
English (New Zealand), English (United Kingdom), Estonian, Finnish, French, German, Greek, Hebrew, Hungarian,
Norwegian Bokmål, Persian, Portuguese, Portuguese (Brazil), Russian, Spanish, Swedish, Tamil, Ukrainian

5.10 - 15 December 2024
The following bugfixes were accomplished:

    Bug 798789 - Trading Accounts
    Bug 799283 - Segfault/Crash if payment dialog change from customer to vendor
    Bug 799420 - gnucash 5.8 crashes on windows 10 while importing qif
    Bug 799423 - Crash when creating ETF transaction
    Bug 799429 - Crash when changing accounting period end date
    Bug 799430 - Type-Ahead feature lost account setting functionality
    Bug 799433 - Right-click issue in import window
                 Make the context menu apply to the row under the pointer
                 instead of the selected row.
    Bug 799435 - Right-click issue in reconcile window
                 Right click should open the context menu, not extend the
                 selection.
    Bug 799437 - Crash deleting and recreating an SX with the scheduled
                 transaction editor open
    Bug 799439 - Duplicate information in description when importing
                 CAMT.053.001.02 via aqbanking
    Bug 799443 - Edit find account jump then open, open the last highlighted
                 account not the jumped to account
    Bug 799444 - Silent crash on CSV import
    Bug 799451 - Cannot translate different meanings of string "_Balance" to
                 Chinese.
                 Add context to the msgids.
    Bug 799452 - Transaction Report: Cannot subtotal based on Number field
                 Enable grouping and subtotals for Num field
    Bug 799454 - Numeric value in exported CSV transactions
    Bug 799456 - Tabbing through fields autoselects all but Num field
                 By which the reporter means that the value in every cell
                 except Num is selected on cell entry.
    Bug 799458 - Crash attempting to edit a scheduled transaction
    Bug 799470 - Crash when clicking on Schedule Transaction Editor

The following fixes and improvements were not associated with bug reports:

    Tabs now close when you middle-click on them.
    The SX editor's saved duration and height are stored differently in
        preferences so values previously saved will be lost when switching
        between versions 5.9 and 5.10 (and later). We regret the inconvenience
        but the new scheme better matches GnuCash's use of the preferences.
    Allow 0 cash amount when using the Stock Assistant to create a sell
        transaction. This might happen if the commission and fees exactly
        balance the proceeds of the sale.
    Enforce searching for our gsettings schema files first where they were
        installed. This was not done when the installation prefix was /usr
        or /usr/local which could potentially cause gnucash to find other
        schema files first.
    Set tooltip text on the outer tab container again so that it can be updated
        by main_window_update_page_long_name.
    Tooltips on chart reports now appear any time the pointer hovers in the
        chart area and reflect the nearest point. Previously the pointer had
        to be very close to a point.
    Updated the quote source lists in the Security Editor dialog to reflect the
        current Finance::Quote version.
    Display a warning dialog when a transaction is unbalanceable because the
        user has set a minimum fraction on an account smaller than the
        security's fraction in a book using trading accounts.
    Deleting a commodity will fail if there are accounts denominated in the
        commodity. When reporting the error to the user list those accounts.
    Correct in Tips of the Day the IRC network where GnuCash's channel can be
        found.
    Ensure Python bindings Session constructor loads the session's data.
    Fix compile failures with Boost 1.87. This requires the minimum Boost
        version to be 1.67, removing the option for distributions to patch
        older versions.
    Prevent deleting an account with an open register from logging spurious
        errors
    Check that GUI refreshes are not suspended before calling
        gnc_gui_refresh_all.
    Unify wording for alphavazntage tooltips.
    New script to update translator-credits. See POD for usage instructions.
    Document cmake 3.14 requirement set a year ago.

New and Updated Translations: Chinese (Simplified Han script),
    Chinese (Traditional Han script), Croatian, Dutch, English (Australia),
    English (New Zealand), English (United Kingdom), French, German, Hebrew,
    Hungarian, Japanese, Portuguese, Portuguese (Brazil), Russian, Spanish,
    Swedish, Ukrainian

5.9  - 29 September 2024
The following bugs have been fixed:
    Bug 724745 - Added new transaction during reconcile, didn't show up in
                 reconcile window.
    Bug 797045 - Improve error reporting for bad credentials with MySQL backend
                 ("bad or corrupt data" => "access denied")
    Bug 798568 - Transaction Copy/Paste problem
    Bug 799308 - sqlite backend: Example Python script prints error when
                 creating new file.
    Bug 799370 - Transaction Journal view cursor placement after commit to
                 transaction change.
    Bug 799384 - Reconciled date cannot be parsed.
    Bug 799389 - Crash when removing an account
    Bug 799391 - Transaction Cut/Paste doesn't move the transaction to the
                 target account
    Bug 799395 - relative date offset quarters occasionally wrong
    Bug 799399 - Windows Keypad decimal locale error
    Bug 799416 - Post invoice: post to account dropdown listbox too small
    Bug 799419 - Intermittent quote price issue

Other repairs or enhancements not marked as bugs:

    Add YH Finance (FINANCEAPI) API Key to Quotes infrastructure with a
        preference in the Online Quotes page and add financeapi to known
        sources.
    Move copied_class and copied_leader_guid
    Move static copied_class and static copied_leader_guid to be part of the
        copied_item structure. This makes it more evident that calling
        clear_copied_item needs to be called before copied_item is used.
    [gnc-datetime] improve CSV date parser with ICU and Boost.
        1. Add dateformat "Locale" with ICU; uses current locale for date
           parsing. ICU's locale date parser may parse "3 May 2023" or
           "2024年9月13日" (LC_TIME=zh_TW.utf8) and maybe others.
        2. Augment d-m-y m-d-y and y-m-d with boost UK/US/ISO parsers. This
           allows CSV import of dates with months as words as "30 Sep 2023"
           or "May 4, 1978" or "2023-Dec-25". Note boost parser cannot
           recognise 2-digit years, therefore "30 Sep 24" is invalid.
    Csv Import - improve assisant's introduction page
    Correctly handle uncommitted edits when opening a file from history.
    Don't use gnc_difftime and deprecate it because it casts time64 to doubles
    [gnc-pricedb.h] remove unused gnc_pricedb_substitute_commodity
    [gnc-pricedb.h] remove unused gnc_pricedb_lookup_at_time64

New and Updated Translations: Assamese, Chinese (Simplified),
    Chinese (Traditional), Croatian, Dutch, English (United Kingdom), Hebrew,
    Hungarian, Macedonian, Norwegian Bokmål, Portuguese (Brazil), Russian,
    Spanish, Swedish, Turkish

5.8  - 7 July 2024
The following bugs have been fixed:

    Bug 799347 - Edit account to make it sub account under other account

There were no other changes.
New and Updated Translations: Chinese (Traditional), Hebrew, Hungarian, Macedonian, Spanish
5.7  - 20 June 2024
The following bugs have been fixed:

    Bug 669031 - Save the Scheduled Transactions number of months
    Bug 669035 - Save the Scheduled Transaction divider position
    Bug 798822 - Move to blank transaction
    Bug 799047 - AutoComplete Only Considers Visible Transactions
    Bug 799258 - Reports calculating net worth incorrectly after stock split
    Bug 799262 - Failed import QIF investment
    Bug 799264 - option account selector fails to include appropriate hidden
                 accounts.
    Bug 799268 - Cannot write a check over $1000
    Bug 799272 - Crashes when pasting a copied transaction
    Bug 799279 - Import Matcher (CSV) does not compute correctly the share
                 amount based
                 on security price
    Bug 799281 - Deleting a transaction may trigger a crash
    Bug 799290 - Invoice register context menu issue
    Bug 799298 - Shortcut Ctrl-G does not work in the General Journal register
                 for the default date value
    Bug 799300 - Nullpointer exception in gnc_quote_source_s
    Bug 799305 - Crash when there is more than one unknown quote source for
                 commodities
    Bug 799309 - Import Multi-split CSV can duplicate 'Notes' field from one
                 transaction to next
    Bug 799320 - GNUCash Immediately Exits on Startup
    Bug 799324 - Invalid free in gvalue_from_kvp_value()
    Bug 799334 - GnuCash re-opens to incorrect account window if there are
                 transient tabs present when closed.
    Bug 799336 - Stock Assistant closes with its New Account dialog
    Bug 799339 - RFE: Add Document Link for Payments to Owner Report

Other repairs or enhancements not marked as bugs:

    New Report: Exprimental>Transaction Breakdown Report

        Retrieves transactions from an account, distributes the splits into accounts
        - note if a transaction has 2 or more splits into 1 account, the transaction
          account cell will show the sum of the 2 splits
        - note if a transaction's currency is different from the account's currency,
          both amounts will be shown into the appropriate currency.
        [txn-columns] multilevel sorting - type then name.
    Add ability for the dense calendar to start from any week day.
    In the dense calendar, add a default number of months per column entry to the view
        model to get a better layout when the function gnc_dense_cal_set_num_months is
        solely used.
    Add today indication on the dense calendar
    Updated the Quote Sources list in the Security Editor to match F::Q v1.59
    Import Matcher - select row if none is selected yet when right-clicking the
        list of matches
    Change the default visible period for General Ledger from 1 calendar month to 30 days.
    Fix Failing SRFI-64 tests being reported as pass by ctest with guile-3.
    Ensure that filters are re-applied to multi-account registers when the number of
        included sub-accounts changes.
    Copy the latest price when creating a new entry in the Price Editor from a
        commodity selection
    New function gnc_account_foreach_until_date uses binary search to find first split
        after date, then for_each from earliest split to (but excluding) that split.
    New function gnc_reports_foreach to abstract GHashTable-base implementation.
    Cleanup - remove deprecated function (re-)defines that were deprected 11 years ago.
    [engine.i] move gnc_accounts_and_all_descendants to engine.i
    [Account.cpp] Convert children from GList to std::vector.
    [html-utilities.scm] show acct full names in gnc:html-render-options-changed
    [ifrs-cost-basis.scm] amend truth table as per bug 797796 comment 241 further
        amendments to match updated truth table.
    Clean up some obsolete tools and references to non-git VCS's
    Rework version-info rules to allow building from github downloaded zip archives
    Remove account splits in reverse crono order, speeds up book shutdown.
    Move libgnucash/doc/xml to libgnucash/backend/xml/DTD
    Remove libgnucash/docs, ensuring all of the content is available either in Doxygen
        comments or in the Wiki.
    Remove XCode info from HACKING, obsolete. Move valgrind/callgrind instructions to
        the Wiki.
    Move doxygen target and related files to toplevel. Note: this also means the target
        directory changes from libgnucash/docs/html to [toplevel]/doxygen/html and the
        main page is specified directly in doxygen.cfg.
    Drop old migration script to split qof from engine
    Update doxygen.cfg file to more recent release
    Doxygen - Clean up obsolete files and comments.
    [gnc-ofx-import.cpp] show message while deduplicating download
    Replace more GLib containers with C++ containers.
    Change python install path to be compatible with distro installations.
    Update some C++ template override signatures to be C++20 compliant.
    [gnc-log-replay.cpp] don't set import to DEBUG because it'll spew too many debug
        messages when gnc-log-replay completes.
    Fix transaction report sorting/show-account-description and display.
    [test-commodity-utils.scm] don't test TZ-sensitive datetimes
    [engine.i] gnc_get_match_commodity_splits from scheme to c++ for better efficiency.
    [utest-Account] add more balance limit tests
    Convert more C files to C++
    Fix more memory leaks and use-after-frees.
    [Transaction|Split.cpp] Remove Reg2 unused functions

New and Updated Translations: Arabic, Croatian, Dutch, English (Australia),
    English (New Zealand), English (United Kingdom), French, German, Hebrew, Hungarian,
    Italian, Japanese, Macedonian, Norwegian Bokmål, Polish, Portuguese (Brazil), Slovak,
    Tamil, Turkish, Urdu

5.6  - 31 March 2024
The following bugs have been fixed:

    Bug 798946 - start/end of current/last quarter have off-by-one error
    Bug 799093 - Cannot reconcile since v5.4
    Bug 799179 - SLR won't allow change from "Reminder" to any other state
    Bug 799210 - Bad encoding of accented chars in account names in
                 "Import CSV" wizard
    Bug 799213 - SIGSEGV caused by revising an auto completed transaction
    Bug 799222 - Crash when changing the parent of an account that has had two
                 or more levels of sub-accounts auto-created using the register
                 in the current session.
    Bug 799224 - Import of QIF gets Bug detected during duplicates (partial
                 fix: If the new-splits object is null, it means the new
                 account tree from the current import has no splits. Therefore
                 the (apply min|max dates) will fail. Omitting the date query
                 is a simple fix to prevent crashing. This is a partial fix
                 because the crash is likely a symptom of another bug which
                 causes the new account-tree to be empty.
    Bug 799225 - QIF Importer Crashes Silently after "Start Import" Button:
                 Don't allow a QIF investment transaction without an action
                 (buy/sell/etc)
    Bug 799246 - import matcher will rename incorrect splits

Other repairs or enhancements not marked as bugs:

    Numeric parsing and string handling improvements in the Engine and XML
        backend.
    [gnc-dense-cal.c] sx popup: show date in preference (cf.locale) format
        because the date format preference is user-facing and customisable.
        It's jarring if the preference is dd/mm/yyyy and the display shows
        mm/dd/yyyy in accordance to the locale.
    Correct misleading description about creating Scheduled Transaction.
    Date parsing efficiency improvements.
    Update minumum Python version to 3.8, made necessary by updating the C API
        in the Python bindings.
    Replace deprecated distutils.sysconfig with sysconfig. distutils is not
        present in Python 3.12.2.
    Query user via dialog for date when creating a reverse transaction.
    More C++ conversions
    Avoid deprecation warning for -py3 in swig >= 4.1
    [gnc-commodities.cpp] gnc_new_iso_codes is a std::unordered_map
    Replace some naked for loops with C++ algorithms
    Convert gnc-commodity to C++ and make GncQuoteSources a C++ class.
    [test-commodities.cpp] add some tests for gnc_quote_sources
    Remove the SLR status sort as it is too confusing
    Allow sorting of the transaction column in the Since Last Run dialog by
        schedule name or occurrence date. To sort by schedule name, a schedule
        name is first selected and then the column header is pressed to change
        order. To sort by occurrence date, a date is selected and then the
        column header is pressed to change order based on the date of the
        first occurrence. A tool tip has been added to indicate the sort order
        being used.
    [gtest-gnc-numeric] add operator comparisons with example int64 numbers
    [assistant-stock-transaction] store & retrieve associated account as
        metadata
    Update Form/Schedule line references for 2023 for the US Income Tax Report
    Update another gnucash-help to gnucash-manual
    [invoice.scm] centralize layout components into layout-key-list instead of
        maintaining 2 assoc lists.
    [invoice.scm] normalize header section generators, changing the functions
        to require 1 options argument only
    Update invoice.scm: Add spacing for long Invoice ID's (Displayed as
        "Reference" on the Invoice)

New and Updated Translations: Croatian, Dutch, English (Australia),
    English (New Zealand), English (United Kingdom), French, German,
    Hebrew, Hungarian, Indonesian, Japanese, Norwegian Bokmål, Polish,
    Portuguese, Slovak, Spanish, Swedish

5.5  - 17 December 2023
The following bugs have been fixed:


    Bug 607000 - SLR visible transactions
                 Change the Since Last Run dialog to show only transactions
                 with a non-empty Status.
    Bug 792241 - Allow sorting scheduled transactions
    Bug 798025 - SLR Value entry not tied to location
                 Disable scrolling and the horizontal scroll bar while an entry
                 has focus.
    Bug 798760 - SLR OK button to complete value entry
                 With this change the Since Last Run dialog's OK button will
                 commit an in-progress edit and advance to the next edit
                 requiring input. It will close the dialog only if there are
                 no more edits.
    Bug 798760 - SLR change reminder with value entry
                 Change transaction state from Reminder to ToCreate when the
                 user has provided the needed value and clicked OK.
    Bug 798890 - Printing Problem
    Bug 799087 - Import - Unbalanced (need acct) transactions now show in red
                 (previously orange).
    Bug 799090 - Right Clicking scheduled transaction
                 Ensure that the selection highlight changes to the item under
                 the pointer when right-clicking in the SX Editor.
    Bug 799092 - GnuCash 5.4 leaves background process running on exit
                 Clear the schema_hash at app shutdown via
                 gnc_prefs_remove_registered and make that function available
                 to the Python bindings so that python programs can do so too.
    Bug 799099 - Crash when trying to get quotes
    Bug 799104 - "Asset Chart" broken
    Bug 799108 - "Since Last Run" crashes if there are any errors creating a
                 scheduled transaction: Capture errors and display them in a
                 dialog box instead.
    Bug 799113 - "Start Import" button reports "Failed"
    Bug 799121 - Parse error on CSV import on MacOS
    Bug 799130 - split-register.c:1847:gnc_split_register_save: assertion
                 failed: (xaccTransIsOpen (blank_trans))
    Bug 799134 - Fails to build with GCC 14 (‘find_if’ is not a member of ‘std’;
                 did you mean ‘find’)
    Bug 799138 - Port to new Python C config API
    Bug 799143 - FTBFS on 32bit architectures
    Bug 799144 - Date Completion is broken after 5.4 upgrade
    Bug 799148 - Reliable crash when saving a modified saved report
                 configuration
    Bug 799150 - Can't paste text (with Ctrl+V) in Notes field in Account Tree
                 View
    Bug 799151 - gnc_date_get_last_mday () does not account for leap years
                 correctly.
    Bug 799152 - normalize_reldate_tm() does not handle dates with months
                 greater than 11 or less than -11 correctly.
    Bug 799156 - normalize_struct_tm() does not normalize seconds,minutes, and
                 hours correctly.
Other repairs or enhancements not marked as bugs:

    Cancel the QIF import instead of inserting the default directory if the
        user cancels the file-selection dialog.
    Memory leak fixes
    Rename the scheduled transaction edit/new/delete menus to resolve a
        shortcut conflict.
    Allow saving the sort column in the Since Last Run dialog
    Ensure that Print Checks obtains for the check amount the sum of all splits
        in the current register account and subaccounts.
    Ensure that report page actions are re-enabled after editing options. Some
        actions (Print, PDFExport, and Report Options) had been left disabled.
    Ensure GncDateEntry always reverts to today if the user enters an invalid
        date string.
    Direct cmake to find the base installed Python3 instead of the latest
        version installed. Reference Cmake Issue 24126, Cmake Issue 24878, and
        CMake merge request 8287. Note that this requires CMake 3.20 or later;
        users of older versions will still get the newest installed Python
        version.
    CI: Run distcheck on one workflow to catch quickly instances where someone
        adds a file but forgets to update the distribution.
    Primarily of interest to developers: We've added a new CMAKE_BUILD_TYPE,
        Asan, with two options -DLEAKS and -DODR, both of which default to OFF.
        This creates a non-optimized, with-symbols build with the Address
        Sanitizer hooks compiled in. While the primary motivation is a CI run
        to ensure that there aren't any memory allocation errors revealed in
        the test suite, this is also a useful build to use when debugging a
        segfault crash, many of which are caused by use-after-free errors. When
        building on non-Apple platforms -DLEAKS=ON will add leak detection,
        dumping a stack trace for the allocation of any leaked heap or
        free-store allocations. Similarly and on non-Apple platforms only
        -DODR=ON will log violations of the C++ one definition rule.
    Also of interest to developers: A new cmake option -DCOVERAGE. When on and
        in a non-optimized build this will instrument the program and libraries
        to count usage for every source line. The option also adds three
        targets, lcov-initialize, lcov-collect, and lcov-generate-html. The
        primary motivation is to assess the completeness of tests in CI, see
        https://gnucash.github.io/Coverage-HTML for the latest results.

New and Updated Translations: Chinese (Simplified), Croatian, Dutch, English
    (Australia), English (New Zealand), English (United Kingdom), Finnish,
    German, Gujarati, Hungarian, Italian, Norwegian Bokmål, Polish, Portuguese,
    Portuguese (Brazil), Romanian, Russian, Slovak, Spanish, Swedish

5.4  - 24 September 2023
The following bugs have been fixed:


    Bug 728875 - Back button does not work in QIF import assistant
    Bug 797507 - GnuCash Splash screen may disappear before the main window
                 appears
    Bug 798709 - Total(Period) column does not refresh period's value after
                 update of the period in settings.a>
    Bug 798904 - GnuCash on Windows opens a CMD window at startup.
    Bug 798925 - Python bindings: "invalid unclassed pointer in cast to
                 'QofInstance'".
    Bug 798944 - Program crashes when matching transactions
    Bug 798950 - Bug Report: Incorrect Currency Conversion and Provider
                 Invoice Payment Recording
                 * When balancing lots use the split amount, not the value
                 * Recalculate the values using deduced exchange rates after
                   adjusting split amounts.
                 * Be conservative when recalculating values after breaking
                   up a split to avoid imbalances caused by rounding.
    Bug 798958 - gncScrubLotLinks will infinite loop in some conditions
    Bug 798982 - GetQuotes crashes if Finance::Quote returns an empty date.
    Bug 798983 - Empty Orphan account appears after entering transactions in 5.3
    Bug 798990 - Notes No Longer Autofills
    Bug 798991 - Incorrect Account Name Order in Transaction Report
    Bug 798995 - Keystrokes ignored during ledger entry
    Bug 798998 - Job Report Not Working
    Bug 799004 - Update of Prices attaches incorrect Date
    Bug 799010 - gnc-register-account-sel-limited-option errors doesn't work
    Bug 799020 - widget of gnc-register-list-option disregards user's clicks
    Bug 799021 - Saved report renders default of gnc-register-list-option
    Bug 799036 - Import prices from a CSV date problem
    Bug 799039 - gnc:strify produces unusual results or crashes GnuCash when
                 fed an option from gnc-lookup-option
    Bug 799048 - Hover on tab not correct
    Bug 799051 - Shortcut Ctrl + Tab not working in 5.3
    Bug 799054 - Stock Assist not functioning
    Bug 799060 - Consistent Crash in Invoices
    Bug 799068 - csv export active register not working
    Bug 799069 - Multicurrency Invoice Payment
    Bug 799075 - Saving display tab changes in Report Options does not work.
    Bug 799084 - Unable to create new scheduled transaction

Other repairs or enhancements not marked as bugs:

    [import-main-matcher.cpp] After clicking/toggling A/U+C/C checkbox,
        reselect the row because it'll be much faster to use keyboard
        navigation -- use up/down/left/right to target desired checkbox,
        hit <down> <space> repeatedly to repeat the same action over several
        consecutive rows.
    Implement support for !Type:Prices records in the QIF importer.
    Modernize construction of GObjects using G_DECLARE_DERIVABLE, G_DECLARE_FINAL, etc.
    Fix yet more leaks.
    [DBI backend] Change DBI test URLs to environment variables from cmake
        configuration definitions.
    Restore the Stock Transaction Assistant to full operation.
    Fix the Fancy Date file property so that it saves.
    Fix formatting error in po files project-id line.
    [simple-business-create.py] Overwrite an existing file instead of crashing.
    Update github action package versions.
    Add parsing mixed number and fraction (e.g. 10 1/2) to the gnc_numeric
        string constructor.
    Bump minimum cmake version to 3.14 and drop some conditionals for older
        versions
    Major speedup in the SQLBackend by replacing C++ exceptions with
        std::optional for null values.
    Refresh the GUI on completion of the import matcher so that the imports
        are immediately reflected in the register.
    Improve online quote retrieval error reporting.
    Test loading and saving XML files with and without compression
    [import-main-matcher] always defer_bal_computation during import to speed
        up both importing new transactions, and destroying existing ones.
    GncGtkListUIItem::set_option_from_ui_item: Iterate over selected items
        Instead of all possible items.
    Convert gnc-ofx-import.c, import-parse.c, import-utilities.c,
        import-format-dialog.c, import-account-matcher.c,
        import-commodity-matcher.c, import-settings.c,
        import-pending-matches.c, import-match-picker.c, import-main-matcher.c,
        and gnc-pricedb.c to .cpp
    By default, filter out online_wiggle in test-gnc-quotes.
        Running ./bin/test-gnc-quotes from the command line will still include
        online_wiggle
    Replace yahoo_json with alphavantage in test-gnc-quotes. yahoo_json is too
        unstable.
    Include timezone in price-quote date diagnostic messages.

New and Updated Translations: Arabic, Chinese (Traditional), Croatian, Dutch,
    English (Australia), English (New Zealand), English (United Kingdom),
    French, German, Greek, Hebrew, Hungarian, Indonesian, Italian, Polish,
    Portuguese, Portuguese (Brazil), Romanian, Slovak, Spanish, Swedish,
    Ukrainian

5.3  - 26 June 2023

The following bugs have been fixed:
    Bug 798967 - Cannot Save to Any Path After Upgrading to 5.2 Fix
		 inverted if statement condition for save success flag

Other repairs or enhancements not marked as bugs:

      Some memory cleanup by Chris Lam.

      Missing from the 5.2 release notes is that Chris streamlined the
      transaction scrubbing so that each transaction gets scrubbed
      only once. This improves--in some cases substantially--the time
      to load and to run Check and Repair.

New and Updated Translations: Hungarian, Dutch, Portuguese, French, Italian

5.2  - 25 June 2023
Between 5.1 and 5.2, the following bugfixes were accomplished:

    Bug 777472 - reconcile does not work if transaction selected
        Check that there's no outstanding activity in the current register page
        before starting a reconciliation. It is still possible to start
        modifying a transaction after the reconciliation window is open but
        this will stop the most common issue with the process. Starting a
        reconciliation from the account tree is left unprotected.
    Bug 798564 - GnuCash is slow when there are a lot of open tabs/registers
        Lazily load registers as is already done with reports.
    Bug 798597 - The word "Separators" needs two separate versions
        Use "Character-separated" when it's a choice between that and fixed
        field width and "Select Separator Character" when it's a heading.
    Bug 798695 - Deleting everything from the "Transfer" cell after suggestions
                 pop-up restricts search to the first 30 accounts
        Skip the search on an empty value and return all accounts in the combo
        box as it normally does if the account list is opened without searching
        for something.
    Bug 798796 - Account list incomplete in report options
        Allow stock/fund accounts that are descendants of Bank accounts to be
        selected for the Advanced Portfolio, Investment Lots and Investment
        Portfolio reports.
    Bug 798809 - Multicolumn report error when reopened after saving.
    Bug 798839 - Edit -> Preferences string not translatable (reopened)
    Bug 798862 - Merge identical strings (reopened)
        Ensure similar strings are identical and use double line view instead
        of double line mode.
    Bug 798879 - RFE: [Transaction Report] add Running Total option
    Bug 798885 - Accented character in folder name on Account Export (reopened)
    Bug 798899 - Gnucash crashes during CSV import when using a template if the
                 destination account is changed from one used in the template
    Bug 798901 - Wrong value for very small prices from Finance::Quote.
    Bug 798916 - Exchange rates fetched from openexchange off by factor of 10
    Bug 798919 - Inconsistent signs in creating budget
    Bug 798923 - OFX import is no longer matching security nor asking for
                 stock account.
    Bug 798930 - invoices won't sequence to the next number
    Bug 798948 - XML file corrupted by saving twice in extremely short period
    Bug 798952 - Unable to set day threshold or counters in properties.
    Bug 798960 - Transaction completion horizontal scrolling opens without the
                 new text being visible and remembers previous position/width
    Bug 798966 - Uninitialised variable used in
                 dialog-account-picker.c:dialog_response_cb()

The following fixes and improvements were not associated with bug reports:

    The type-ahead selection of transaction descriptions has been substantially
        overhauled based on extensive user feedback. Matches are now only on
        the beginning of words and are now sorted by age since last use. This
        both substantially reduces the number of matches and prioritizes the
        most recently used as being the most likely candidates for re-use. To
        help distinguish cases of long descriptions where the match would be
        outside the popup's viewport the viewport is automatically scrolled
        horizontally so that the end of the left-most (right-most in rtl
        languages) matches is centered in the view. Completion can be aborted
        with the <escape> key or a new Don't autocomplete selection that's the
        first entry in the popup.
    Fix lockup on Windows in type-ahead selection of transaction descriptions.
    More budget-module sign fixes and improvements.
    Lots of memory-leak fixes, GLib modernization, and code cleanup by
        Richard Cohen, Simon Arlott, & Chris Lam.
    Bugfix xaccTransGetTxnType: avoid returning TXN_TYPE_LINK incorrectly:
        A TXN_TYPE_PAYMENT will have non-APAR splits; a TXN_TYPE_LINK will not
        have non-APAR splits. This bug manifests as a regular TXN_TYPE_PAYMENT
        transaction being later voided being incorrectly changed to
        TXN_TYPE_LINK.
    Including brokerage fees in Money Out calculation (if not ignoring them)
        in advanced-portfolio.scm report and updating the "advanced" tests to
        reflect selling fees being included into the money out value.
    [stock-txn-asst] Don't use the initial value in amount edit widgets unless
        they're valid. Otherwise the invalid value will log an error that will
        prevent later valid input from working.
    Bugfix: Actions > Online Actions > Show log Window does not open when it
        is first clicked.
    cmake: check gdk only when building GUI
    Get the tooltip working on "Online Banking Setup"

New and Updated Translations: Chinese (Simplified), Chinese (Traditional),
    Croatian, English (Australia), English (New Zealand),
    English (United Kingdom), Estonian, French, German, Hungarian, Lithuanian,
    Marathi, Norwegian Bokmål, Polish, Portuguese, Romanian, Spanish, Swedish,
    Ukrainian

5.1  - 30 April 2023
Between 5.0 and 5.1, the following bugfixes were accomplished:

    Bug 765920 - Running balance not accurate when sorted different ways
        Renamed option to "Account Balance" to avoid confusion with running
        total. Added helper function to ensure running balance and balance
        forward are only shown when transaction are grouped by account and
        sorted as in register. In that case column heading remains
        "Running Balance" and balance forward is shown. Otherwise column
        heading is renamed "Account Balance" and balance forward is not shown.
        Also added missing code for Common Currency conversion.
    Bug 797879 - [Transaction Report] running balance column not consistent
                 with amount column for SAME transaction date
    Bug 798461 - balance sheet shows positions with zero balances despite
                 report options
    Bug 798775 - Why is General Journal called "Register" in the tabs?
    Bug 798802 - Online Price quote - Stocks not working GNU 5.0 Windows Bis
    Bug 798802 - Online Price quote - Stocks not working GNU 5.0 Windows
    Bug 798807 - Keyboard shortcuts not working
    Bug 798808 - Saved reports shown on main menu
    Bug 798810 - Income Statement (multicolumn) - account sorting is 'reversed'
                 each time you restart.
    Bug 798812 - crashes after I open a customer report and select…
    Bug 798813 - Under File->Import, Missing OFX/QFX menu item
    Bug 798815 - flatpak run --command=gnucash-cli cannot download quotes
                 since 5.0.
    Bug 798821 - Crash when running report in window
    Bug 798834 - CSS-based Stylesheet Help Button not working
    Bug 798839 - Edit -> Preferences string not translatable
    Bug 798844 - "Assign as Payment" does nothing in 4.14 & 5.0
    Bug 798845 - User Config and User Data link broken
    Bug 798851 - Account Balance 'include subaccounts' not saved
    Bug 798854 - Softkey 'Save Config' remains dark
    Bug 798862 - Merge identical strings
    Bug 798863 - Crash on clicking Settings button second time
    Bug 798864 - Budget Reporting on select reports are wrong
    Bug 798869 - Transaction Import MAP
    Bug 798872 - Reload inoperative for reports
    Bug 798877 - Program crashes upon selection of CSV profile
    Bug 798885 - Accented character in folder name on Account Export
    Bug 798886 - [Transaction Report] Subtotal upper headings do not follow
                 font style of lower headings
    Bug 798893 - several menu tip messages in reports are marked translatable
                 but unused.
    Bug 798894 - TOTD with ellipsis broken.

The following fixes and improvements were not associated with bug reports:

    Add filters to the File>Open dialog in File mode to show only files with
        GnuCash extensions, only those matching GnuCash's backup file pattern,
        or any extension.
    Select the first result in the Customer/Vendor search dialog. This allows
        faster keyboard navigation -- Find Customer, input search string, press
        ENTER, use up/down to select desired object, press ENTER to open object.
    Improve foreign currency handling in budget report
    Improve handling of the blank transaction when the register is sorted in
        reverse:
        * Change the preference option 'Future transactions after blank
          transaction'
        * Change tooltip for 'Blank Transaction' in register to mention moving
          to the blank transaction.
        * Show the blank transaction at top of register
    Prevent infinite recursion from gnucash_item_edit_focus_out when using an
        input method.
    Create obsolete features list with first member book_currency.
    Obsolete features set in the book will be removed from the book's KVP and
        ignored.
    Restore existence, but not implementation, of GNC_FEATURE_BOOK_CURRENCY.
        At least one user has managed to get it set on their book so even
        though it was supposed to be unimplemented it got through somehow.
        Restoring it allows books with it set to load.
    Offer to force edit non-identical fields when multiple matches are selected
        in the import matcher window. Previously, only identical
        Desc/Notes/Memo were unlocked for editing.
    Guard against there being no namespaces in the new security dialog
    Fix Finance::Quote use on Win32 by dealing with Win32 \r\n newlines on
        return from finance-quote-wrapper.
    Fix some menu labels that were not marked for translation
    Fix category in CSV export with simple layout.
        If Trading accounts is enabled, and the transaction is a transfer
        between two accounts of differing commodities, the CSV simple-layout
        export would incorrectly show "--Split Transaction--" as the category.
    When configuring Guile use pkg-config before searching for binaries.


New and Updated Translations: Chinese (Simplified), Croatian, English (Australia), English (New Zealand), English (United Kingdom), Estonian, French, German, Hindi, Hungarian, Japanese, Portuguese, Slovak, Spanish, Swedish, Turkish, Ukrainian

5.0  - 26 March 2023

Between 4.904 and 5.0, the following bugfixes were accomplished:
    Bug 798792 - "Delete Split" missing from context menu
    Bug 798793 - Cursor jumps to the end of the field.

The following fixes and improvements were not associated with bug reports:
    Fix crash in gnc_owner_get_owner
    [gnc-account-sel] fix entered_text leak
    Fix missing statusbar tooltips for popup menus
    Popup menu missing from sx template transactions window

New and Updated Translations: Chinese (Simplified), Croatian, Hungarian,
    Japanese, Portuguese, Portuguese (Brazil), Spanish, Swedish

4.14 - 26 March 2023

Between 4.13 and 4.14, the following bugfixes were accomplished:

    Bug 797477 - Manual foreign transaction from APAR to another doesn't
        trigger price input
    Bug 797725 - Untranslatable string "For Period Covering ~a to ~a"
    Bug 797903 - Transaction window: The 'blue line' is always (erroneously)
        topmost when t. sorting order is inverted.
    Bug 798570 - Totals for the income, expenses and remaining to budget
        incorrect for one specific date.
    Bug 798625 - "Last up through report date" changed in 4.12
                 Don't adjust report dates with time64CanonicalDayTime. They're
                 set to 23:59:59 local which is always >= neutral time at which
                 prices and transactions are timestamped. Local noon is before
                 neutral time for all time zones east of UTC+2.
    Bug 798679 - Unicode normalization should be used for comparison but not
        stored.
                 Change to NFC normalization for all comparisons because the
                 Unicode meaning of compatible might collide with the user's
                 intent.
    Bug 798702 - Crash in gnc_plugin_page_focus_idle_destroy() closing a report
        before it completes.
    Bug 798705 - ] New: UI string mismatch: OK vs. Next
    Bug 798712 - Regional Decimal Point not recognized in budgets
    Bug 798717 - Reports > Business > Fancy Invoice duplicates company details
    Bug 798732 - : Type of balance carry forward accounts for german skr49
        account template fixed
    Bug 798734 - Aging Reports don't handle mixed currency payments and
        invoices without Trading Accounts
    Bug 798737 - Minor grammatical error - 'for' missing in 'You will be asked
        a conversion rate for each.'
    Bug 798740 - Build fails with gcc 13
    Bug 798747 - Crash in Investment Portfolio report
    Bug 798748 - Transaction Notes field's value does not appear in reverse
        transaction.
    Bug 798754 - Build fails with gcc 13 and glib > 2.76
    Bug 798759 - Register widths for 'with sub-account' not saved
    Bug 798765 - Increase the limit for Maximum Slices in the Expense Piechart

The following fixes and improvements were not associated with bug reports:

    Budget totals for one period would be wrong when increasing the number of
        periods.
    Allow C decls after statements, legal since C99.
    [kvp] Use static strings and boxed in gvalue_from_kvp_value. Saves
        allocating and copying complex values, avoiding potential memory leaks.
    L10N:DE:Updating accounts from 0001 to 8000 DATEV-SKR04 2022-01-01.
    Payment dialog - always list all possible post accounts. Before only the
        post account in the currency of the selected vendor or customer was
        available.
    Revisit invoice payment in multi-currency context:
        * Show proper amount in dialog when applying or editing an existing
          transaction as payment
          user chose a new transfer account and the old currency is neither the
          new transfer account's currency nor the post account's currency)
    Edit/assign payment - be more prudent not to lose data
    We can't handle the case where a transaction has splits in more than one
        APAR account. Instead of only warning that some of them will be lost
        refuse to continue and leave it to the user to fix the transaction
        first.
    Multi-currency - show split amount rather than transaction value
    Activate feature GNC_FEATURE_EQUITY_TYPE_OPENING_BALANCE
    [balsheet-pnl] move out of experimental into regular menu. After 4 years it
        can finally graduate.
    [dialog-sx-editor]Allow a daily SX to show all recurrences in the calendar
        instead of only 6 months.
    Update Form/Schedule line references for 2022 for the US Income Tax Report

New and Updated Translations: Chinese (Simplified), Croatian, Czech,
    English (Australia), English (New Zealand), English (United Kingdom),
    French, Hebrew, Hungarian, Italian, Japanese, Macedonian, Polish,
    Portuguese, Portuguese (Brazil), Russian, Spanish, Swedish, Ukrainian

4.904 - 19 March 2023
Between 4.903 and 4.904, the following bugfixes were accomplished:
The following fix will also appear in GnuCash 4.14:

    Bug 798570 - Budget totals for income, expenses and remaining to budget
                 incorrect for one specific date.

The following fixes are in 4.904 only and will not appear in GnuCash 4.14:

    Bug 798558 - Irregular line spacing in Account Tree View
    Bug 798773 - Help file launches in browser when using command-H to hide
                 GnuCash
                 This is a MacOS-only problem. Note that for the fix to have
                 effect you must remove the file accelerator-map from
                 GNC_CONFIG_HOME when GnuCash isn't running.
    Bug 798778 - GnuCash quits abruptly when attempting to edit options for
                 certain reports.
    Bug 798781 - Printing multiple checks prints duplicate checks
    Bug 798787 - gnc-register-owner-option currently broken

The following fixes and improvements were not associated with bug reports:

    Fix quotes codecvt to wchar_t error on Windows.
    Budget totals for one period would be wrong when increasing the number of
        periods.
    Change the handling of accelerator maps. Gtk no longer supports changing
        these from the menus and the save no longer writes out the accelerators
        that have their default values, so to assist users editing them we have
        generated default ones that we include with GnuCash and have disabled
        saving when quitting GnuCash. At startup GnuCash will check for the
        presence of the file accelerator-map in GNC_CONFIG_HOME and if it's
        not found will copy in the default one.
    Properly parse plus signs while importing numbers in a CSV file.
    Fix CSV price import file loading
    CsvImport - actually do as the warning indicates: If an invalid column is
        found in a preset, replace it with a NONE column, rather than not
        inserting a column at all.

New and Updated Translations: Chinese (Simplified), Croatian, Hungarian,
    Japanese, Portuguese, Portuguese (Brazil), Spanish, Swedish

4.903 - 12 March 2023
Between 4.902 and 4.903, the following bugfixes were accomplished:
The following fix will also appear in GnuCash 4.14:

    Bug 798765 - Increase the limit for Maximum Slices in the Expense Piechart

The following fixes and improvements were not associated with bug reports:

    Add JSON::Parse to gnc-fq-update.
    Guard against some possible null pointer dereferences
    Change the reconcile window toolbar icon for 'Other the Account' to
        'gnc-jumpto'
    Change toolbar 'Blank' icon for invoice page to match register
    Change the short cut from CTRL+Page_Down to CTRL+b and change the toolbar
        icon to 'go-jump'.
    Remove -Wno-pointer-sign, adding the necessary casts in gnc-gwen-guic.c
    Remove -Wno-error=parentheses, added for gcc 8.0 and gtk 3.14
    Remove redundant uses of cmake -E env
    [c++options] Save an empty SCM string for nil or empty option values.
        Avoids crash at reload due to unknown variable.
    [c++options]Really fix the gnc_option_db_lookup_string_value leak

New and Updated Translations: Chinese (Simplified), Croatian,
    English (Australia), English (New Zealand), English (United Kingdom),
    Hungarian, Macedonian, Polish, Portuguese, Russian, Ukrainian


4.902 - 5 March 2023
Between 4.901 and 4.902, the following bugfixes were accomplished:
The following fixes will also appear in GnuCash 4.14:

    Bug 798748 - Transaction Notes field's value does not appear in reverse
                 transaction.
    Bug 798754 - Build fails with gcc 13 and glib > 2.76
    Bug 798759 - Register widths for 'with sub-account' not saved
    Bug 798600 - CSV import of multi-split security transactions fails to load
                 capital gain. Transactions with capital gains processing can
                 have splits in transaction currency with a zero amount and a
                 non-zero value. To properly import those, prefer the value
                 column even if transaction currency equals account commodity.
                 Previous (wrong) assumption was that in case of a
                 same-currency split, the amount would always be the value.

                 Update csv transaction export format to include split values.
                 In the csv importer the 'GnuCash Export Format' option will
                 now include values. For compatibility with filex exported from
                 older gnucash versions the previous preset is still available
                 under the name 'GnuCash Export Format (4.x and older)'.

The following additional bug fixes are in unstable only:

    Bug 782141 - Import CSV - Multi-currency support can cause rounding errors
                 Replace the column types 'Deposit' and 'Withdrawal' with
                 'Amount' and 'Amount (Negated)' that are conceptually
                 applicable more widely. Also introduce column types 'Value'
                 and 'Value (Negated)' to allow construction of splits in
                 commodities different from the transaction currency. While
                 Value is the number in the transaction currency, always use
                 'Amount' in single-currency transactions.
    Bug 793306 - Price is not imported from CSV
    Bug 796955 - Import CSV - Single-line two-currency transactions can't be
                 imported
    Bug 797033 - The CSV Importer should not obey with the "automatic digital
                 point" setting
    Bug 797383 - Import transaction via CSV selects the commodity as a currency,
                 results in an invalid transaction that is uneditable, and a
                 corrupted price database. Change the transaction currency to
                 the from or base account's parent account currency if the from
                 or base account is not denominated in a currency. This allows
                 to import stock transactions directly into the stock account.
    Bug 797903 - Transaction window: The 'blue line' is always (erroneously) topmost when t. sorting order is inverted.
    Bug 798334 - Importing transactions from CSV with space as thousand separator
    Bug 798572 - Parse numbers with two minus signs as a positive numbers
    Bug 798691 - Memo field not updated on CSV import using U+C
    Bug 798732 - : Type of balance carry forward accounts for german skr49
        account template fixed.
        The accounts listed are of the EQUITY type and not ASSET.
    Bug 798749 - Fails to read gsettings on startup
    Bug 798753 - UX improvements in new import dialog
    Bug 798763 - "Manage Document Link" keyboard shortcut is missing

The following fixes and improvements were not associated with bug reports:

    Always use the Company Name from book options in reports, removing the
        Company Name report option.
    Fix the register sheet being insensitive when in reverse order
    Allow C decls after statements. Legal since C99.
    Make the scheme tests fail immediately if they load an external gnucash
        file.
    [c++options] Restore the ability to set plot sizes in pixels.
    [c++ options] Restore forward & backward compatibility, fix crash.
    CsvTokenizer - add additional test case for escaped quotes
        It simulates the case where csv fields are fully quoted and an
        escaped quote ("") is found in some field. This case is handled
        correctly, adding the test to guard this in potential future
        modifications.
    [dialog-employee] toggle sensitivity instead of visibility of GncAccountSel
    [eguile-utilities.scm] remove fmtnumber. deprecated in maint.
    Sort the gnc tree view column menu
    Delete action on account page not disabled on edits.
    L10N:DE:Updating accounts from 0001 to 8000 DATEV-SKR04 2022-01-01
    GSettings migration: Ensure that the current version is set on a new
        GnuCash installation and that migrations applicable to versions of
        GnuCash later than the current one do not run.
    Turn on -Wunused
    Rename Hellow World report to Sample Report.
    Generic Importer - allow user to modify exchange rates for unbalanced
       transactions.
    Make logging accessible from python modules
    Allow C declarations after statements
       Good for declaring variables at point of use

New and Updated Translations: Czech, Hungarian

4.901 - 5 February 2023
Between 4.900 and 4.901, the following bugfixes were accomplished:
The following fixes will also appear in GnuCash 4.14:

    Bug 797477 - Manual foreign transaction from APAR to another doesn't
                 trigger price input
    Bug 797725 - Untranslatable string "For Period Covering ~a to ~a"
    Bug 798734 - Aging Reports don't handle mixed currency payments and
                 invoices without Trading Accounts
    Bug 798737 - Minor grammatical error - 'for' missing in 'You will be asked
                 a conversion rate for each.'
    Bug 798740 - Build fails with gcc 13
    Bug 798747 - Crash in Investment Portfolio report.

The following additional bug fixes are in unstable only:

    Bug 753307 - Custom Report be selectable as default Report for Printing
        Change the preference in Business->'Report for Printing' to be saved as
        a book property and allow the selection of any Invoice Report to be
        used as the default.
    Bug 794028 - CSV import, default to matching full account name
        If the account map doesn't yield a result, try to map the import
        string against existing accounts' full names
    Bug 796955 - Import CSV - Single-line two-currency transactions can't be
                 imported
        Use a provided price if the transfer account uses a different commodity
        from the base account's; apply it as
             transfer amount = base amount * price.
        Add a transfer amount column option to avoid the rounding that might
        arise from having an inexact price.
    Bug 797756 - Currency format setting is ignored
    Bug 798292 - csv Import Transactions Ignores Multi-Splits
    Bug 798475 - GNCAccountSel could have shortcuts
    Bug 798730 - Open report doesn't remember selected accounts over restart
    Bug 798739 - Advanced Portfolio report fails

The following fixes and improvements were not associated with bug reports:

    Move the Balance Sheet P&L Report out of experimental into regular menu.
    Rename the Deposit and Withdrawal column labels in the CSV import assistant
        to Amount and Amount(Negated) for clarity when importing into something
        other than a bank account.
    Improve muti-currency invoice payment:
        * Show proper amount in dialog when applying or editing an existing
          transaction as payment.
        * Be more careful not to waste the existing payment split
        * If the user changed the payment amount while starting from an
          existing transaction unreconcile the changed payment split
        * Avoid needlessly changing transaction currency (only do so if the
          user chose a new transfer account and the old currency is neither
          the new transfer account's currency nor the post account's currency)
          Payment dialog - always list all possible post accounts instead of
          only those in the currency of the selected vendor or customer
        * Refuse to continue when a transaction has splits in more than one
          AP/AR account to avoid losing data.
    Add widget names to import dialogs so they can be manipulated with css
    Fix some memory leaks
    Ensure original splits are freed in xaccTransRollbackEdit
    Add ability to show placeholder and hidden accounts in the GNCAccountSel
        widget to hide placeholder and hidden accounts. By default these
        accounts are hidden, but with the use of a secondary icon a popup menu
        is presented where the list can be configured to show them. Also when
        the GNCAccountSel is set to a specific account with with
        gnc_account_sel_set_account, the placeholder and hidden properties are
        checked and appropriate changes made so the account will be visible.
    Activate feature GNC_FEATURE_EQUITY_TYPE_OPENING_BALANCE
    Wrap function decls in extern "C" in all headers so that they can be
        included without wrapping the include statements.

New and Updated Translations: French, Hebrew, Hungarian, Italian,
    Russian, Ukrainian

4.900 - 8 January 2023
New Features

    A new Stock Transaction Assistant to guide you through entering
        most investment transactions for stocks, bonds, and mutual
        funds. You can access it from Actions>Stock Assistant when you
        have the Accounts page ora Stock or Fund account register open.
    A new Investment Lots report showing a graph of capital gains and
        losses in a period by investment lot. Note that if you don't
        use the View Lots dialog to manage capital gains and losses
        this report won't have anything to show you. Use
        Reports>Assets & Liabilities>Investment Lots to see the
        report.
    A new tab on the New/Edit Account dialog called More Properties
        includes entries to set a high and low limit on an
        account. That's coupled to a new column that's available on
        the Accounts Page, Balance Limit. If you set a high or low
        limit and the account balance falls above or below the
        respective limit an indicator will be shown in the Balance
        Limit column.
    The description field quickfill in the register now displays a
        drop-down list of possible completions instead of just one
        inline completion.
    File import menu items for the MT940, MT942, and DTAUS formats is
        replaced with a single Import from AQBanking that supports
        importing any file format supported by AQBanking, including
        the frequently requested CAMT.

Between 4.13 and 4.900, the following bugfixes were accomplished:
The following fixes will also appear in GnuCash 4.14:

    Bug 798588 - sx scrubbing was using incorrect free function
    Bug 798625 - "Last up through report date" changed in 4.12
    Bug 798679 - Unicode normalization should be used for comparison but
                 not stored.
    Bug 798702 - Crash in gnc_plugin_page_focus_idle_destroy() closing a
                 report before it completes.
    Bug 798705 - New: UI string mismatch: OK vs. Next
    Bug 798717 - Reports > Business > Fancy Invoice duplicates company details

The following additional bug fixes are in unstable only:

    Bug 403979 - Balance column shows only low order digits when too narrow
                 If the column is too narrow to display the whole number it
                 will display the leading digits with an ellipsis (…).
    Bug 769256 - Change New Account Dialog
                 Rearrange the New and Edit Account dialog to move the
                 parent selector under the description field followed by the
                 account type as a combo (i.e. drop down) list.

The following fixes and improvements were not associated with bug reports:

    Unicode normalization for string matches is changed from NFKC to
        NFC. This means that font and positional variants will no
        longer match and is unlikely to affect most users. See Unicode
        Normalization Forms:Canonical and Compatibility Equivalence
        for the technical details.
    The Gtk menu structure has been rewritten to use the newer
       GMenu/GMenuModel system. This change is mostly invisible to
       users, except that to keep menu accelerators (like <cmd>Q to
       quit) working on macOS we had to let macOS handle the
       events. That will affect using cut, copy, and paste in dialog
       boxes because the menu will intercept them. That's temporary,
       we hope to have it fixed for GnuCash 4.901.
    The Finance::Quote interface is rewritten in C++. This new design
        will allow much better capture of diagnostics from
        Finance::Quote making troubleshooting problems much easier.
    The perl Finance::Quote utilities gnc-fq-check, gnc-fq-dump, and
        gnc-fq-helper are removed and new commands added to
        gnucash-cli: --quotes info replaces gnc-fq-check and --quotes
        dump replaces gnc-fq-dump.
    New API: The options system has been rewritten in C++ with Scheme
        wrappers for report options. While this is invisible to most
        users, those who have written custom reports should look for
        deprecation warnings when the custom reports are
        reconciled. The main difference is that option creation and
        registration is now done in a single function call. Note that
        gnc:new-options is now gnc-new-options. There are several
        similar changes. All of these are wrapped in
        bindings/guile/options.scm with the old names, but are marked
        to raise deprecation warnings to encourage you to change. The
        wrappers will be removed in GnuCash 6.0.

Deprecations: See the deprecation warnings in options.scm as noted above.

New and Updated Translations: Chinese (Simplified), Croatian, Hungarian,
    Polish, Portuguese (Brazil)


4.13 - 18 December 2022
Between 4.12 and 4.13, the following bugfixes were accomplished:

    Bug 760274 - The Statusbar "forgets" when register doesn't have focus
    Bug 798545 - Crash when updating document link on vendor bill
    Bug 798614 - Croatia to join the Euro
    Bug 798629 - gnucash crashes attempting to import OFX file
    Bug 798633 - 4.12 build failure on 32-bit Linux: "No code for module"
    Bug 798640 - Segfault when running saved report
    Bug 798649 - Crash when closing Edit Style Sheets dialog while Style Sheet
                 Properties dialog is still open.
    Bug 798653 - Schedule Calendar event description pop up window does not
                 track mouse position
    Bug 798657 - Import Summary language is wrong
    Bug 798664 - Result of 'gnucash --nofile' is marked dirty
    Bug 798669 - Multicolumn Balance Sheet not printing exchange rates

    include equity accounts in the exchange rate commodities list.
    Bug 798672 - Preferences are not saved nor loaded,
                 ERROR <GLib-GIO> g_settings_new_full: assertion
                 'schema != NULL' failed
    Bug 798680 - Not able to match a reverse transaction of a previously
                 matched transaction.
    Bug 798681 - Previously imported investment income transactions may not
                 be filtered.
    Bug 798694 - Cursor in the wrong place after pasting with auto-completion

The following fixes and improvements were not associated with bug reports:

    Don't normalize text when pasting from the clipboard or appending
        descriptions or notes during imports.
    [register] Delay post-ime reset of the selection to works around bug 798587.
    [ofx import] Clean up importing investment transactions for smoother
        workflow and better UI behavior.
    [account-piecharts] drill-down piechart: tree-depth is at most 6
    Fix numerous memory leaks.
    [ifrs-report] From Bug 798004 allow Cr cash to offset Dr fee and remove
        invalid "dividend reinvestment" during short.
    [gtest-qofevent.cpp] Add comprehensive tests for qofevent
    [test-qofbook] Test that gnc_features_test_unknown returns a suitable
        error message
    [test-qofbook.c] add test for gnc_features_set_unused
    [gnc-features.cpp] backport gnc_features_set_unused from master
    [qofbook.cpp] backport qof_book_unset_feature from master
    Move gnc-euro.[ch] to engine and unit test it.
    [test-qofbook] basic features test: Sets a feature and tests it's set.
        It's impossible to design a book with unknown features using the API.
    po/README: Remove relics from ancient context forms
    [test-ifrs-cost-basis] amend tests to accommodate extra column.
    [ifrs-cost-basis] compare register vs calculated capgain per transaction.
    Accomodate WebKit package version update to webkit2gtk-4.1.
    [assistant-stock-transaction] input positive capgains for Credit income account.

New API: None.

Deprecations:

    qof_book_get_features

New and Updated Translations: Chinese (Simplified), Croatian, English
    (Australia), English (New Zealand), English (United Kingdom), French,
    Hungarian, Indonesian, Japanese, Korean, Macedonian, Polish, Spanish,
    Urdu

4.12 - 25 September 2022
Between 4.11 and 4.12, the following bugfixes were accomplished:

    Bug 794584 - Register not updated when scheduled transactions created
    Bug 798262 - Scheduled transactions with blank amounts do not get created.
    Bug 798385 - Description to often only
                 "Landesbank Hessen-Thuringen Girozentrale"
                 Prepend the Ulitimate Creditor or Ultimate Debtor to the
                 transaction description.
    Bug 798565 - Import map editor: deletion of a map does not mark gnucash
                 document as dirty
    Bug 798573 - Tab Width Behaviour
                 Formerly when the notebook tabs on the left or right,
                 the space used fluctuated depending on tab label
                 width. This change sets the label width to the
                 preference setting when the tabs are on the left or
                 right but when top or bottom the width is set to the
                 number of characters when shorter than the preference
                 setting so they take up less room.
    Bug 798578 - MT940 imports broken - all transactions have date of first
                 transaction
    Bug 798585 - segfault running sample script simple_business_create.py.
    Bug 798588 - sx scrubbing was using incorrect free function
    Bug 798590 - Transaction report: wrong type argument in position 1
    Bug 798598 - Selecting a line in a Vendor Credit Note changes display of
                 Subtotal cell to 0.00
    Bug 798611 - Date changing when changing timezone by one hour
                 When getting a date from the date editor anywhere in
                 the program set the time to neutral time instead of
                 the beginning of the day unless get_date_internal is
                 called with GNC_DATE_EDIT_SHOW_TIME in which case the
                 user-provided time is used.
    Bug 798616 - Can't register amount greater than 9,000,000,000
                 Because when loading the value the split in the xml
                 backend doesn't yet have a parent so the code tried
                 to convert to GNC_COMMODITY_MAX_FRACTION and if the
                 numerator was larger than 10^10 that would
                 overflow. To fix it this changes the "don't know"
                 response in get_currency_denom and
                 get_commodity_denom to GNC_DENOM_AUTO which will
                 normally leave the denominator alone.

The following fixes and improvements were not associated with bug reports:

    It is now possible to edit the description, notes, and memo fields of
        new transactions in the import matcher and to do so for multiple
        transactions. The option is accessed via a context menu on selected
        import lines.
    Show GnuCash's installation and configuration configuration paths in the
        About dialog. List the same from the command line with a --paths option.
    Add account hierarchy templates for locale es_AR
    Continued work on the Stock Transaction Assistant. If you want to try out
        this new way of recording your investment transactions start GnuCash
        with the --extra option. The stock assistant is available on the
        toolbar and from the Actions menu when a register for a STOCK or FUND
        account is focused.
    Replace the very obsolete ghelp: URI scheme with help and install the
        documentation according to the XDG documentation spec on non-Mac Linux
        systems. This ensures that the Help menu documentation items work with
        Gnome 42 and later.
    Conforming to the XDG documentation spec, rename the root page of the Help
        manual to index from help. This has the happy side effect of removing
        some special-case code from the macOS documentation links.
    Standardize the top-level Equity and Assets account names in the French
        templates to "Capitaux propres" and "Actif" respectively.
    [gnc-ab-utils] concise string accumulator
    [gnc-glib-utils] gnc_g_list_stringjoin skips NULL data
    [ifrs-cost-basis] identify sale/purchase according to truth table instead
        of via flawed heuristics
    [ifrs-cost-basis] add options used as a report footer
    [lot-viewer] Show Open & Close dates only when they have a value.
    Fix use-after-free crash in gnc_set_busy_cursor.
    Create Swiss SMB account chart acctchrt_pme-19.gnucash-xea.
    [date-utilities] avoid report crash if start > end date
    [html-chart] add percent formatter for numbers for older javascript.
    [trial-balance] set default price-source to average-cost to minimise
        complaints (see Bug 798550)
    Use macos-latest github runner for mac tests.
    [dialog-price] Price Database: Insert help buttons
    Disable transaction type (i.e. Bill or Invoice) in Invoice/Bill Registers,
        determining the type by inspecting the money flow.
    Fix python tests dependencies so that ninja check works from a clean build
        directory with Python enabled.
    Review of account templates C—missing placeholders, redundancies
    Fixed a variety of fixed memory leaks, poor list handling, and dangling
        reference errors.

New API:
     gnc_tm_get_today_neutral to complement gnc_tm_get_today_begin and
         gnc_tm_get_today_end.
     gnc_get_dialog_widget_from_id
     gnc_list_all_paths

Deprecations: None.

New and Updated Translations: Basque, Chinese (Simplified), Croatian,
    Dutch, English (Australia), English (New Zealand), English (United
    Kingdom), French, German, Hebrew, Hungarian, Indonesian, Italian,
    Korean, Marathi, Polish, Portuguese, Portuguese (Brazil), Russian,
    Swedish, Ukrainian

4.11 - 26 June 2022
Between 4.10 and 4.11, the following bugfixes were accomplished:

    Bug 797163 - qof_book_get_option segfaults when retrieving a non-leaf frame
    Bug 798053 - Accounts renumeration (renumbering)
    Bug 798471 - Can't see or select Income or Expense accounts in Income Tax
                 Information GUI
    Bug 798483 - GnuCash Crashing With SIGSEGV During QFX Import Transaction
                 Matching
    Bug 798491 - MT940 of day 28.02.2022 ends in transactiondate 01.01.1970
    Bug 798493 - Invoice Report Quantity & Unit Price fields have limited
                 decimal precision on printed invoices
    Bug 798496 - gncEntry Quantity and Discount are misusing commodity scu
    Bug 798499 - Expense Chart data tables include extra columns of data
    Bug 798500 - FTBFS (tests failure) on armhf
    Bug 798501 - Balance wrong date end of period
    Bug 798531 - Selecting "Print" from the file menu on a report crashes
                 gnucash
    Bug 798533 - Crash when importing quicken @ currency
    Bug 798535 - Crash when increasing the number of periods in a budget
    Bug 798547 - Calculated Due Date is short 1 day when posting on day of fall
                 change from Daylight Time to Standard Time.

The following fixes and improvements were not associated with bug reports:

    Partially fix Bug 771095 by inserting a help button in the Since-Last-Run dialog.
    Lock down GITHUB_TOKEN permissions on workflows.
    [g_option_context_get_help() returns a char* which must be freed.
    [assistant-stock-transaction] dividends must include stock account.
    Fix arch linux CI build failures.
    Add a help button to the financial calculator dialog.
    [assistant-stock-transaction] avoid resetting txn_types unnecessarily.
    [assistant-stock-transaction] reorder of Pages - date before type.
    [import matcher] Only append description if there's something to append to.
        Otherwise just set the new string.
    [balsheet-pnl] test "lvl <= depth-limit" outside add-indented-row
        this will be the first step trying to fix bug 798502. the bug likely
        resides in the (if) conditional in (add-account-row).
    [gnc-main-window] page->window is not main_window, skip warning.
        This function gets called for both regular register *and* the embedded
        register in the SX template editor. The latter is not a main_window,
        and launching the SX editor would lead to warnings.
    [gnc-plugin-page-register] if account==NULL, skip AccountIsPriced because
        gnc_plugin_page_register_ui_initial_state may be called for non-account
        registers (eg the sx editor) and account may be null.
    [gnc-account-sel.c] prepend & reverse while building acct list
        and don't use confusing double pointer
    Fix use-after-free in unable to save database dialog.
    [account.cpp] restore breadth-first search for 2 functions
        gnc_account_lookup_by_name and gnc_account_lookup_by_code were
        searching breadth-first and accidentally changed to depth-first in 4.7.
    [reports] use new function names
    [account.cpp] gnc_accounts_and_all_descendants converted from scm
    [CI]Work around new git security measure.
    [balsheet-pnl] faster definition of balance lists
    [gnc-numeric.cpp] Reduce logging level of gnc_numeric exception message
        because exceptions are expected in some use cases.
    Redo icon handling in cmake
    Using globs for file copying prevents cmake from discovering newly added
        icons. Writing rules that explicitly use lists of icons will fix this
        as a new icon in the sources will have to be added to the list and will
        force reparsing by cmake. We have to maintain the lists anyway for our
        dist target so there's actually no extra work involved for the devs.
    [assistant-stock-transaction] better Dr/Cr imbalance error message

New API:
    gnc:accounts-and-all-descendants-sorted
    gnc-accounts-and-all-descendantsNone

Deprecations:
    gnc:account-path-less-p
    gnc:accounts-and-all-descendants

New and Updated Translations: Arabic, Chinese (Simplified), Croatian,
English (Australia), English (New Zealand), English (United Kingdom), French,
German, Hebrew, Hindi, Hungarian, Italian, Korean, Nepali, Norwegian Bokmål,
Polish, Portuguese (Brazil), Russian, Spanish, Swedish, Ukrainian

4.10 - 27 March 2022
The eleventh release of the 4.x Stable Series
Between 4.9 and 4.10, the following bugfixes were accomplished:

    Bug 684507 - commodity namespace should be localized
    Bug 741674 - Newly created Scheduled Transactions appear in existing search windows
    Bug 797501 - Currency symbols in Hebrew (RTL) language
    Bug 797772 - Allow reconciliation report to double filter by both posting and reconciliation date
    Bug 798164 - Import transaction window does not allow changing the transaction description.
    Bug 798272 - up/down arrow keys do not work in account selection pop-up
    Bug 798375 - Transfer Account Selection not editable after typing error
    Bug 798386 - Cannot increment date by 1 day with Japanese keyboard.Allow ';' to increment the date because on those keyboards + is shift-;.
    Bug 798391 -OFX import routine keeps prompting for accepted (and reconciled) transactions when imported again
    Bug 797610 - Scrolling is too fast to follow
    Bug 798392 - Reports do not display when Reports JavaScript dependencies are located at a filepath that includes special characters like hash ("#")
    Bug 798395 - ofxdirectconnect downloads crash gnucash 4.9
    Bug 798408 - The calculation in budgets UI and reports are wrong.
    Bug 798411 - Untranslated/Unused string [pt only]
    Bug 798415 - Due Bills Reminder Dialog - Right align 'amount'This was a right-to-left language (e.g. Hebrew) problem.
    Bug 798435 - Crash on print after printing checks
    Bug 798438 - on reconcile window, click on the last column 'R' does not order the entries according with the status
    Bug 798448 - Column 'num' cannot be null
    Bug 798458 - Build failure with gcc 12
    Bug 798474 - Windows 10: Mouse scroll wheel on register only scrolls 1 pixel at a time (instead of 1 line at a time)

The following fixes and improvements were not associated with bug reports:

    Added a BETA Stock Transaction Assistant to help create a variety of securities transactions. To try it out start GnuCash with the --extra option, open a stock-type register, and select Actions>Stock Assistant. Please note any issues on Bug 798004.
    Remove the hard-coded default namespaces"AMEX", "NASDAQ", "NYSE", "EUREX", and "FUND" from the New Security dialog. These namespaces were added to the list of existing namespaces; it was necessary to create a commodity that used one of them to make that one an actual namespace, so users who have commodities in e.g. the namespace NYSE will still see that namespace in the selection list. Reasoning: The list was necessarily incomplete and confused new users.
    Fixed the Income Statement report table formating so that all sections get laid out to the same width.
    [Python Bindings]Implement some comparison and arithmetic operators for GncNumeric
    Budgets are sensitive to readonly status

    Disable some budget features if book is readonly
    Fix suppression of "cut split/transaction" warnings for the current session

    These were not working because they were missing from the temporary warnings settings schema. The warnings could only be dismissed permanently. Add them to the temporary warnings section of the settings schema.
    Currencies in several locations not displayed correctly for Hebrew
    [category-barchart] Added option to show ratios
    [html-chart] Add format style option for numbers
    Better wording for tax table changed info message.
    [register] Checkbox any value other than 0x20 (ASCII space) is true.

    Because it can be X or U+2716 now and could be something else in future. Fixes in particular the disappearing tax-included and tax-table in the Invoice/Bill entry register.
    [gnc-budget-view.c] modify GList in reverse

    because the GList modification in gnc_budget_view_refresh works on the tail end (see g_list_last being chopped off successively, followed by g_list_append successively), wherease it's much faster to work on the head end. Therefore: reverse, modify, and re-reverse.
    [Python Bindings]Provide the complete set of QOF enums in gnucash
    [Pyton Bindings]Provide wrapper for qof numeric predicate

    Python bindings already have some wrapping objects for qof predicates. This adds the one missing for GncNumeric comparisons. Additionally fixes a wrong number for QOF_NUMERIC_MATCH_ANY in example file.
    Remove commodity-table.scm, no longer required after adjusting qif-dialog-utils
    Preferences, Import: UPDATE AND RECONCILE should be UPDATE AND CLEAR

    on preference "Enable update match action" tooltip text.
    [register] Enable horizontal scrolling with a touchpad.
    [business]Add diagnostic messages to GncEntry and GncInvoice.
    Replace code style guidance with reference to the wiki Coding Standard page.
    Update Form/Schedule line references for 2021 for the US Income Tax Report
    Update the register help label when cell read only
    Change AR/AP Type cell to be read only

    The Type cell in AR/AP registers should not be changeable from the register so make the cell read only.
    Tip-of-the-Day, new tip: the full file path is shown in the status bar.
    [assistant-qif-import] Prevent ambiguous mnemonic

    Mnemonic N clashes with GtkAssistant "Next". Change to D which does not clash.
    Numerous performance and code-clarity improvements.

New API: None
Deprecations: None

New and Updated Translations: Chinese (Simplified), Chinese (Traditional), Croatian, Czech, Dutch, Finnish, French, German, Greek, Hebrew, Hungarian, Italian, Norwegian Bokmål, Portuguese, Portuguese (Brazil), Romanian, Slovak, Spanish, Spanish (Nicaragua), Swedish, Turkish, Ukrainian

4.9 - 19 December 2021
The tenth release of the 4.x Stable Series
Between 4.8 and 4.9, the following bugfixes were accomplished:

    Bug 797502 - (RTL) - Right edge of the reports are locked while scrolling down

    Running gnucash in Hebrew, the right edge of the reports are locked while scrolling down and do not scroll with the rest of the report.
    Bug 797618 - Spanish translation of Shares and Stock
    Bug 797678 - OFX importer should supplement, not replace, existing Notes (and Description and Memo) fields

    Add an "Append" checkbox to the bottom of the "Generic import transaction matcher" window to the left of the "Reconcile after match" checkbox. When ticked, this causes the imported Description/Notes to be appended to the matched transaction Description/Notes respectively. The selected ticked/unticked state of the "Append" checkbox is saved in a key value pair for the import account, so the next import for that account will automatically default it to the saved state. As these mods are limited to the code for the matcher window, this should work for all the imports that use it - ie ofx & csv file imports (both tested) & aqbanking (cannot test).
    Bug 797772 - Allow reconciliation report to double filter by both posting and reconciliation date
    Bug 798222 - Account search dialog: Pushing enter does nothing
    Bug 798266 - Dropdown picker menu for category does not appear
    Bug 798313 - "File/Import/Import Transactions From CSV" crashes Gnucash.
    Bug 798320 - Error message indicating a crash of GNUcash when closing application - MacOS 10.15.7 (19H1419)
    Bug 798325 - New Currency for Venezuela (VED)
    Bug 798327 - Ofx import stops too early for multi-account OFX and one account has no new transactions
    Bug 798335 - No longer possible to change trading account

    Strip trading splits only if "Use Trading Accounts" is enabled for the book so that users who want to manage trading accounts by hand may do so.
    Bug 798341 - Right align in Hebrew - Account screen
    Bug 798346 - crashes when running check & repair
    Bug 798352 - Decimal Precision when Entering Mutual Fund Transaction

    Let xaccParseAmount parse up to 12 decimal places instead of 8.
    Bug 798382 - Typo corrections in comments

The following fixes and improvements were not associated with bug reports:

    More memory leak plugging and GList efficiency improvements.
    Fix build with cmake older than 3.18
      3.18 introduced 'cmake -E cat', but we still have to support versions
      starting from 3.14.
    [account-piecharts] don't use gnc:make-internal-option
    Several improvements to the experimental IFRS cost-basis report.
    Fix two minor issues with displaying links in the Document Link dialog.
    Fix obsolete links to bugzilla.gnome.org in translations.
    L18N: Fix glossary/es.po:906: duplicate message definition...

    901: ...this is the location of the first definition
    [budget-flow] delay creating exchange-fn until a valid budget exists

    because it needs budget period end-date.
    [options.scm] Addon previous commit... need to initialize with guid
    [options.scm] gnc:make-budget-option stores guid instead of object

    because object may become stale if UI is used to delete it, leading to stale pointer and segfault. storing guid is safer, and will return null if budget is deleted.
    Support SEPA internal transfer
    Fix issue with failure to run reconciliation with all accounts present in a multi-account OFX file. Do that by saving a GList of statements, rather than a pointer to a single one. Also freeing of info happens during the call to process_next_file.
    Import of OFX files with many securities opens too many matching dialogs Because ofx import is currently split per target account, and since each security has its own accounts, importing such OFX is a tedious process. The fix is to only split the transactions if we identify a potential transfer, currently based on amount, date and accounts. To do that, we insert transactions one by one into a list, making sure we have not already inserted one that has the same date, and the same absolute amount. If we have, we keep this potential transfer for a second phase. A naive approach would loop through added transactions for each new transaction by that ends up being O(N^2), which matters if we have many transactions. Instead, I'm using a hash to make this O(N log N).
    [date-utilities.scm] remove unused date selectors code & string
    Adjust GNC_DEFINE_TYPE_EXTENDED_END
      To match new signature of g_once_init_enter and g_once_init_leave.
    glib headers should not be included with 'extern "C"'.
    Add explanatory note for gnc_add_scheme_deprecated_module test code

    [test-engine-extras] don't create splits of opposing amt/value signs
      Splits' value and amount should never be of opposite signs. Fix
      test book which had created this incorrect value/amount
      pair. Strengthen env-create-multisplit-transaction to disallow
      test book errors.
    [trep-engine] new option "Date Filter" to specify dates to filter by
    [dialog-sx-since-last-run] don't allocate repeatedly to combine strings
    [test-transaction] "Report Currency" renamed to "Report's currency"
    Separate the warnings for "cut split/transaction" and
      "delete split/transaction"
    [gnc-autoclear] Move autoclear algorithm into gnome-utils
    GSettings - fix GObject warning when old prefs-version is unset
      This will happen when current master (future 5.0) has been run
      at least once.
    [utest-gnc-pricedb] add tests for gnc_price_list_equal
    [reconcile-view][bug] dr/cr query tests amount instead of value
      Because split->amount and split->value are generally of equal
      sign, EXCEPT in stock transactions whereby split->value can be
      zero and split->amount is non-zero. e.g. a stock split
      transaction. Querying the split amount instead will allow stock
      accounts with stock splits to be reconciled.
    [split-register-model.c] Hide price==1 for zero-amount splits
      mainly of interest in zero-amount zero-value splits in the stock
      register eg dividend splits.
    [core-utils] introduce gnc:format
    (gnc:format str [binding value]...) str will contain ${binding} which will
      be replaced to value.
    [test-core-utils] uses srfi-64
    [import-main-matcher] show destination acct for auto-match
    GSettings - add 'deprecate' and 'obsolete' conversions for user preferences
      'deprecate' is technically a noop. It serves to remind
      maintainers the 'deprecated' preference is to be obsoleted in
      the next major release. 'obsolete' goes one step further in that
      it will cause gnucash to reset the preference, effectively
      clearing the value stored in the preferences backend. This is
      the final phase of a preference. Following this it will be
      completely removed from the GSettings schema in the next major
      release. Notes * 'deprecate' and 'migrate' are related. Both are
      a reminder the preference is to be obsoleted in the next major
      release. 'deprecate' does only that though while 'migrate' will
      also trigger a copy of the old value to a new location in the
      databse. * This commit readds a couple of preferences that had
      been removed in the past to be able to properly obsolete them
      (and to test the obsoleting code)

New API: None
Deprecations: None

New and Updated Translations: Chinese (Simplified), Chinese (Traditional), Croatian, French, German, Hebrew, Italian, Norwegian Bokmål, Portuguese, Portuguese (Brazil), Spanish, Ukranian.

4.8  - 28 September 2021
The ninth release of the 4.x stable series.

This is a snap release to fix a crasher bug on Linux. The only changes are
    [gsettings] Avoid crash from settings schema not being registered.
    Rethink how gsettings migration file is constructed
    GSettings hotfix - resolve crash due to bad schema reference

4.7  - 26 September 2021
The eighth release of the 4.x stable series.

Compatibility Notice

In order to allow flatpak users to share preferences with
installations outside of the sandbox we need to change the preference
path from /org/gnucash to /org/gnucash/GnuCash. This release of
GnuCash does that and it will automatically migrate existing
preferences. It does not, however, continue to write preferences to
the old path and it runs the migration only once. If you go back and
forth between GnuCash 4.7 and an older versions you'll have two sets
of preferences, one for GnuCash 4.7 and later and another for GnuCash
4.6 and earlier. This includes the file history list and last-opened
file.

Between 4.6 and 4.7, the following bugfixes were accomplished:

    Bug 87847 - RFE: Create a 'checkbox' cell type
    Bug 766052 - Job report payments wrong when payment contains splits
    Bug 797596 - New-owner - improved representation of payments with multiple
                 non-APAR splits
    Bug 798142 - Tax rate appears as a fraction
    Bug 798180 - Update to macOS Big Sur 11.3 breaks Finance Quote
    Bug 798205 - Some transactions dropped with no apparent cause or warnings
                 for credit card ofx import
                 Do not exclude from import a transaction that has an FITID
                 which matches an already existing split. This is because it
                    (1) may be a coincidence and therefore the transaction
                        needs to be added or
                    (2) could be on a transfer from the account being imported
                        to another bank account which has already been imported,
                        and so needs to be matched, not added.
    Bug 798208 - management fee transactions are ignored on OFX import
    Bug 798211 - Equity statement double calculates unrealized gain
    Bug 798219 - apply/OK truncates exchange rates from 4 to 2 decimal places;
                 enter doesn't
    Bug 798221 - Transfer funds between accounts with different currencies
                 crashes Gnucash on macOS
    Bug 798224 - Scheduled transactions are created with date-entered copied
                 from the template transaction.
    Bug 798229 - GncDate::c_formats is being created and destroyed twice
                 resulting in a double free crash on every exit.
    Bug 798234 - Cut Transaction discards the reference to the description/memo
                 strings so that Paste Transaction will paste uninitialised
                 data (or other strings)
    Bug 798235 - Reconciliation Ending Balance not recalculated the 2nd and
                 subsequent times Statement Date is updated.
    Bug 798237 - Logging during XML file loading degrades performance
                 significantly
    Bug 798238 - "New security" dialog doesn't save the "Display symbol"
    Bug 798250 - Gnucash permanent hang on save while loading report
    Bug 798256 - Crash in recnFinishCB
    Bug 798298 - Re-imported transactions no longer ignored
    Bug 798303 - account list is sorted wrong by amount
    Bug 798312 - Opening the help for dialogues in the wrong language.

The following fixes and improvements were not associated with bug reports:

    Lots of memory-leaks plugged
    Change the preferences path to org.gnucash.GnuCash to comply with flatpak
       requirements and migrate existing preferences to the new paths. This
       won't provide for automatic sync between a system-installed GnuCash and
       a flatpak one unless the system-installed one is GnuCash 4.7 or later.
       Please see the Wiki for more information and a procedure to convert your
       existing preferences.
    Cleanup - minimal glib=2.56.1 - drop all conditionals on older versions
    Add code to handle ofx files that include transfers between accounts
    During transaction import, ignore splits whose account is not the
       destination account
    Do not drop a potential match just because it has an online_id.
       Now that we don't exclude from import a transaction with an FITID that
       matches an already existing transaction, if one accidentally re-imports
       a transaction, this allows it to be automatically matched against the
       previously imported transaction.
    Add test for Transaction GetDate() in python bindings, pursuant to
       Bug 798284.
    In find customer dialog, add a column for "Shipping Contact" parameter
    Prep early splash screen messages for translation
    Change text for SX preference option 'Review created transactions' to
       better align with existing SX text.
    Fixed an XML backend problem where trying to open a locked file would clear
       the lock even if one didn't ask to, so the next attempt would find the
       file unlocked even if still open in another instance.
    Fix 2 crashes in Generic Transaction Matcher
    Handle very large denominators from Finance::Quote's OpenExchange source
    Update file extension in man pages per mailing list post.
    Changed some option names:
        * From "Show Accounts until level" to "Levels of Subaccounts"
        * From "Extra notes" to "Extra Notes"
        * From "Report title" to "Report Title"
        * From "Invoice number" to "Invoice Number" to ensure it matches all
          other invoice reports.
    Fix missing mnemonic keys after changes to GNCAmountEdit
       With the changes to GNCAmountEdit, the way the mnemonic keys are
       associated to the entry widget of the GNCAmountEdit needs to change so
       have created a function gnc_amount_edit_make_mnemeonic_target which does
       the same as GNCDateEdit.
    Fix rounding in Stock Split Assistant to correct earlier commit that rounded
       the share price to that of the currency.
    [Portfolio Reports] Allow share digits to 9 decimal places to match the
       maximum commodity fraction.

New API: None

Deprecations

    Date options with a time of day setting.
    Removing the only use, an example in hello-world.scm. GnuCash doesn't use
       this value in any of its own report options and the feature will be
       removed in GnuCash 5. Related to bug 798297 Pref "Use 24-hour clock"
       obsolete?.
    gnc:owner-report-create

New and Updated Translations: Chinese (Simplified), Croatian, Finnish, French,
    German, Hebrew, Italian, Japanese, Portuguese, Portuguese (Brazil), Swedish,
    Ukrainian

4.6  - 27 June 2021
The seventh release of the 4.x stable series.
Between 4.5 and 4.6, the following bugfixes were accomplished:

    Bug 648335 - Display Created Transactions setting
        Add a preference for the 'Review Created Transactions' setting in
        the 'Sinse Last Run' dialog so that the default can be specified.
    Bug 743753 - Nearest in time security price selection is incorrect in
                 reports
         Add new price source - 'nearest before report date' will ignore
         prices *after* report date.
    Bug 743999 - Deleting a digit from an existing number greater than four
                 digits in length generates an error message.
         Because the grouping is off. Checking grouping on input is pointless
         so just ignore the grouping separator when parsing number input.
    Bug 753283 - Current Selection Highlight Lost After Transaction Edit in
                 Scheduled Transaction Window
    Bug 787813 - Price change from editing a transaction not reflected in
                 pricedb.
    Bug 794877 - Intro text of "Online Banking Setup" is outdated
    Bug 795804 - Extremely slow save
        Only update the status bar when the percentage changes by at least
        1% because running the mainloop is expensive on macOS and Microsoft
        Windows. This speeds up all operations that run the progress bar with
        overly-fine resolution.
    Bug 796761 - Newline (char(10)) is inserted into the end of the string if
                 copy & paste text from excel into the description field of
                 transaction
    Bug 797787 - Feature request: preference setting to open new tabs adjacent
                 to currently active tab
        Tests preference; if enabled then new tab inserted after current. if
        disabled then new tab is at the end.
    Bug 797928 - Since last run asks for security price when no shares traded
    Bug 798093 - Changing the symbol/abbreviation of a security after the
                 trading account was created breaks GnuCash.(Reopened)
    Bug 798133 - Gnucash crash when any custom action is entered
    Bug 798144 - Reconciliation uses different number than entered
        If a number was pasted into the balance end value with a currency
        symbol the number would silently fail on evaluate and cause the wrong
        value to be used. With previous changes to the GNCAmountEdit widget
        a warning symbol will indicate a validation error and prevents going
        forward.
    Bug 798148 - "Accounts" page Present (USD) column uses future prices
    Bug 798151 - Value entry box not tied to associated transaction in Since
                 Last Run assistant
    Bug 798156 - glib 2.68.0 breaks gnucash
    Bug 798159 - Keyboard shortcut bug in 'manage document link'
    Bug 798162 - Type Ahead Initialization Problem
    Bug 798170 - Unbound variable: gnc-budget-lookup when running saved report
                 Budget Report via gnucash-cli
    Bug 798177 - Price of new stock transactions not saved in price database
    Bug 798186 - Incorrect result editting account in register when
                 overtyping a part selection.
    Bug 798188 - The Invoice Editor -> Printable Invoice toolbar button
                 crashes on Windows
    Bug 798196 - not building with Boost 1.76
    Bug 798199 - Pasting invalid value in date column crashes GnuCash
    Bug 798202 - Register input ignores theme on KDE rendering black text on
                 black background
    Bug 798203 - g_assert fault while reversing transaction
    Bug 798204 - Creation of Imbalance Accounts
    Bug 798212 - right-click the down-arrow in the date register changes
                 focus to first split

The following fixes and improvements were not associated with bug reports:

    Improve transaction sorting on effective num field so that alpha
        charachters and numbers larger than 1 billion will be ordered. Ordering
        is now numeric for leading numbers (so that 9 sorts before 10) and
        lexical beginning with the first non-numeric character. Note that if
        one of the values begins with an alpha character ordering will be
        entirely lexical. Lexical sorting is localized; as in the rest of
        GnuCash only standard ASCII numbers (codepoints U+0030 - U+0039) are
        treated as numbers.
    Add import preferences for the difference in time considered when matching
        an existing transaction to an imported one. A difference less than the
        matching-date-threshold raises the score of the match; a difference
        greater than match-date-not-threshold lowers the score.
    Add experimental report "IFRS weighted-average cost basis report". This is
        a work-in-progress to help calculate the cost basis of securities
        priced in a foreign currency.
    [income-gst-statement] amend headers post Brexit. UK left EU, therefore
        VAT headers have now changed.
    Plug a bunch of memory leaks.
    Change how the print_info is obtained for the register: Currently the
        register sets up some 'print_info' values using the default account
        but if the register is a stock register they should be obtained from a
        parent account with a currency.
    Change monetary value for gnc_default_share_print_info: Share values are
        not currencies so set the monetary value to 0 for the GNCPrintAmountInfo
    Parse the register monetary cells for a currency symbol: Add the ability to
        strip the currency symbol from a registry monetary cell if it is pasted
        with one so it can be validated.
    SKR-49 Account Template: Add codes 4500-4504, drop a duplicate, correct
        code 0674.
    [gnc-plugin-page-register] Disable reverse on blank split
    Make balancing transactions with trading accounts easier by removing and
        recalculating all trading splits. This ensures that there will be only
        one trading split pair per exchange and relieves the user of having to
        adjust the trading splits to match the accounting splits.
    Don't bother scrubbing for orphans if there's no transaction currency. If
        it found one it would try to create an orphan account with no currency
        which will crash later.
    [chartjs] upgrade chartjs to 2.9.4. Fixes CVE-2020-7746
    [report-core] disallow define-report with incomplete export info. If
        exporting is allowed, 'export-types and 'export-thunk must both be
        defined.
    [test-engine-extras] augment book data generators
    ignore .vscode folder
    Reorder and relabel price source list for better coherence
    Python Bindings: Provide a deprecated GncPriceDB.lookup_latest_before_t64
        to avoid breaking user scripts.
    Update gnucash_core.py with gnc-pricedb function name change
    Change some functions to use const gnc_commodity for gnc_pricedb
    Reformat schedule transaction source files for white space
    Add depreciation warnings for the removal of individual option tool tips
    Remove individual tool tips from radio button options
    Removes the function gnc_option_permissible_value_description
    ESC key was not working on load of Scheduled Transaction Editor
    [budget.scm] show correct tooltip for report option
    [html-acct-table] Remove unused 'pre-adjusting balances option
    Bugfix: export-code for category-barchart reports would fail.
        This stems from trying to handle file-name when calling export code.
        Export code no longer require file-name, The export-code returns a
        string in the html-document object instead. Remove all file-name
        handling in reports. No backward compatibility issues because most
        users would not copy a GnuCash >=4.6 report code onto a <4.5
        installation.
    [gnucash-cli] improve discoverability of export-type. Formerly, selecting
        --export-type EXT would dump the cryptic "Report REPORTNAME has no
        export code". Modify to hint the user on acceptable reports with
        export-code.

New API

    [report-utilities] Functions to dump splits in whole book:
        gnc:dump-book - splits grouped by account
        gnc:dump-all-transactions - splits grouped by transaction
        gnc:dump-split - dumps single split

    Rename a couple of gnc-pricedb functions that have not been used:
        gnc_pricedb_lookup_latest_before_t64 to
            gnc_pricedb_lookup_nearest_before_t64
        gnc_pricedb_lookup_latest_before_any_currency_t64 to
            gnc_pricedb_lookup_nearest_before_any_currency_t64
    Add retrieval functions for price before the date given:
        gnc_pricedb_convert_balance_nearest_before_price_t64 that retrieves
            the balance using the last price dated before a specified date
            like today for the preset value.
        gnc_pricedb_get_nearest_before_price does the retrieval.

Deprecations

    gnc:get-start-next-year
    gnc:get-end-next-year
    gnc:get-start-next-month
    gnc:get-end-next-month
    gnc:get-start-next-quarter
    nc:get-end-next-quarter
    gnc:get-one-month-ago
    gnc:get-one-month-ahead
    gnc:account-code-less-p
    gnc:account-name-less-p

Chinese (Simplified) translation moved from the Gnu Translation Project to weblate

New and Updated Translations: Catalan, Chinese (Simplified), Chinese (Traditional), Croatian, Dutch, French, German, Greek, Hebrew, Indonesian, Italian, Japanese, Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil), Spanish, Turkish, Ukrainian

4.5  - 28 March 2021
The sixth release of the 4.x stable series.

Between 4.4 and 4.5, the following bugfixes were accomplished:
    Bug 783283 - Multi-Currency payments use wrong date
        Also properly handles the user clicking the cancel button on the
        transfer dialog. It will now just return to the payment window,
        waiting for further user input.
    Bug 797621 - GnuCash freezes temporarily and sometimes crashes when
        selecting Sales Tax Table in Invoices
    Bug 797630 - Check for missing dependencies of 'Get Quotes' to avoid
        Gnucash crash.
    Bug 797906 - GnuCash data file is locked after a "save-as" to mysql
        database.
        It's more general, any save-as to a different backend type, i.e.
        xml->sql or sql->xml, left the previous book locked.
    Bug 797924 - Crash when searching for customer to process payment.
    Bug 797997 - File gnucash could note be found
        On Microsoft Windows when run from a CMD shell and passing a path
        that contains non-ASCII characters.
    Bug 798019 - Currency rates in OFX file are ignored
        Use currency_rate information from OFX file if available. Requires
        LibOFX v 0.10.0 or later.
    Bug 798044 - Adding splits to a lot is extremely slow
    Bug 798060 - Invoices are missing on Customer report after upgrade
    Bug 798070 - Opening balance does not update when creating account from
        Account Hierarchy
    Bug 798078 - Report 'Income Chart' prints stacktrace when end date before
        start date
    Bug 798085 - Incorrect transactions import of entires with large number
        amount
        Quicken 2005 introduces U amount which sometimes differs from T amount.
        U amount has larger range, and must override T amount whenever they're
        not equal.
    Bug 798093 - Changing the symbol/abbreviation of a security after the
        trading account was created breaks GnuCash.
        Makes it possible for the user to rename trading accounts or securities
        independent of each other.
    Bug 798096 - can't duplicate TX previous to red line threshold
    Bug 798098 - Crash popup show when have 3 Windows in OSX
    Bug 798100 - Equity totals calculating incorrectly
        Prevents creation of non-currency opening balance accounts.
    Bug 798101 - Do not #undef __STRICT_ANSI__
        Remove defines and undefines for Windows, they were needed with
        MinGW classic but are not with MinGW-w64.
    Bug 798104 - Menu item for "Import Account" is wrong in danish
    Bug 798112 - An error occurred while processing mysql ...
        A "Feature" of MYSQL is that it allows C-style backslash escapes in
        string constants and replaces them with the actual character (e.g. \n
        is converted to 0x0a). This causes round trip problems if the escape
        is one of the allowed ones and a MYSQL error if it isn't.  Disable the
        feature so that MYSQL follows the SQL standard.
    Bug 798132 - Invoice Importing crashes when importing low quantity values.
    Bug 798135 - GtkEntry text with search list: shows selected entry again
        for no reason
    Bug 798147 - Notes entry crashes program
    Bug 798149 - CSV transaction Import setting loses account name if it is
        changed after setting is memorized
        Account guid is saved as well as the full account name and when
        recalled the account is looked up first by guid, if this fails the
        full account name is checked which if successful immediately updates
        the saved base account setting with the account guid for future use.
        If unsuccessful the account combo is blank with a error message as
        before. When save CSV settings button is used, both the Guid and full
        paths are saved so previous versions can still use the full path as
        before.
    Bug 798150 - Error on report over time
        Caused by incorrect handling of Daylight Savings beginning at midnight.
    Bug 798154 - Tooltips wrong when multiple charts in one report

The following fixes and improvements were not associated with bug reports:
    Fix building based on unix makefiles
    Make the chart on the report page icon larger to align better with the
        account page icon.
    Allow the context menu when GncCellRendererTextView is in edit mode.
    Restructure early locale initialization
        * Move macOS specific bits to its own source file. As this is
          objective-c use .mm extension
        * Use common function signature for macOS and Windows init function
          and include via common header file
    Fix GncDateTime::format_zulu to emit the UTC timezone instead of the
        GncDateTime's timezone with the UTC timestamp.
    Fix the implementations of gnc_foo_get_day_neutral. As implemented these
        returned 10:59 AM local on the day but neutral time is 10:59 UTC.
    gnc_invoice_window_print_invoice return NULL if invoice is NULL.
    [dialog-invoice] invoice editor reuses invoice report tab.
    Allow for Header Bar use in CSV transaction Assistant
        There are a couple of action buttons that are added to the CSV
        transaction assistant with added alignment based on the action area
        being a GtkBox which causes errors if the header bar is used so test
        for the action area type and use appropriate specific functions.
    Drop default locale currency special case for euro
        The condition mentioned in the comment no longer applies. All European
        locales on Windows (MingW64) properly present EUR as currency these
        days.
    Fix fencepost error in calculating the week_num for POSIX timezone rules.
    Include the contents of PROJECT_DESCRIPTION in the PACKAGE_PREFIX.
        If it's defined. PACKAGE_PREFIX is used to name tarballs and set their
        base directory. The translation project has requested that we name
        freeze-string tarballs with a pre1 suffix; this makes that possible.
    Update python/gnucash_business.py to reflect rename of gncOwnerApplyPayment.
    I18N: don't mark "<<", ">>" translatable
        They get properly reversed for RTL writing
    From Budget editor, add toolbar and Edit menu to run budget report
        This parallels the invoice editor "Print Invoice" functionality.
        Runs the budget report using current budget.
    [gnc-plugin-page-budget] change note icon to a note page
    Allow the find account dialog position to be saved when using 'X'
    Update price database for imported transactions.
    Replace g_memdup by memcpy
        GLib is deprecating g_memdup and will immediately remove it in the
        next micro-release because of a CVE.
    [html-fonts] Prevent sup/sub from affecting baseline
        Source: https://css-tricks.com/snippets/css/prevent-superscripts-and-subscripts-from-affecting-line-height/
        Previously <sup> and <sub> would cause the baseline to move vertically.
    Replace stat calls with GFile to retrieve last modified info
        Avoids code-page problems with non-ASCII characters on Microsoft
        Windows.
    [gnc-tree-model-split-reg.c] use xaccSplitListGetUniqueTransactionsReversed
        which is then reversed if required. this removes the need for double
        reversal.
    [Split.c]New function xaccSplitListGetUniqueTransactionsReversed
        Same as xaccSplitListGetUniqueTransactions but doesn't reverse the
        list prior to returning. To be used by gnc-tree-model-split-reg.c
        Several optimizations
           * doesn't call g_list_find and g_list_append for every iteration
           * uses g_hash_table to cache list of txns already added instead of
             g_list_find
           * does not reverse the result, thereby returning a reversed list.
    [gnc-recurrence.c] avoid O(N^2) children traversal
    Ensure that any GncMainWindows containing no tabs are destroyed at shutdown.
    I18N: drop translatable flag from "xxx" dummies and remove trailing spaces
        from translatable strings
    Update Form/Schedule line references for 2020 for the US Income Tax Report.
    Fix build with glib2 2.67.x.
        glib headers should not be included with 'extern "C"'.
    [balsheet-pnl] Use last day of the month prices instead of first day of
        next month.
    [options.scm API] Remove canonically-tabbed parent-subtotal-mode
        This mode had been marked experimental for 17 years and was never
        improved. Any saved reports with this option will be switched to
        parent-subtotal-mode enabled.
    Accommodate Gwenhywfar 5.5.0 signature change for some GUI callbacks.
        This is a breaking change that matters only in Win32. No ifdeffing
        because Win32 builds and dependencies are well synchronized.
    L10N: Move translation authority for Turkish from the GNU Translation
        Project to Weblate.
    Make prototypes static for autoclear unit test, fixes build on Debian
        Buster.
    [income-gst-statement] trep-engine currency section moved
        From "General" to "Currency".  Missed out in 854c11782 commit
    [test-scm-utilities] test-end properly so that test failures set the exit
        code correctly
    Create opening balance accounts only when there are opening balances.
    [qif-file.scm] Don't use match as an identifier
        It is a (ice-9 match) keyword.
    Change the CSV export account tree header line
        Change the headings of the CSV account export header line to be more
        friendly which uses existing translations.
    [new-owner-report] Don't create empty rows on report when splits have no
        entry in the memo field.
    [gnc-report] dump backtrace to console when report crashes
        Because gnc:backtrace-if-exception, not used anymore, would dump
        guile backtrace to console. restore this behaviour.
    [report-core] remove 2.6/2.4 compatibility code
    [gnucash-commands.cpp] display report errors to stderr

New API:
    [report-core.scm] create and expose gnc:render-report
        similar to gnc:report-run but *always* returns a 2-element list
        containing data OR captured_error
    [report-core.scm] create and expose gnc:render-report
        similar to gnc:report-run but *always* returns a 2-element list
        containing data OR captured_error
    [gnc-plugin-page-report] add gnc_plugin_page_report_reload
        refreshes the report

Deprecations:
    [c-interface.scm] deprecate gnc:last-captured-error
    [report-core] deprecate gnc:restore-report-by-guid
    gnc:get-three-months-ago
    gnc:get-six-months-ago
    gnc:get-one-year-ago
    gnc:get-three-months-ahead
    gnc:get-six-months-ahead
    gnc:get-one-year-ahead
    traverse-list->vec
    traverse-vec->list

New and Updated Translations: Bodo, Croatian, Danish, Dutch,
    English (United Kingdom), Finnish, French, German, Greek, Hebrew, Hindi,
    Indonesian, Italian, Japanese, Lithuanian, Norwegian Bokmål, Polish,
    Portuguese, Portuguese (Brazil), Russian, Spanish, Turkish, Ukrainian,
    Urdu, Vietnamese

4.4  - 28 December 2020
The fifth release of the 4.x stable series, a snap release to fix bug 798063.

Between 4.3 and 4.4, the following bugfixes were accomplished:

    Bug 798038 - Incorrect spelling in german account templates 'common' and
        'full' part 2: AT
    Bug 798063 - Crash when opening SX Editor

No other improvements were made.
Deprecations

    xaccAccountCountSplits: use gnc_account_has_child_splits
    gnc:html-table-append-column!: Build a new table with all of the columns
      and copy in the rows.

Updated Translations: German, Italian, Japanese

4.3  - 27 December 2020
The fourth release of the 4.x stable series.

Between 4.2 and 4.3, the following bugfixes were accomplished:

    Bug 106746 - In Mort. Repay. druid, creating New acct should also select it.
    Bug 128772 - Account Help Button does not work
    Bug 309943 - When unable to obtain a lock, no option to open another database.
    Bug 330930 - Financial Calculator resets payment period to zero if automatic decimal places used
    Bug 343647 - [rfe] save tab/report location
    Bug 345924 - RFE: don't disable "OK" button after using "Apply" to modify chart options
    Bug 355496 - Mark placeholder accounts in account tree window visibly.
    Bug 355498 - When there is only one result from a 'Find', select it.
    Bug 571697 - Transaction Status in Since Last Run needs to look clickable.
    Bug 644242 - Window Panning Oddity.
    Bug 645379 - When duplicating a transaction, any non-numeric value entered in the "Number" field is discarded.
    Bug 667490 - Support image-based TAN methods QR, photoTAN, and chipTAN optical "Flicker code"

    Partial: Implements the display of flashing optical TAN challenges (aka flicker) in the "Enter TAN" dialog box.
    Bug 688917 - Help button not working when editing style sheets.
    Bug 720564 - Search in General Ledger cannot be cleared.
    Bug 794807 - Calendar widget current month shown as (null).
    Bug 797901 - List of Recently Used Files not updated until GnuCash is closed and reopened.
    Bug 797944 - Crash on use of File-Open
    Bug 797953 - RFE: provide access to filter-by on right-mouse-click in Accounts register.
    Bug 797956 - dialog-report-style-sheet.c stylesheet editor does not set transient_for correctly.
    Bug 797959 - "Exception" when value greater than one million with commas and periods is pasted to register.
    Bug 797967 - minor ui niggles - some dialogs don't respond to GDK_KEY_Escape
    Bug 797971 - odd cursor behaviour in register Description.
    Bug 797972 - Crash on export report CSV
    Bug 797982 - exchange rates' decimal places (bis)
    Bug 797983 - v4.2 report numbers change over gnucash restarts; Price Database dropping user:price-editor entries.
    Bug 797984 - Infinite loop while Check&Repair AR and AP accounts
    Bug 797989 - Sorting columns by alphabet with non-ASCII characters
    Bug 797993 - Reverse balance option does not apply to an Account Report
    Bug 797994 - Account type-ahead search doesn't match accented characters.
    Bug 798005 - Import of QIF file sets expenses to zero, deposits are fine
    Bug 798008 - Option '--log' cannot be specified more than once.
    Bug 798015 - cash flow numerical-overflow
    Bug 798031 - Date goes to prior year with mm/dd entry to transaction duplicate.
    Bug 798036 - Transaction Report should offer price source
    Bug 798038 - Incorrect spelling in german account templates 'common' and 'full'
    Bug 798039 - Using 'Consolidate Transactions' option on Consolidate Transaction Report returns Error
    Bug 798041 - Open invoices in new window.
    Bug 798047 - Crash on delete account.
    Bug 798050 - error using Reports->Experimental->Income Statement (Multicolumn)

The following fixes and improvements were not associated with bug reports:

    Add custom unbound-variable exception reporter in guile that identifies what module provides the missing symbol.
    Balsheet-pnl report: show most recent period first by default
    Change register page icon to a padlock if read only
    When a resister is read only make whole sheet insensitive.
    Add account name to the read-only-register dialog box because under some circumstances it may be unclear to which register the message applies.
    Strictly use use-modules to import Scheme symbols: Guile 3.0 doesn't like the alternatives. This can cause problems resolving symbols if the source of those symbols isn't yet compiled and hasn't been symlinked into the builddir.
    Don't try to reload report if the first attempt raised an html error.
    Barcharts: Limit account drill-down depth to 6.
    I18N:glossary: add mortgage terms ARM, APR, FRM
    Change the icons used for the file locked dialog box.
    Add support for the opening balance accounts flag

    Up to now, opening balance accounts have been identified by means of fixed names and their translations. Support Replacing this with a consistent non-translated tag. The actual replacement will be added to Gnucash 4.4; this change is to ensure a migration path.
    Replace TravisCI with Github actions for CI testing. TravisCI sharply restricted their free support of Free Software projects.
    Use LTDL_LIBRARY_PATH instead of (DY)LD_LIBRARY_PATH in environment file.
    Add a few more CSS classes for labels
    Add GoogleMocks of some engine objects and refine Import-export unit tests using them.
    Add auto-clear to register page
    Change source files dialog-dup-trans.* for space and tabs
    Fix exception when converting to decimal values that reduce to N/1.
    Add confirmation of Main Window close when more than one window is displayed
    Add keyboard shortcuts <Ctrl><Alt><Menu> for the notebook page selection menu and <Ctrl><Alt>A to jump to the Accounts page.
    Allow using the Ctrl+Alt+PgUp/Down to scroll the report view.
    Fix report page keyboard focus in the scroll window.
    Fix some incorrect links to the help file
    Fix section help on windows not working.
    Set the visibility of the account column in import-main-matcher depending upon the nubmer of accounts being displayed.
    Add option to hide memo column on import-main-matcher
    Fix pressing help button in OFX importer causing main-import-matcher to disappear
    Preferences dialog: Display the invalid account separator message box only when the user closes the Preferences Dialog instead of after every change to any control.
    Expose ngettext as gnc:ngettext
    Add tooltip in import matcher window for description and memo column.
    Put Macs back on WebKit2.
    CMake: Mute guile-2.2 again
    Fix several report stylesheet font-handling issues especially on macOS.
    Fix price-renderer not converting to decimal.
    Add some additional places where Check&Repair can be aborted
    Make the price database list obey the force-prices-to-decimal preference.
    Several improvements to the auto-clear dialog.
    Fix some errors found by i18nspector in po files
    Tax Report Options appeared twice on menu for Chart of Accounts
    General Journal Report: Allow Report Options>General Title to render
        document title.
    [options.scm] rename new-owner-report "Links" to "Transaction Links"
    [new-owner-report] enable doclink links
    [html-utilities][API] add function gnc:html-invoice-doclink-anchor
    Disable chart animation that prevented visual comparison of state before
        and after reload
    Select the register account if Tax Options dialog opened from a register tab.

Deprecations

    xaccAccountCountSplits.
    gnc:html-make-exchangerates


4.2  - 27 September 2020
The third release of the 4.x stable series.

Between 4.1 and 4.2, the following bugfixes were accomplished:

    Bug 102787 - Currency selection should do autocompletion
    Bug 476114 - Goto register by date feature req
                 Adds ability to jump to arbitrary date.
    Bug 554391 - Tax Options dialog - can only assign one TXF category at a time
                 If the Tax options dialog is opened from the Chart of Accounts
                 and an account is selected then the tax dialog will preselect
                 that account.
    Bug 787295 - Allow UI jump from Business accounts to their relevant
                 invoice/bill/voucher
    Bug 797514 - Changing transaction unreconciles a split inconsistently
                 Partial: This make sure that the split's reconcile status
                 gets updated before the transaction is committed.
    Bug 797730 - Transaction matching can match multiple imported transactions
                 to the same existing one
    Bug 797839 - Auto-complete prevents entering non-ASCII transaction
                 descriptions
    Bug 797852 - Error in Accounts Payable Aging re cut off dates
    Bug 797857 - Edit->Preferences: Help/Close buttons unreachable
    Bug 797874 - Errors in register and new-account UI
    Bug 797878 - Pie chart displays fractions and long decimal representations
                 Ensure amounts rendering is rounded to report-currency SCU
    Bug 797880 - [gnucash-cli] encoding and font differing from manually
                 exported reports (Win10, German locale).
    Bug 797883 - [Transaction Report] non-localized string
    Bug 797889 - editing amounts in dr / cr behaving oddly
    Bug 797893 - Unable to change font size in charts
                 Use the stylesheet font values instead of hard-coded ones.
    Bug 797895 - Hang for a long time (9 minutes per account) importing a QFX
                 file.
    Bug 797896 - [HBCI] crash when downloading transactions.
    Bug 797897 - Cannot select multiple accounts in Tax Report Options
    Bug 797898 - [reconciliation] calculated balance amount per reconcilation
                 date depending on actual time.
    Bug 797900 - Crash caused by Quitting while Check and Repair All is running
    Bug 797923 - Running employee report results in "Unbound variable: txn"
    Bug 797924 - Crash when searching for customer to process payment.
    Bug 797935 - Strange formal register headers
                 In languages other than English because of poorly constructed
                 translatable strings.
    Bug 797936 - Lot viewer notes field too narrow
    Bug 797945 - Tools -> Import Map Editor causes GnuCash to lock up

The following fixes and improvements were not associated with bug reports:

    Update version in README, add Boost::program_options to dependencies.
    [report-utilities] compact functions
    Small fixes for various translation issues:
        Deduplicate translatable strings
        Add context to one-letter strings in guile code
        Fix typo in linked document gui Align translatable strings
    Expose C_ function (gettext with context string) to guile code, first use
        is for the document link short code (L)
    Improve and repair progress bar display on a variety of reports and
        windows, improving performance on several by reducing the number of
        progressbar calls.
    [gnc-main-window] enable show_text for progressbar, allowing
        gtk_progress_bar_set_text to actually display the progress text.
    Fix help_label of dialog-doclink.glade, remove question mark from
        Available, and insert missing spaces into the Business Item variant.
    Rename all Transaction and Invoice Association identifiers to DocLink to
        better reflect the purpose and for consistency with other software
        (e.g. Libre Office).
    Rename Transaction and Invoice Associations to Document Links. More clearly
        describes the actions and is more consistent with other software
        (e.g. Libre Office).
    Remove the Remove Linked Document context menu item because that can
        be done in the Manage dialog box.
    Fix the horizontal scrollbar in the linked docs window.
    I18n - deduplicate translatable strings
    macOS: Give GnuCash time to shut down gracefully instead of letting macOS
        pull the rug out.
    I18N: Align glossary to gnucash.pot. Create a similar copyright header.
        Add missing Report-Msgid-Bugs-To.
    [report-utilities] More dump data functions:
        gnc:dump-book - splits grouped by account
        gnc:dump-all-transactions - splits grouped by transaction
        gnc:dump-split - dumps single split
    [business-urls] link to owner report with enddate
    [dialog-invoice] gnc_business_call_owner_report_with_enddate
    [new-owner-report][api] owner-report-create-with-enddate; accepts enddate
        argument like owner-report-create.
    Enable exporting the tables in charts and some reports as CSV.
    Tweak a few strings to reuse translations
    Exported gnc:cmdline-template-export and gnc:cmdline-get-report-id.
        Handle ambiguous reportnames by returning #f.
    [price-quotes.scm] ensure missing-alphavantage message can show on console
    [budget.scm] Fix report crash on books with unreversed budgets
    [gnucash-cli] -R show should accept & try to load datafile
    Speed up computation of import match lists by running query only once,
        committing accounts only once, and doing a bulk insert into the
        GtkTreeview.
    Add Python example export_account_totals.py. Exports acount totals of all
        accounts into a CSV file.

Updated Translations: Dutch, German, Italian, Ukrainian
New Translations: Estonian, Indonesian

4.1  - 26 July 2020
The second release of the 4.x stable series.

Between 4.0 and 4.1, the following bugfixes were accomplished:

    Bug 775582 - Change "Petrol" (or Gas if seen in USA) to "Fuel".
    Bug 797759 - Some transactions are not highlighted in the matching window
    Bug 797787 - Feature request: preference setting to open new tabs adjacent
                 to currently active tab (as opposed to at the end of the tab
                 list).
    Bug 797825 - OFX import crashes on import of investment transaction
    Bug 797827 - 4.0.1 gnucash-cli seg faults on macOS Catalina
    Bug 797828 - Budget Barchart was not upgraded
                 Upgrade to html-chart: Use period start/end instead of
                 date start/end
    Bug 797830 - Expense over time has extra empty row
    Bug 797831 - Printer not found
    Bug 797834 - Ctrl+A in account register fields chimes after any element
                 newly focussed.
    Bug 797835 - Zero Crossing in 4.0 that wasn't in 3.10
    Bug 797842 - Windows: Insertion cursor invisible in Edit Account or New
                 Account windows until text fields have content.
    Bug 797843 - Quickfill broken with Cyrillic input language
    Bug 797844 - Typing account number to select account fails
    Bug 797845 - Backspace key produces incorrect result
    Bug 797847 - Best match probability calculation on import is too
                 pessimistic.
                 Lowering the minimum value for the auto-clear preference.
                 This is to  allow user to still auto clear even when date
                 doesn't match exactly.
    Bug 797850 - Account register credit/debit column headings untranslated
    Bug 797853 - Crash on "Save As" in MacOS Mojave and Gnucash 4
    Bug 797854 - Global Register Preference to prompt for interest payment is
                 not being honored.
                 Replace the global preference item with a per-account option,
                 enabled only on those account types where interest might be
                 paid or charged.
    Bug 797858 - Transaction date is one day too early from SWIFT MT940 import.
    Bug 797861 - Yearly / Monthly average reporting displays zeros
    Bug 797873 - New Account Hierarchy selects en_US

The following fixes and improvements were not associated with bug reports:

    Accommodate Guile-3.0 in Scheme code.
    [html-style-info] Display fractional amounts as decimal in price-render
    Warn against using xaccTransGetSplit for iteration instead of encouraging it.
    Quickfill cells: Remove the selection after a delete.
    Accommodate AQBanking < 6 use of GWEN_TIME instead of GWEN_DATE.
    ensure averaging-multipler returns exact numbers rather than floats
    [gnucash-cli] improve "-R show" to describe report
    Don't leak the libofx contexts in gnc_file_ofx_import_process_file/
    Make the edit dialog refresh the auto-interest flag display based on pref
    Remove global preference for auto-interest-transfer
    [Reports] Use SRFI-9 records for HTML styling.
    [html-style-sheet] combine 2 similar functions
    Let environment override AppleLanguages on Macs.
    [balsheet-eg] remove unused functions
    [balsheet-eg] modernize accrec to use srfi-9 record
    [account.cpp] prevent crash in gnc_account_get_currency_or_parent.
    CMakeLists: mark deprecation of .scm files
    [eguile-utilities] Ensure that fmtnumeric renders numbers as decimals instead of exact fractions.
    [Python Bindings] Implement keyword paramters to selected functions.
    [Python Bindings] Adapt to use of sessionOpenMode in qof_session_begin
    introduce python submodule deprecation.
    Link with libm.so on those platforms that require it.
    [account-piecharts] round account->balance to report-currency SCU
    [report-utilities] ensure commodity-collector doesn't round amounts
    [advanced-portfolio] simplify basis functions
    [advanced-portfolio] simplify basis-builderand use scheme division which is more accurate than gnc_numeric_div. tests need to change slightly.
    [git-release-notes.pl] html-escape strings in the html output.


Updated Translations: Croatian, Hebrew, Italian, Japanese, Romanian, Ukrainian

4.0  - 28 June 2020
The first release of the 4.x stable series.

Between 3.906 and 4.0 the following bugfixes were accomplished:

    Bug 787295 - Allow UI jump from Business accounts to their relevant
		 invoice/bill/voucher
    Bug 797815 - Obsolete gnucash-launcher.cmd still shipped

Other fixes and improvements were not associated with bug reports:

    Revert the changes made to save Register default layouts as discussed
      in PR #743
    Setting a sheet column width to 1 when resizing by dragging
      Column widths of 0 are not saved by the table and so revert back to
      calculated widths when reloaded.
    Disable showing glyphs for associations on MacOS
   i18n: Fix missing context in single-character translated strings
    [advanced-portfolio] move helper functions to toplevel for testing
    [html-utilities] use ice-9 match
    deprecations: remove functions deprecated in 3.x
    deprecations: clarify functions deprecated in 4.x.

Updated Translations: Dutch, German

3.11 - 28 June 2020
The twelfth and final release of the 3.x stable series.

Between 3.10 and 3.11, the following bugfixes were accomplished:

    Bug 782455 - Modify Add Reversing Transaction feature.
    Bug 797114 - Fixing an SX due to deleted account stuck in an error loop
    Bug 797351 - General ledger register transaction becomes "zombie" after
                 deletion.
    Bug 797648 - Cannot reconcile both splits of a transaction with 2 splits
                 for bank account subaccounts if only 1 is cleared.
    Bug 797659 - Liabilities in budget report no longer calculate correctly.
                 Restores budget-3.7 behaviour for current budgets. Fixes
                 future budget behaviour. Restore budget-3.7 headings
                 "Income/Expense/Transfer" Renamed budget-3.7 heading Total
                 to "Remaining".
    Bug 797670 - scheduled transaction editor can remain open when switching
                 file, which causes seg fault when later closed
    Bug 797677 - Price Database Saving Wrong Price for Foreign Currency.
    Bug 797684 - GTK_DEBUG=interactive - Bail out -
                 gdk_window_set_cursor_internal.
    Bug 797697 - Enable DEP and ASLR for the Windows build.
    Bug 797707 - CSV Transaction Export: custom dates should be insensitive
                 by default.
    Bug 797717 - Summary bar changes height when opening a menu or scrolling
                 over an option.
    Bug 797737 - Import matching can match an imported transaction to an
                 existing, previously matched transaction.
    Bug 797748 - missing header "algorithm".
    Bug 797750 - SIGSEV in swig-engine.c
    Bug 797761 - Customer report beta: opening balance tax column shows garbage
                 string.
    Bug 797799 - Add Tip of the Day for "Notes" field
    Bug 797811 - GnuCash crashes with segfault when saving to mysql when
                 database already exists.

Other fixes and improvements were not associated with bug reports:

    [eguile-utilities] fmtnumeric displays decimal instead of fraction.
    L12N: merge recent messages into all po files.
    Add missing std c++ #includes into gnc-imp-settings-csv-price.cpp.
    I18N: Improve tooltip about double-line-mode.
    Update description of gnc_gnome_help and gnc_launch_assoc
    Remove obsolete documentation files.
    Move the Windows README files to gnucash-on-windows where they belong.
    I18N: Fix several issuse with 'Help not found' strings.
    Fix the crash that occurs when opening a new book when the
        transaction-matching dialog has been opened then closed.
    Display report zoom factor with one decimal space to match the paramter.
    Invoices were setting the transaction post date to midnight local instead
        of 10:59 UTC normalized time.
    Add a tip about announcements and other mailing lists to the Tip of the
        Day list.
    Fix three problems with setting dates in the Scheduled Transaction editor:
        * If the recurrence date is before the start date in the current month
          the SX summary dialog would show the next occurrence in the current
          month, before the start date.
        * If the recurrence date is one day before the start date the calendar
          control would incorrectly mark the first instance in the starting
          month.
        * Set a monthly recurrence on the 18th, with a start date on the 20th
          and an end date on the 17 of the following month. The calendar should
          show no mark, but fails to erase the marks that were present.
    Improve python shell output and explanatory comments.
    Ensure that python help displays help.
    [fin.scm] return #f instead of -1 if n is out of range
    Add a "Delete Budget" menu item to Actions>Budgets.
    [gnc-exp-parser] If gnc:fn returns anything other than a number, abort
        rather than crash.
    [window-reconcile] Refactor common actions into WidgetSetAmount.
    Force WITH_PYTHON=YES for distcheck to ensure that it works from the
        tarball.

Updated Translations: Croatian, Finnish, German, Hebrew, Ukrainian

3.906 - 21 June 2020
The fifth unstable release leading to the new 4.x stable series.  This is the release-candidate: Barring any serious bugs it's what we'll release as 4.0.

Between 3.905 and 3.906, the following bugfixes were accomplished. Some of these will also be fixed in GnuCash 3.11, some are for 4.0 only.
  Bug 797808 - Caps Lock Breaks Almost Everything
  Bug 797811 - GnuCash crashes with segfault when saving to mysql when
               database already exists.

The following fixes and improvements were not associated with bug reports or new features:
    Add missing #includes into gnc-imp-settings-csv-price.cpp
      Found in failed win maint nightlies.
    [business-core] string-hash doesn't guarantee unique hash, use guid
      string instead.

Updated Translations: Ukrainian

3.905 - 14 June 2020
The fourth unstable release leading to the new 4.x stable series. See 3.902 and 3.903 below for additional requirements and features.

Between 3.904 and 3.905, the following bugfixes were accomplished. Some of
these will also be fixed in GnuCash 3.11, some are for 4.0 only.

    Bug 796993 - Gnucash should warn the user in case of missing Alphavantage
                 API key instead of silently failing
    Bug 797531 - Improve behaviour when following a hyperlink to a split that's
                 filtered in the register. Currently if a jump to a filtered
                 register is made, this could be from a report, other register,
                 reconcile window and transaction associations and the
                 destination split is not shown the jump will end up at the
                 last active cell. This could be confusing so add a test for
                 the destination split being visible and warn the user with an
                 option to temporarily clear the filter.
    Bug 797746 - [reports] German umlauts not escaped
    Bug 797790 - [Transaction Association] Change dialogue: use existing
                 information to determine the default folder. When there is no
                 association set, if the file option is chosen set the default
                 folder for the file chooser to that of the path head
                 preference.
    Bug 797791 - [Windows] list of command line options after
                 'gnucash.exe --help'? Make gnucash-cli a console application
                 on Windows so that its output will be redirected to the
                 connected console.
    Bug 797799 - Add Tip of the Day for "Notes" field
    Bug 797804 - Date entry field is glitchy (v3.904 regression)

The following fixes and improvements were not associated with bug reports or new features:

    Ensure balance-sheet balances do not ignore closing entries, including
        them in closing balances from profit&loss.
    [balsheet-pnl] value-collector doesn't need to ignore closing.
        The value-collector is only used to tally account balances for
        asset&liability accounts. These accounts never have closing entries.
        No need to test closing property.
    [trep-engine] don't create intermediate cells object.
        From cell-calculators (a list of column-info), the cells object (list
        of column-data) was created unnecessarily. use cell-calculators
        directly.
    [gnucash-cli] --report show/list outputs to stdout and their error messages
        output to stderr.
    I18N: Improve tooltip about double-line-mode.
        Suggestion by Adrien Monteleone.
    Drop unused boost::locale::generator instantiations.
        We now have one single case in gnc-locale-utils and all code uses
        gnc_get_boost_locale to get the proper locale.
    Fix translations using boost::locale::translate
    Fix report dependencies that caused Xcode build failure.
    Update Schedule Transaction Template dialog status bar.
        Copy the functions from gnc_main_window that updates the status bar
        with the action tooltips to gnc_window so that both GncMainWindow
        and GncEmbeddedWindow can use without duplicating code.
    Add the Register width menu options to the Scheduled  Transaction Template
        dialog.
    [balance-sheet] hide trading-accounts if use-trading-accts? is unset.
    Fix a null parent error in the New Account Hierarchy Assistant.

Updated Translations: German

3.904 - 7 June 2020
The third unstable release leading to the new 4.x stable series. See 3.902 and 3.903 below for additional requirements and features.

3.903 was the feature-freeze release. However, the command-line arguments for both gnucash and gnucash-cli have been adjusted as follows:

    --add-price-quotes is changed to --quotes get
    --run-reports is changed to --report run --name <report name>
    Added --report list to produce a list of available reports.
    Added --report show --name to describe the options changed from the default values in the named report.

The intent is to have command categories with subcommands to better enable a richer command line capability as illustrated with the new report commands list and show.
Between 3.903 and 3.904, the following bugfixes were accomplished. Some of these will also be fixed in GnuCash 3.11, some are for 4.0 only.

  Bug 797739 - Tweak Transaction Report Column Defaults
  Bug 797774 - Add tooltips to abreviated header columns for all table like
               GUI elements
               The Bill/Invoice due reminder has a column header of 'CN?' which
               was unclear of meaning which is 'Is this xxx a Credit Note'. A
               tooltip was suggested but a better fix is to change the column
               to display the 'Type' so you would see Bill, Invoice or
               'Credit Note' just like you see in the find dialog.
  Bug 797775 - Rate/Price displayed as fractional in CSV Export
               Change the CSV transaction exporter to follow the Preference
               setting of 'General->Force Prices to display as decimals'.
  Bug 797781 - Num Field Regression - characters in wrong order when typed.

The following fixes and improvements were not associated with bug reports or new features:

  Add a tooltip for the 'C' column in the Chart of Accounts
     To match existing one character headings for 'Place Holder' and 'Hidden'
     columns.
   Add first version of gnucash-cli manpage
   Rework command line option parsing to store values directly in class member
      variables
   [cli-reports] modify to open session readonly

3.903 - 1 June 2020
The second unstable release leading to the new 4.x stable series. See 3.902
below for additional requirements and features.

New Dependency: Boost program_options.

New Features:

  A new separate executable, gnucash-cli (gnucash-cli.exe on Microsoft Windows)
    for doing command-line things like updating the prices in your book.
    gnucash-cli gains the ability to run reports from the command line. Specify
    reports to run by name or guid. It also provides an export format and an
    output file name without which it will output the report to stdout.
    Report Synopsis:
      gnucash --run-report=[reportname/guid] datafile.gnucash
      gnucash --run-report=[reportname/guid] --output-file=x.html datafile.gnucash
      gnucash --run-report=[reportname/guid] --output-file=x.html --export-type=TYPE datafile.gnucash

  When deleting accounts the destination accounts of moved splits will be
    checked to ensure that they're the same as the source. If they're not
    you'll get a warning and the opportunity to pick another account or to
    carry on regardless.

  New type-ahead search added to sequential search when selecting an account in
    the register: Instead of typing the first few characters of a top level
    account, the separator, the first few characters of the next level account
    and so on you may instead type a few characters of any part of a full
    account name and the drop-list will be filtered to contain only matching
    accounts. Once you have a small enough list you can use the arrow keys to
    select the account that you want.

  Python bindings are now localized and their strings available for translation.

  The new reports introduced in the Experimental Reports menu are moved to the
    main menu and the old reports hidden; the old reports can be unhidded by
    running GnuCash from the commandline with the --extra argument. That will
    cause the old reports to appear in their regular locations on the menu
    labeled legacy. Note that new reports use different options and layouts and
    you may need to adjust your saved report configurations.

  A new Transaction Association dialog, available from the new Update
    Transaction Association item in the register context menu, provides the
    ability to have multiple associations for a single transaction. Associations
    may now be easily removed.

  Allow Associations to be added to invoices. The actual association when
    present is added as a link button which is shown below the notes.

  A symbol is now displayed on transactions in the register when they have an
    attachment and the selected font supports the symbol.

  The OFX file importer can now import more than one file at a time.

  A new report menu supbmenu Multicolumn contains the old custom-multicolumn
    report and a new Dashboard report containing Account reports for expenses
    and income, an income-expense chart, and an account summary.

  When importing, the matcher will no longer offer to match a transaction to
    one that has already matched in a previous import, nor will it offer to
    match more than one imported transaction to a single existing transaction.

  When no file is open don't ask to save it when opening another file or
    quitting GnuCash.

  Support for UK VAT and Australian GST added to the Income-GST report. The
    reports options are changed from source accounts to source sales and
    purchase accounts to permit proper reporting of capital purchases.
    N.B. This is incompatible with previous versions of the report and will
    require regenerating saved configurations.

  Add option to save Layout for Business items.
    Add two menu items under windows, one to save an existing layout for
    Invoices, Bills and Vouchers to there respective default layouts so the
    user set column widths will be used. The second menu item will reset the
    column widths to defaults and remove the default layout. Open Business
    items will also save there column widths to the page section so these can
    temporarily have different widths.

Newly Revised Reports
  Income GST

Significant Code Changes:

  gnucash-bin.c has been split into 4 parts, mostly C++:
    * gnucash.cpp, the GUI executable.
    * gnucash-cli.cpp, the command-line executable.
    * gnucash-commands.cpp, implementation for the commands that can be run
      from the command-line.
    * gnucash-app-core.cpp, common code required by both the command line and
      gui programs.
    * There's also an auxiliarty file, gnucash-windows-locale.c because the
      localization code proved resistant to compiling as C++. We're planning
      another auxiliary file for the MacOS localization.

  A new mock facility for several engine classes to permit better-isolated
    unit testing of components that depend on those classes.

  Register filter and sort values are saved in the book's state file (book.gcm)
    in the user's configdir instead of in the book.

  QofSession no longer creates its book, instead one must create a book first
    and pass that to qof_session_new()/QofSession::QofSession().

  Add option to save Layout for Register itemsAdd two menu items under
    windows, one to save an existing register layout based on the register type
    to there respective default layouts so the user set column widths will be
    used when opening registers. The second menu item will reset the column
    widths to defaults and remove the associated default layout. Open registers
    will also save there column widths to the page section so these could can
    temporarily have different widths.

  Add option to save Layout for Business items.
    Add two menu items under windows, one to save an existing layout for
    Invoices, Bills and Vouchers to there respective default layouts so the
    user set column widths will be used. The second menu item will reset the
    column widths to defaults and remove the default layout. Open Business
    items will also save there column widths to the page section so these can
    temporarily have different widths.

  Input Method handling in the register is moved to the GtkEntry where it
    belongs.


Between 3.10 and 3.901, the following bugfixes were accomplished:

  Bug 796531 - transaction report: export file/location associated with
               transaction.
               Displays the Transaction Association link in the Transaction
               Report and when selected will open the association outside of
               Gnucash as it currently does when opened from the register.
  Bug 796932 - Invoices order when assigning paymentssorts documents in
               dialog-payment.c by date, then by document ID.
  Bug 797052 - Autofill Selection is Corrupted After Clicking Description
  Bug 797185 - [transaction association window] sorting by column.
  Bug 797185 - Allow sorting on all Transaction Association columns
  Bug 797220 - delete account allows move of all transactions to account having
               non-matching currency
  Bug 797236 - Regression: Reconcile window transaction list resets to top
               when new transaction created in account.
  Bug 797264 - 3.5 can't use Chinese IME input.
  Bug 797329 - Using Japanese IME to enter transactions results in unexpected
               field jumps
  Bug 797388 - GnuCash 3.6 segfaults regularly.
  Bug 797648 - Cannot reconcile both splits of a transaction with 2 splits for
               bank account subaccounts if only 1 is cleared
  Bug 797659 - Liabilities in budget report no longer calculate correctly
  Bug 797689 - Child dialog windows are demoted behind parent window when task
               switching.
  Bug 797707 - CSV Transaction Export: custom dates should be insensitive by
               default
  Bug 797717 - Summary bar changes height when opening a menu or scrolling over
               an option
  Bug 797737 - Import matching can match an imported transaction to an existing,
               previously matched transaction
  Bug 797743 - Monetary amounts are occasionally rendered in fractions
  Bug 797745 - Unable to change default report currency
  Bug 797748 - missing header "algorithm"
  Bug 797750 - SIGSEV in swig-engine.c
  Bug 797754 - In an account register, scrolling stops working when the mouse
               pointer re-enters the scrollbar after leaving it.
  Bug 797760 - Broken register split activity--cannot delete splits, unable to
               tab complete account name.
  Bug 797761 - Customer report beta: opening balance tax column shows garbage
               string
  Bug 797768 - View Lots sorting numbers not right.
  Bug 797770 - Reconciliation report does not consider credit transactions


 The following fixes and improvements were not associated with bug reports or new features:

  Add an Invoice section to dialog-utils for when the path head changes.
  Change the position the register pop up so it aligns better.
  Fix the alignment of the Notes label in Transfer dialog.
  Set the initial Split horizontal paned position to be half way when the
    window is realized.
  Set the expanding columns in the lot viewer to be the 'Title' and the
    'Description'. Also ellipsize the description to help with long
    transaction descriptions.
  Change the alignment of the numeric values in the lot viewer to be right
    aligned so the numbers line up.
  [new-aging] speed up split->ownerseveral speed ups
    1. split->owner will now cache results, bypassing gncOwnerGetOwnerFromLot
       and gncInvoiceGetInvoiceFromLot for repeated calls to the same split.
    2. previously each call to split->owner would allocate a new gncOwner. Now
       a new gncOwner is only allocated during a cache miss. the list of
       gncOwners is maintained and is purged when split->owner is called with
       #f. There is no need to maintain a to-free list of gncOwners anymore.
    3. instead of slow gncOwnerReturnGUID to test equality, use gncOwnerEqual.
  Fix crash in case filter is less than 4 parameters.
  Change the Options GtkCheckBox to use its own built-in label and remove the
    label in the first column.
    widgets.
  Enable the Options Checkbox label to be used to toggle values.
  Add enum SplitRegisterTypeGroup to group registers.
  Change state_section parameter for gnc_table_save_state
  Fix clang error about type mismatch GtkWidget* != void* aka gpointer.
  HIG, I18N: Improve Budget menu entries
  I18N: fix translator comments in window-reconcile.c
  I18N: Fix several issuse with 'Help not found' strings
  [QofLog] Replace hashtable with tree of vectors: 16x speedup.
  Make qof_log_set_file static. Used only internally.
  Move QofLogModule typedef to qoflog.h where it belongs.
  [balsheet-eg] don't use safe-cadr and safe-cdr
    They are safety hacks which indicate inability to deal with lists. Use
    lists properly.
  [eguile-utilities] deprecate single-use function used only by balsheet-eg.scm
  [balsheet-eg] use "foreign" css class correctly.
  [eguile-gnc] don't catch errors in eguile-gnc
  Initially select the last account chosen in the account picker dialogs.
    Separately keeps track of last investment account, security account, and
    income account. One issue is that gnc_import_select_account doesn't tell
    the caller if it put up a dialog or found the online ID on an existing
    account. This means the last account may be one the user didn't manually
    select.
  Transaction matcher dialogue was not closing when changing book.
  Correct parent widget for import new account dialog.
  No Selection on load for Bill Terms.
    Change the selection process so it selects the first entry if present on
    load and also selects a newly created entry when completed.
  Change the Tax Table dialogue to be based on a GtkWindow.
    When using Gnucash on Microsoft Windows and a dialog opens a further dialog
    when you switch away from the application and back the last dialog that has
    the focus is behind the parent and it appears like the application has
    frozen.
  Fix LIBDBI_DRIVERS_DIR generation.
  L10N:de: "Für" klein in "Ergebnisrechnung für Periode" etc.
  I18N: Msgmerge recent changes
  I18N: Hotfix for bug 797725Add a translator comment
  L10N:de_CH: Ein weiterer Tippfehler im Kontenrahmen KMU
  [test-stress-options] fix combinatorics testing
    Premise: pairwise combinatorics testing is only possible when all options
    have at least 2 options.  The "General Journal" report is unique because
    it starts with the Transaction Report options generator, and adds a few
    hidden options. Unfortunately the Transaction Report receives the
    "General/Stylesheet" option, with only 1 default stylesheet.  The General
    Journal report therefore has 1 stylesheet option with only 1 choice, and
    is not acceptable to jenny for pairwise testing. It would fail the
    combinatorics testing. Adding other stylesheets did not successfully allow
    pairwise testing. Therefore the simplest way to test General Journal is to
    disable multichoice testing whereby num(choices) is only 1.
  [Account.cpp] more xaccAccountTypeGetFundamental types
  Fix the crash that occurs when opening a new book when the
    transaction-matching dialog has been opened then closed.
  Display report zoom factor with one decimal space.
  Fix transaction post_date being set to midnight local.
  Respect the environment LD_LIBRARY_PATH for loading Scheme modules and tests.
  Add a tip about announcements and other mailing lists.
  Change occurrences of gdk_display_get_default to gdk_window_get_display()
  Remove some Gtk version checks in code
  Remove some Gtk version checks for CSS
  Fix libgnc-app-utils.dylib install_name_dir. The install location changed as
    part of expunging libgnc-module.

Updated Translations: German, Swiss German, Ukrainian

 Known Problems:

  Bug 797708 - Reconcile Dialog on Import
  Bug 797746 - [reports] German umlauts not escaped



3.902 - 27 April 2020
The first unstable release leading to the new 4.x stable series.

3.901 should have been the first release but it had build problems after tagging.

Baseline requirements

Operating Systems:

    Linux: Ubuntu 18.04LTS
    MacOS: 10.13
    Windows: 8.1

Software Dependencies:

    C++ standard is now C++17, requires gcc 8.0 or clang 6.0.
    Cmake 3.10
    boost 1.67.0
    gettext 0.19.6 for general use, 0.20 to generate gnucash.pot.
    glib-2.0 2.56.1, gtk 3.22.30
    googletest 1.8.0
    ICU, any version.
    libdbi 0.8.3
    libxml2 2.9.4
    swig 3.0.12 Now required for building from tarballs as well as from git.
    Webkit 2.4.11 Mac & Win32, 2.14.1 Linux/BSD

New Features

    The matcher window columns are changed from R to C and from U+R to U+C, reflecting that the matcher marks transactions cleared but doesn't reconcile them.
    OFX imports having balance information will now offer to immediately reconcile, passing the balance information in the file to the reconcile info.
    Improve quickfill in the account pickers to filter the choices based on any part of the name.
    The GnuCash widget hierarchy for CSS has been revised to be more consistent with Gtk practice. You may need to spend some time with the GtkInspector to get your custom CSS back the way you like it.
    New Account - Online Account match list to the Import Map Editor.
    New invalid maps dialog in the Import Map Editor
    Optionally include the account code option in budget view.
    Account matcher will decline to match accounts with a different commodity from the imported split if the import information includes the commodity.
    Ellipsize the Description and Memo fields in the account matcher.
    Enable adding notes to budgets. (Bug 693180)
    Support for AQBanking Version 6. This is required to support new FinTS protocols and the European Privacy Directive.
    GnuCash 4.x will not migrate old gconf settings from GnuCash 2.4.x.

New/Revised Reports

    Owner Report

Significant Code Changes

    The source directories have been rearranged and most of the loadable modules (e.g. libgncmod-engine.so) are now normal dynamic libraries (libgnc-engine.so), shorn of their gnc-module adapters. Make sure that you clean and rebuild your build directory.
    All functions marked as deprecated in 3.x are now removed. If you have custom reports be sure to examine gnucash.trace for deprecation warnings and update your reports before trying them in GnuCash 3.91.
    libgncmod-generic-import is now libgnc-generic-import.
    Scheme no longer uses libgncmodule, always do (use-modules (gnucash foo))
    Autocompletion improvements for the transfer-account field.
    New test for invalid mappings for online accounts and a dialog to fix them.
    jqplot is replaced by chartjs.
    Separate most Guile binding code from the code that it wraps. It's now located in bindings/guile.
    Improve Google test integration in cmake. CMake now requires only GTEST_ROOT and only when cmake isn't able to find Google test without help.Unit tests for Scheme code with SRFI64.

Deprecations (will be removed in GnuCash 5.0)

    gnc:substring-replace-from-to

Between 3.10 and 3.901, the following bugfixes were accomplished:

    Bug 693180 - Add notes to budgeting values
    Bug 773198 - Move several reports to Example directory/menu
    Bug 773199 - Rename and rebuild Welcome to GnuCash Report
    Bug 773200 - Rename Sample & Custom Report Group
    Bug 782455 - Modify Add Reversing Transaction feature
    Bug 797114 - Fixing an SX due to deleted account stuck in an error loop
    Bug 797270 - Budget Chart report - translation of header and dates
    Bug 797338 - Change "U+R" and "R" labels to "U+C" and "C" in Import matcher

    Bug 797351 - General ledger register transaction becomes "zombie" after
                 deletion
    Bug 797415 - cannot build without libsecret-1-dev
    Bug 797472 - Add option to choose account templates
    Bug 797485 - Show account hidden column on CoA.
    Bug 797486 - Add dialog to cascade placeholder and hidden
                 Make changes to the existing cascade colour dialog to allow
                 the selection of cascading colour, placeholder and hidden
                 account properties
    Bug 797489 - No option to use account codes in Budget View - Part2
                 Add option to allow the account code column to be shown in
                 the budget tree view and as such the account tree view can
                 be sorted by this column
    Bug 797605 - RFE: Customer/Vendor/Employee Overview should also have
                 "Process Payment" toolbar
    Bug 797612 - Add a dialog to the imap_dialog to show invalid maps
    Bug 797670 - scheduled transaction editor can remain open when switching
                 file, which causes seg fault when later closed
    Bug 797677 - Price Database Saving Wrong Price for Foreign Currency

    Bug 797684 - GTK_DEBUG=interactive - Bail out -
                 gdk_window_set_cursor_internal
    Bug 797697 - Enable DEP and ASLR for the Windows build

    Added hardening flags.

The following fixes and improvements were not associated with bug reports:

    Fix 3 problems with the scheduled transactions calculations
      * Set a monthly recurrence on the 10th with a start date on the 20th of
        this month. The editor correctly shows the next occurrence to be on
        the 10th of the following month. The schedule transaction summary
        dialog incorrectly shows the next occurrence to be on the 10th of this
        month (before the start date!)
      * Set a monthly recurrence on the 19th, with a start date on the 20th
        of this month. The editor's calendar marks incorrectly show the next
        occurrence to be on the 19th of this month (before the start date).
      * Set a monthly recurrence on the 18th, with a start date on the 20th
        and an end date on the 17 of the following month. The calendar should
        show no mark, but fails to erase the marks that were present.
    Fix issue when editing the account tree view notes field

    When you try to edit a multiline account notes field in the account tree
      view you end up with just one line with control characters as it is being
      edited with a GtkCellRenderText cell. To fix this I have added a new cell
      renderer based on a text view.
    Fix failed build of python tests and failed test in 3.10 tarball.

Updated Translations: Croatian, Hebrew, Ukrainian
3.10 - 10 April 2020
The eleventh release of the 3.x stable series.

This is a snap release to reverse the changes to the reconcile
window's filtering reconciled transactions with a reconcile date after
the current statement date when computing the starting balance. It
seems that many users' books have accounts with reconcile dates in the
future that were suddenly filtered out, creating an incorrect starting
balance and making it impossible to reconcile the book.

The following bugs have been fixed:
    Bug 620848 - Transfer Funds window - add Notes field
    Bug 797006 - Balance is misleading in open subaccounts when different
		 currencies are involved
    Bug 797318 - Amounts ending in zero displayed as fractions
    Bug 797659 - Liabilities in budget report no longer calculate correctly
		 candidate fix.
    Bug 797666 - libgnucash/engine/test/test-recurrence.c: In function
		 'check_valid': 'result' may be used uninitialized
    Bug 797676 - Register displays amount in transaction currency...
		 instead of register currency.

Other repairs or enhancements not marked as bugs:
    [window-reconcile] when reconciling, warn on splits having a
      reconcile date > statement_date
    [window-reconcile] when inputing statement_date, warn if it's after today
    [find-transactions] add search for reconciled date
    Show transaction value, not amount, for registers with subaccounts.
      If the register has subaccounts in different currencies and a
      transaction has splits in more than one, the transaction will
      incorrectly appear to be unbalanced if we total amounts because the
      balancing logic works on split values.
    Revert "Bug 797659 - Liabilities in budget report no longer calculate
      correctly"
      Reverted for snap release. Not tested thoroughly yet.
    Add instance argument to Session constructor in python bindings.
      Enables a python console to connect to the running GnuCash's session.
    Make python console less noisy without --debug.
    Provide locals and globals of calling context to the python console's
      shell on shell init
    Make pycons/ishell.py compatible with Python 3 and current IPython
    [eguile-utilities] prevent crash in balsheet-eg.scm
    [eguile] escape-html -> gnc:html-string-sanitize
    [qif-to-gnc] Properly mark intra-QIF internal transfers.

Translations Updated: Ukrainian.

3.8 - 29 December 2019
The ninth release of the 3.x stable series.

Note for German FinTS users: This release includes the latest fixes
in support of the PSD2 changes. The Mac and Windows bundles include
the current beta releases of AQBanking and its support library needed
to work with most German banks' implementations of FinTS.

Translators, Note Well: The obsolete "disambiguation prefix" translator
comments are removed in favor of three-parameter gettext(). See
https://lists.gnucash.org/pipermail/gnucash-devel/2019-September/044199.html

The following bugs have been fixed:
    Bug 412151 - Not handling exception when guile is compiled w/o regexp
		 support
		 Disable qif-import and make-regexp if guile is compiled
		 without regex.
    Bug 724219 - Customer Summary includes Closing Entries when reporting
		 across the end of year
    Bug 743943 - "Edit->Post Invoice" is ambiguous.
    Bug 759005 - Print negatives in red.
    Bug 787295 - Allow UI jump from Business accounts to their relevant
		 invoice/bill/voucher
    Bug 796530 - [txn csv importer] usability suggestions
    Bug 796736 - Register cell pop up columns width to narrow
    Bug 796945 - Find Transaction Split Search Search Criteria window does
                 not scroll when added criteria exceed a certain amount
    Bug 797078 - "Automatic decimal point" Should Not Cause 2 Different
		 Behaviors
    Bug 797086 - Import customer dialog – headers not translated
    Bug 797279 - Reports RTL do not support RTL
    Bug 797326 - Enhancement: budget's Estimate tool should ignore Closing
		 Entries
    Bug 797356 - ninja check fails with GCC-9
    Bug 797390 - xaccAccountRecomputeBalance also tallies no-closing
		 balances
    Bug 797397 - Import Map Editor - Deletion not limited by current filter.
    Bug 797401 - Invoice Reports need an overall page width set
    Bug 797405 - HBCI Import PIN entry window is hidden behind log window,
                 program stuck
    Bug 797408 - Find Transaction Window -> Search Criteria Section -> Add
		 Search Criteria -> Section does not expand to new size to
		 include a newly added Search Criteria
    Bug 797416 - Enter key does not move to blank tx or next line
    Bug 797418 - In budget report, column with Actual Totals for
		 Liabilities and Income are reversed
    Bug 797430 - SEPA transfers are not executed
                 Avoid double init of gui Patch by Mike Pieper. Thanks!
    Bug 797453 - Chart of Accounts is slow to update / redraw
    Bug 797459 - Installation (for 3.7) Readme Version number shows 2.2.x
    Bug 797462 - gnc:strify reports the amount and value incorrectly
    Bug 797473 - UTF8 characters not processed correctly with aqbanking6
    Bug 797481 - crash on close of unsaved tabs by pressing [X]
    Bug 797482 - Can't edit date when using Edit Payment function
    Bug 797492 - Lock up on 'Find Account'
    Bug 797500 - valgrind errors - new/delete vs malloc/free
    Bug 797506 - New Aging errors out with guile backtrace in case of a few
		 uncommon transactions
    Bug 797519 - Budget Viewer Totals do not redraw upon to Sign-Reversal
		 changes
    Bug 797520 - Balance Sheet (Multicolumn) the retained earnings amount
		 in the equity section has its sign reversed
    Bug 797521 - Receivable Aging (beta): include earliest split
    Bug 797521 - Receivable Aging (beta): prepayments logic doesn't work,
		 appears to use incorrect absolute value logic
    Bug 797532 - Crash/Coredump Lots

Other repairs or enhancements not marked as bugs:

    The Customer/Employee/Vendor reports have been rewritten. The new
      versions may be found in Reports>Experimental.
    [stylesheet-css] a user-customisable CSS based stylesheet
      New stylesheet. Exposes a single text box for full CSS
      customisability.
    Allow account selection by typing into the post-to field of the payment
      window
    When sizing some register columns take account of 'Tot' being added.
    Take account for the pop up button border in the register.
    Change the date sample so it has the maximum text width possible
    [new-owner-report] bugfix: balance row needs variable linked cols
    Improve translations by scriptedly removing the removed colon suffix.
    [report-utilities] bugfix: aging-list was incorrect. off-by-1 error.
    [report-utilities] bugfix: overpayment works for AP accounts.
    Swap the buttons around on the Budget Open dialogue
      Swap the OK and Cancel buttons so they conform to the normal layout.
    [report-utilities] bugfix: fix overpayment detection
      For 1 payment to >1 invoices, previously would miscalculate
      overpayment.
    [budgets.scm] Budget reports handle both natural & reversed budgets.
      This change is protected by a Feature: Using it will prevent the file
      from being opened by earlier versions of GnuCash.
    [gnc-budget-view.c] totals - 5 fundamental types
      previous showed income/expense/transfers/totals budget totals, of
      uncertain meaning. now shows income/expense/asset/liability/equity
      budget totals. The 5 lines also become sensitive to the global
      sign-reverse property.
    bindings-python - drop references to gnucash-env
      We no longer ship a gnucash-env script, directly use python(3)
      instead
    [balsheet-pnl] fix: single-date balsheet missed printing date
    [balsheet-pnl] fix: hide Equity sections when not needed
      * If currencies are not converted, Unrealized Gains are meaningless.
      Hide them. * If there are no income/expense accounts, retained
      earnings will be nil. Remove row.
    Ignore trailing noise on imported transaction account numbers.
      AQBanking6 uses a separate method for retrieving account numbers for
      account info and transactions, where the transactions method can have
      additional characters, most often the ISO4217 currency code. That
      results in match failures when importing. As a work-around, compare
      only the length of the account-info-generated online id when
      comparing it to the transaction-generated one. Note that this is only
      a partial solution: At least one German bank also appends characters
      to the transaction-generated bank id and that will still cause the
      match to fail.
    [dialog-payment] Add warning label if payment is unattached
      Completing a payment for a customer without associating with an open
      invoice is allowable and is used for prepayments. Enable a warning to
      inform that the payment does not have an invoice/bill document attached.
    [aging] update error reporting
      This error handling was for transactions in APAR accounts whereby
      Transaction Currency != Owner Currency. An example is a manually
      entered transaction, then assigned as payment to a customer with a
      different currency. Update to modern API calls. Show the culprit
      split details. Fixed example output: IGNORING TRANSACTION! Invoice
      Owner: [None:] Transaction:Txn<d:28/10/19> Splits are:
      Split<d:28/10/19,acc:Current,amt:$150.00,val:£150.00>
      Split<d:28/10/19,acc:AR,amt:$0.00,val:-£150.00> Transaction
      Currency:GBP Client Currency:AUD
    Fixed German IBAN error message
    Allow edit of some fields for posted invoice
      Allow editing of some fields for posted invoice. For reasons, see bug
      report: https://bugs.gnucash.org/show_bug.cgi?id=797400
    [average-balance] show monetaries instead of numbers in data table
    UK VAT template: replace obsolete EEC and EC by EU
    Implements the presentation of static optical TAN challenges (photoTAN
      and QR) inside the enter TAN dialogue.
    [budget] fixcrash: fix crasher for some periods
      eg. the following combo would previously crash: - periods from next
      to current - use accumulated amounts
    [budget] fixcrash: prevent crash if periods start > end
      It's silly to input start-period > end-period. Nevertheless handle it
      by swapping them instead of crashing. i.e. report budget periods from
      end to start.
    [budget-flow] fixcrash: exchange-fn needs to specify exchange date
      because some exchange-fn *do* require date eg. pricedb-nearest. use
      the period end-date for the exchange date.
    [portfolio report] There's no report-currency. Use currency.
    [window-report] show backtrace when report crashes
      * exposes a SCM string last-captured-error containing last backtrace
      * when rendering report-crash window, include it

New Scheme Functions:
    gnc:html-markup-ol: creates an HTML ordered list.
    gnc:multiline-to-html-textt: creates html-text with <br/> elements.
    gnc:make-html-table-cell/min-width: Create a table-cell with min-width
      style attribute
    gnc:collector+ and gnc:collector-

New Deprecations:
    gnc:html-table-append-ruler/at!
    gnc:html-table-remove-last-row!

Translations Updated: Chinese(Simplified), Croatian, German, Hebrew, Ukrainian

3.7 -  8 September 2019
The eighth release of the 3.x stable series.

Note for German FinTS users: This release in concert with AQBanking
5.8.0 is the first release to support the new product registration
requirement that goes into effect 15 September 2019.


The following bugs have been fixed:
    Bug 605602 - precision of Financial Calculator seems to depend on
                 locale
    Bug 746937 - Template transaction splits are loaded in reverse order
                 and then not sorted before saving. Actually not sorted
                 after loading because the template accounts weren't being
                 committed.
    Bug 752395 - Start Day of weekly report doesn't respond to change in
                 locale
                 Redefines some functions to ensure weekly grouping in
                 transaction report obeys locale's start-of-week.
    Bug 784623 - GNUCash does not work with sql backend, I can open
                 in read only mode. Upgrade the splits table as well, an
                 oversight from the original fix.
    Bug 793018 - Balance (with >>eguile<<) - Report Title can't be changed
    Bug 795251 - googletest detection cannot be overridden
    Bug 796819 - bad icon with Spanish localization
                 Temporary fix for Farsi, which was afffected, too. As it
                 is maintained by TP, the final fix has to come from them.
    Bug 796952 - Report formatting (justify) is broken
                 Previous patch reverted and replaced with a more correct one.
    Bug 797085 - Import Bills & Invoices – headers not translated.
                 Make strings translatable. Translators: This adds 22 new
                 translatable strings.
    Bug 797158 - gnc:make-account-sel-limited-option is not working
                 Option was being deliberately reset to default_value every
                 time.
    Bug 797171 - Allow multiple credit/debit columns to be selected
    Bug 797279 - Reports RTL do not support RTL - fix reports
    Bug 797279 - Reports RTL do not support RTL - fix string
                 fix guile-2.0 string handling to prevent munging unicode
                 in report-titles etc. while loading/saving reports
    Bug 797295 - problems with entering swedish åäö in company address
    Bug 797297 - GNUCash is in English even though MacOS is set-up to
                 French.
    Bug 797301 - Register Menu View > Refresh doesn't work in 'with
                 sub-accounts' window
    Bug 797306 - "URL cannot be shown" when one clicks an account line
                 link in report.
    Bug 797316 - New Mauritanian ouguiya MRU not supported
    Bug 797319 - Mauritanian ouguiya MRO shows too few decimals
    Bug 797339 - Online banking frame to small
    Bug 797349 - "A"ssociate header badly translated.
                 Note to translators: This is about msgids of the form
                 "Associate:A". The correct msgstr includes the part up to
                 the ':' verbatim with only the part to the right of it
                 tranlated, e.g. "Associate:П" from uk.po. Each such msgstr
                 has a comment explaining this.
    Bug 797353 - Add copyright and release info in appdata file
    Bug 797355 - General Journal report seems to be off balance
                 Previously, for general-journal, each split was being
                 analyzed, and only the source split was counted for
                 totals. This change will means the source split *and* its
                 peers are accounted for.
    Bug 797377 - cmake fails on debian-8 and ubuntu-14.04 with
                 gnucash.appdata.xml.in does not exist
    Bug 797378 - QIF file import fails: Loading gives wrong type argument
                 in position 2
    Bug 797389 - Random Crashes while attaching a document.

Other repairs or enhancements not marked as bugs:
    New feature: Multiselection in the import transaction matcher. Use
      control-left-click, shift-left-click, or click-and-drag to select
      multiple unmatched transactions to match them with a single account,
      then right-click to bring up a single-item context menu sith
      "Assign Transfer Account".
    Set a FinTS product version key when the installed AQBanking supports it.
    Reworking of many translatable strings with context to use the modern
      gettext three-parameter function instead of the ':' hack noted in
      bug 797349.
    Stop duplicate entries for the invoice taxtable cell
    Do not log an error when no default tax tables are set.
    Fix cmake dependency tree so that make/ninja check works without having
      to first run make/ninja.
    Remove the accelerator for the Clear buttons on the Loan Calculator
      because they were all the same and also the same as the Close button's
      accelerator.
    Change the transfer account notation for single-split transactions in
      basic view from "--Split Transaction--" (they're obviously not) to "None".
    Correctly parse decimal values between 0 and -1 (e.g. -0.5) in register
      caclulations: The negative sign was being stripped.
    Require CMake 3.5 or later for all platforms.
    Rework the building of libgtest.a from source when the builder sets
      GTEST_ROOT or the distro doesn't provide a pre-build one.
    Fix crash when trying to display a tooltip in the register split view
      when a split has focus.
    Fix repeated requests to create a new account when you click No.
    Suppress bogus error when creating a new account from register split view.
    Fix price conversion report crashes in Balance Sheet PNL and all
      average balance calculations.
    Upgrade the Budget reports to support accumulated accounts.
    Redefine gnc:debug to use QofLog instead of writing to stdout.
    Change the Balance Sheet PNL account depth to mean the deepest *selected*
      account rather than the deepest account.
    Set the Owner Report date option to default to today.
    Much Scheme cleanup and more testing.

Deprecated API:
    gnc:html-acct-table-cell - Unused.
    gnc:make-general-journal-report - Unused.
    gnc:easy-invoice-report-create-internal - Unused.
    gnc:fancy-invoice-report-create-internal - Unused.
    make-simple-class - Use make-record-type
    simple-obj-getter - Use record-accessor
    simple-obj-setter - Use record-modifier
    simple-obj-print - Use write
    simple-obj-to-list - Use record-type->list
    simple=obj-from-list-obj - Use list-record-type
    make-simple-obj  - Use construct
    gnc:time64-le-date - Unused
    gnc:time64-ge-date - Unused
    gnc:make-reldate-hash - Unused
    gnc:get-relative-date-strings - Unused
    gnc:entry-type-percent-p
    gnc:make-customer-option - Unused
    gnc:make-vendor-option - Unused
    gnc:make-employee-option - Unused
    gnc:html-build-acct-table - Unused
    gnc:html-acct-table-comm-row-helper - Unused
    gnc:sum-collector-stocks - Unreachable


Updated Translations: German, Hebrew, Ukrainian,
New Account Templates: Hebrew-Israel

3.6 - 30 June 2019
The seventh release of the 3.x stable series.

The following bugs have been fixed:

    Bug 397927 - QIF Import: Usability: Remember window position and size
    Bug 577968 - Values are not stored by pressing <TAB> in budget page
    Bug 583277 - Cancel button closes QIF importer without confirmation
    Bug 624176 - budget report - option for showing sum is ignored
    Bug 642824 - Different actions like QIF import, other imports and...
                 closing book allow to assign transactions to placeholder...
                 accounts
                 Placeholder accounts do not allow transactions so when the
                 account picker dialog is presented, add an error dialog
                 for placeholder selection and a column to display that the
                 account is a placeholder.
    Bug 646361 - Estimate budget should give option to have same amount...
                 in each budget period
    Bug 668349 - Select Account does not return user to correct location...
                 in "Match payee/memos to GNUCash Accounts" screen
    Bug 676810 - Wrong accounting in multi-currency budget report
    Bug 679800 - Shortcut to allow population of all budgeting periods
    Bug 689753 - Budget Report: Negative Numbers Not Colored Red
    Bug 728873 - Account name does not focus automatically in QIF import...
                 assistant
    Bug 751290 - Rethinking the invoice ledger view
    Bug 754710 - Add column sorting to Qif import Match views
    Bug 781345 - Equity disregarded by budget totals
    Bug 788157 - Open Budget Menu Item Doesn't Select Default Budget
    Bug 796949 - Incorrect conversion of 0,01 USD to EUR
    Bug 797051 - Price Database Add Overwrites Data Without Confirmation
    Bug 797089 - In the main Account Register window, the value shown...
                 under 'Total (Period)' excludes any transaction with date...
                 equal to the end date of the reporting period.
    Bug 797104 - Translations not showing in receipt options
    Bug 797123 - File->Export Transactions to CSV doesn't output...
                 transaction data
    Bug 797126 - It is annoying to run cmake to get an updated mo file
    Bug 797127 - Company name and address in reports not display properly
    Bug 797134 - Decimal separator: Windows configured as dot,...
                 Gnucash shows comma.
    Bug 797165 - Deleting an old quote from Price Database Core Dumps Gnucash
    Bug 797169 - GnuCash hangs loading XML file
    Bug 797170 - gnucash-3.5 fails to compile with GTK+3-3.20.x
    Bug 797175 - Gnucash will not open from UNC paths.
    Bug 797175 - Opening a file from a gvfs mount point fails
    Bug 797183 - association head path with spaces displayed wrong
    Bug 797185 - Correct the sorting for the Transaction Association Dialog
    Bug 797186 - gtk crash closing parent window edit->stylesheets
    Bug 797188 - Default invoice prints credit note as invoice
    Bug 797196 - Allow for per-payment rounding in amortization calculations.
    Bug 797197 - Transaction report: Error message when sorting on month
    Bug 797204 - qif import: commodities throw blocking dialog in symbol...
                 field on every commodity
    Bug 797207 - Chart reports show blank when run from the build directory
    Bug 797215 - qif import: review duplicates - allow sorting candidates...
                 on all columns
    Bug 797223 - Missing Tooltip on Edit->Preferences->Register:Actions:Tab...
                 order includes Transfer on Memorised Transaction
    Bug 797230 - Use after free in gnucash_sheet_style_destroy.
    Bug 797232 - dialog-ab.glade was written for gtk 2.16.
    Bug 797233 - Balance Sheet, Chart of Accounts, and other reports...
                 crash when involving foreign currency stocks.
    Bug 797240 - Multicolumn report not showing each report name
                 reportname was not correctly applied as the chart-title
    Bug 797241 - Some reports skip transactions of the last day of the
                 selected period
    Bug 797244 - Remove the invert prices for less than 1
    Bug 797246 - Cleared Balance Remains Red After Turning Positive
    Bug 797249 - Cutting home account causes transaction to disappear
    Bug 797262 - Change "Today date format"
    Bug 797266 - Missing translation settings
    Bug 797277 - Assets over time ignores nested liabilities
    Bug 797278 - Create an option for type of commodity for Price import
                 Currently when you use the 'Commodity From' column for
                 Price imports it can match against the wrong commodity
                 like COP (Conoco Philips) would match against the currency
                 COP (Columbian Peso). To fix this add a new column type
                 'From Namespace' and rename 'Commodity From' to 'From
                 Symbol' so they match the Security Editor.
    Bug 797281 - Gnucash crashes when attempting to match online accounts

Other repairs or enhancements not marked as bugs:

    Rewrite the Customer Summary Report to correctly handle multiple currencies.
    Improve the Owner Report's find-first function to consider currency when
        selecting the account.
    Prevent cutting the "anchor" split or pasting another split on top of
        it in account registers so that the transaction won't suddenly
        disappear from the register page. Displays an explanatory dialog just
        like trying to delete the anchor split does. Allow deleting, cutting,
        and pasting over all splits in Journal View registers which don't have
        anchor splits because they're not associated with any account.
    Disable editing the "blank split" (the new split at the bottom of a
        transaction in split view) if the transaction itself is read-only.
    Use the customer and vendor currency instead of the default currency from
        preferences when generating bills, invoices, or credit notes.
    Allow assigning a single target account to more than one transaction in
        the import matcher. To do this select the new transactions and
        right-click to open a single-item context menu. Click the menu item
        to open the account selection dialog box. Note that imported
        transactions that match transactions already in the eriger,
        i.e. those marked "update" or "reconcile and update" are not eligible
        for inclusion.
        This feature still has some rough edges that are being addressed for
        the next release.
    Use the default currency from Properties>Accounts for the summary bar
        currency to make it configurable.
    Allow CSV export of grand total amounts from reports using the trep-engine.
    Fix XML file import failures into GnuCash for Android.
    Raise minimum CMake version to 3.5 for all platforms.
    Prevent crash in Aging Report when the book has no AP or AR accounts.
    Fix operation of the "default budget" option.
    Change the account-picker dialog to disable the OK button instead of
        raising a warning dialog if the selected account is a placeholder.
    Fix crash after unloading all files from the QIF import assistant.
    Disable the Next button in the QIF import assistant if no files are
        selected for import.
    New report "Balance Sheet-PNL" combines a Balance Sheet and an Income
        Statement in a single report.
    Rework localization in C++ on Win32 builds, fixing several crashes and
        speeding up file loading by 10x.
    Create a console window for displaying stdout/stderr. Define
        __MSWIN_CONSOLE__ and recompile to enable.
    Keep the selection in the Securities Editor on the commodity after
        editing it.
    Allow the Securities Editor to stack separately from the main window.
    Much more Scheme cleanup and refactoring.
    Python console improvements, including switching to Python3 and not
        killing GnuCash when quitting the console.


New API:
    The following functions can now be used in scheduled transaction
    credit/debit calculations:
    gnc:amort_pmt
    gnc:amort_ppmt
    gnc:amort_ipmt

API Deprecations:
    gnc:html-table-prepend-column!
    gnc:html-acct-table-num-cols
    gnc:html-acct-table-append-row!
    gnc:html-acct-table-prepend-row!
    gnc:html-acct-table-append-col!
    gnc:html-acct-table-prepend-col!
    gnc:html-acct-table-remove-last-row!
    gnc:html-acct-table-render
    gnc:second-html-build-acct-table

Updated Translations: Croatian, Farsi, German, Romanian, and Ukrainian

Known Issues:
    Bug 787813 - Regression: Price database should allow multiple buy/sell prices on the same date
    Bug 791825 - Accounting Period dates (among others) stored with a TZ-sensitive time.
    Bug 792975 - missing hellip in menus
    Bug 792986 - Connecting with Bank server is very slow
    Bug 793306 - Price is not imported from CSV
    Bug 794584 - Register not updated when scheduled transactions created
    Bug 794644 - Remove Old Prices is very slow
    Bug 794807 - Calendar widget current month shown as (null)
    Bug 795071 - new account entry screen keeps on disappearing and coming back
    Bug 795251 - googletest detection cannot be overridden
    Bug 795383 - Gnucash crashes on import of a 1400-transaction (or more) CSV file
    Bug 795384 - GnuCash 3 is tremendously memory hungry on macOs
    Bug 795393 - Do not create .log files when using sqlite backend
    Bug 795614 - Unicode handling in amount fields [resubmission]
    Bug 795753 - Initial save into MySQL should use bulk inserts
    Bug 796100 - Autosave Doesn't Work if Preferences Changed During Data Entry
    Bug 796122 - Poor Performance Scanning Old Files During Autosave
    Bug 796492 - Wrong calculation of the first occurrence
    Bug 796496 - CSV Importer: Column Selectors invisible on Windows.
    Bug 796500 - Scalability issue - importing large CSV to large book won't finish
    Bug 796520 - Layout overlapping in Income & Expense Chart
    Bug 796688 - "Next" Button Moves Repeatedly During New File Wizard
    Bug 796736 - Column Widths calculator need to allow more padding
    Bug 796740 - Selecting register value with mouse fails
    Bug 796746 - Cannot copy and paste anything into the amount field (both credit and debit)
    Bug 796750 - qof_query_search_for stores pointer of type string argument
    Bug 796758 - Improve error messages, why one can not remove a tax table
    Bug 796761 - Newline (char(10) is inserted into the end of the string if copy & paste text from excel into the description field of transaction
    Bug 796764 - make check: hardcoded filenames in /tmp, vulnerable to symlink attacks
    Bug 796767 - The importer shows read-only and placeholder accounts
    Bug 796769 - Exposing new variables via swig sometimes results in an error "Undefined variable : <something>" while building
    Bug 796773 - Display of Negative numbers
    Bug 796774 - Investment account QIF Import does not import transaction
    Bug 796775 - Auto fill not working correctly (only match the first char you type ...)
    Bug 796779 - Window size in SEPA transaction
    Bug 796782 - Cannot import OFX file in new 3.2
    Bug 796783 - handling invalid date range in "get transaction..."
    Bug 796787 - report options - default plot size too big
    Bug 796788 - strange behavior in options of multicolumn report
    Bug 796799 - After Deleting Transaction Price, Enter Required 2x
    Bug 796810 - Account creation and editing dialogs do not allow entering umlaut-u
    Bug 796824 - took more than 2 hours to import 220 transactions
    Bug 796836 - Credit note wrong, database inconsistency
    Bug 796844 - Amount column of Customer Report should net Credits and Debits
    Bug 796850 - Auto-decimal-point causes incorrect price to display when amount is edited.
    Bug 796852 - Context sensitive Help broken
    Bug 796857 - Import of QIF duplicates transfer transactions
    Bug 796861 - Report HTML Pie Chart - default value #f for colors makes the pie chart renderer crash
    Bug 796862 - Report HTML Scatter Chart - default value #f for makercolor makes the scatter chart renderer crash
    Bug 796870 - Cannot (occasionally) undo invoice billing
    Bug 796878 - test-qofsession fails on x86_32
    Bug 796882 - Entering an amount as a calculation fails the first time in bills
    Bug 796885 - SX Editor Calendar Sometimes Shows Wrong Year, Wrong Next Date
    Bug 796890 - CSV import of multi-split transactions marks reconciliation status of first line as cleared
    Bug 796892 - Startup warning: undefined symbol PyOS_getsig
    Bug 796894 - Edit -> Preferences results in gnucash.exe- No Disk error box
    Bug 796895 - Report end and start dates not obeyed
    Bug 796896 - Button to complete an export not intuitively placed or discoverable
    Bug 796899 - FTBFS on [mips]: segfault; test-backend-dbi; endianness
    Bug 796900 - Problems in Description Editing. Select all implemented with the Caps Key (plus no Ctrl Z Undo, grrr)
    Bug 796905 - GNUcash does not start after windows 10 update
    Bug 796907 - After a series of actions to the window of GnuCash, some of or all of the contents will dispear and could not get them back
    Bug 796909 - Can't enter different notes and memos for an AR payment transaction
    Bug 796911 - Minimum window width is too large, so it may not be possible to maximise the window
    Bug 796925 - Database connections not closed by session.end()/session.destroy() when is_new=True
    Bug 796933 - Backspace key doesn't work, sometimes.
    Bug 796934 - Menu and message characters display as boxes
    Bug 796935 - Scrollbar indicator does not move while scrolling
    Bug 796936 - Saving XML-formatted file to CryFS volume crashes GNUCash
    Bug 796942 - Make Auto-Split Optional or Undo-Able for Data Entry
    Bug 796945 - Find Transaction Split Search Search Criteria window does not scroll when added criteria exceed a certain amount
    Bug 796948 - Scheduled Transactions Entered Since Last Run Are not Visible
    Bug 796954 - No scroll in invoice/billing and all columns not visible. Column resizing is disastrous
    Bug 796955 - Import CSV - Single-line two-currency transactions can't be imported
    Bug 796958 - GnuCash tries to lock the database even when opened read-only.
    Bug 796959 - GnuCash complains about saving on close when read-only.
    Bug 796966 - Underscore showing in german translation strings in the gui - business - search invoice
    Bug 796970 - Disable editing of currency retrieval settings for currencies.
    Bug 796974 - Feature Request - Headings for the Matcher column Deposit/Withdrawal do not change to Debit/Credit when formal accounting labels are preferenced
    Bug 796977 - No amounts displaying after upgrade from 2.6.19 to 3.3
    Bug 796979 - GnuCash segfaults on first startup when run from remote X session
    Bug 796983 - fails when importing QIF exported by Quicken 2015 Deluxe
    Bug 796984 - Import Bills & Invoices: date of line item is not validated; can lead to unexpected results
    Bug 796985 - Import Bills & Invoices: option 'open not yet posted docs in tab' does not open tab if invoice could not be posted
    Bug 796986 - Import Bills & Invoices: in case of invalid posting date in import file, invoice is posted with unexpected date
    Bug 796987 - Import Bills & Invoices: fixing import items only works in special case
    Bug 796992 - gnucash --add-price-quotes always fails
    Bug 796995 - Income and GST Statement: wrong grouping of invoices with multiple tax rates
    Bug 796997 - Currency Conversion Dialog appears when recording transactions between same currency accounts.
    Bug 797003 - Number widget changes values by more than one
    Bug 797006 - Balance is misleading in "open subaccounts" when different currencies are involved
    Bug 797009 - Database error on split transaction
    Bug 797010 - Install v3.4 failure
    Bug 797016 - modifying existing entry don't allow to input zero price or zero stocks
    Bug 797022 - Import Bills & Invoices: expense/income account is not validated - leads to one-sided posting if account is invalid
    Bug 797023 - Import Bills & Invoices: no user confirmation requested for update of invoices, if new invoices is created first.
    Bug 797024 - Import Bills & Invoices: import matches csv data rows with too few separators, messing up the import data
    Bug 797025 - Import Bills & Invoices: the type of the post to account is not validated - enabling A/P and A/R postings on regular accounts
    Bug 797026 - Reimport of account structure not working
    Bug 797033 - The CSV Importer should not obey with the "automatic digital point" setting
    Bug 797035 - Date selection via calender
    Bug 797036 - Runtime Error During 3.4 Upgrade
    Bug 797037 - Counter formats not saving
    Bug 797038 - GnuCash hangs loading under XWindows
    Bug 797043 - Rouble Symbol missing in Windows.
    Bug 797045 - Improve error reporting for bad credentials with MySQL backend ("bad or corrupt data" => "access denied")
    Bug 797048 - GnuCash in English doesn't show dates in register when book contains Polish characters
    Bug 797049 - Typing in lists does no longer initiate text search
    Bug 797050 - Encoding problem at MT940 Import
    Bug 797052 - Unable to Use Shift Key After Autofill or Paste
    Bug 797053 - Window state isn't saved
    Bug 797054 - Reports are rendered in Greek glyphs
    Bug 797057 - gnc-gwen-gui.c is still based on the deprecated GtkTable
    Bug 797060 - When importing QFX transactions all dates are current date
    Bug 797063 - gncEntryGetDocValue is modifying the invoice or entry
    Bug 797064 - crash when try print report
    Bug 797065 - character is broken when display report
    Bug 797070 - With multiple monitors, menus only open in one monitor, regardless of which monitor GnuCash window is located
    Bug 797073 - Tax Schedule Report off by one year
    Bug 797076 - Net worth, Assets and Liabilities report wrong period
    Bug 797077 - Wrong Balance Displayed in Related Registers
    Bug 797078 - "Automatic decimal point" Should Not Cause 2 Different Behaviors
    Bug 797080 - "Rate of Gain" and "Rate of Return" Seem to be Mislabeled
    Bug 797083 - Gnucash crashes when trying to rename budget
    Bug 797084 - Provide an option to leave edited transactions reconciled
    Bug 797085 - Import Bills & Invoices – headers not translated
    Bug 797088 - Encoding problem with CSV-formated account tree import
    Bug 797092 - Save As fails: tries to save to reserved directory if path contains spaces
    Bug 797093 - Miscalculation in cashflow reports
    Bug 797096 - Bad display in dialog window
    Bug 797101 - repeated pop-up "confirm creation of" some mangled account name
    Bug 797102 - Advanced Portfolio Ignores Capital Gain Splits
    Bug 797106 - Advanced Portfolio Report shows too many decimals in security unit prices newly imported from Finance::Quote
    Bug 797110 - Column alignment on Trial Balance using a Stylesheet
    Bug 797112 - Unable to Close Period due to reconcile_date falling before 1970-01-01 00:00:00 UTC
    Bug 797113 - Scrubbing crashes when creating small splits that round to value 0.
    Bug 797114 - Fixing an SX due to deleted account stuck in an error loop
    Bug 797115 - Can't 're-activate' an expired SX
    Bug 797116 - request for review: gnc doesn't understand the chars it allows to be stored in a file and should
    Bug 797118 - Date entered incorrectly if entered as yyyy with some Date Time Local Settings
    Bug 797119 - Duplicating transaction produces blocked edit
    Bug 797121 - Unable to save to database
    Bug 797124 - Request for Enhancement: Preferences and Saved Reports should be per-book not per-user
    Bug 797133 - CSV Import of multicurrency transaction export in multiline form
    Bug 797137 - Advanced portfolio for currency accounts
    Bug 797142 - txf export report outputs incorrect values in schedule c
    Bug 797145 - QIF Importer CP1252->UTF-8 transcoding fails
    Bug 797147 - invoice.GetDatePosted() returns 1970-01-01 for unposted invoices in MySQL backend rather than Null
    Bug 797158 - gnc:make-account-sel-limited-option is not working
    Bug 797161 - first transaction with trn:date-posted on 1st day of month counted to previous month by graphs (due to timezone)
    Bug 797163 - qof_book_get_option segfaults when retrieving a non-leaf frame
    Bug 797164 - QFX import dialog creates Floppy Drive Not Ready error on a computer with no floppy drive
    Bug 797166 - Stock scrubbing does not handle Return of Capital Transactions
    Bug 797167 - Paste from clipboard to invoice editing window fails
    Bug 797171 - Allow multiple credit/debit columns to be selected
    Bug 797172 - Allow accounting terms in drop down list.
    Bug 797173 - Allow user to specify a debit/credit column needs to be negated.
    Bug 797182 - Doesn't respond correctly when using Windows Snap feature
    Bug 797184 - chargeback customer invoicing
    Bug 797187 - Payment processing falsely initialized with order list in the customer entry field (workaround described)
    Bug 797188 - Default invoice prints credit note as invoice
    Bug 797190 - When Translations Not Selected, 75 MB of Help Files Installed
    Bug 797191 - Gnu Cash does not save certificates permanently
    Bug 797194 - Hebrew fonts are not shown correctly
    Bug 797199 - AqBanking HBCI import Visa Card (comdirect bank) without line result: from to dates switched
    Bug 797200 - closing window in python console should trigger regular shutdown or none at all
    Bug 797201 - ipython shell broken
    Bug 797203 - autofill value is incorrect in split tx across currencies with trading accounts enabled
    Bug 797205 - Python Shell startup message: PyGTKDeprecationWarning: Using positional arguments with the GObject constructor has been deprecated
    Bug 797206 - qif import: investment accounts with cash transactions that are transfers cause import to fail with bug detected
    Bug 797211 - Very slow UI - dependent on window size
    Bug 797213 - import map editor shows no maps, takes ~22 seconds to display nothing, yet QIF importer remembers maps somehow
    Bug 797214 - enhancement: gnucash file anonymizer, great for providing sample errant data to dev/test
    Bug 797216 - The order of multi-split journal entries in the CSV-importfile is blocking a valid import
    Bug 797218 - qif import: Quicken exported QIF files do not import diacritic extended characters, they are replaced with ?
    Bug 797220 - delete account allows move of all transactions to account having non-matching currency
    Bug 797222 - Resetting the "change reconciled split" warning doesn't take effect until GnuCash is restarted.
    Bug 797226 - Minor Issues in GnuCash Export Format
    Bug 797227 - Feature Request: Use trading accounts only for currency conversion
    Bug 797229 - Two Finger Horizontal Scroll in Register Broken
    Bug 797231 - Split transaction doesn't complete in future
    Bug 797232 - dialog-ab.glade was written for gtk 2.16.
    Bug 797234 - gnucash closes when trying to open new file
    Bug 797235 - 'Memorised' is british English
    Bug 797236 - Regression: Reconcile window transaction list resets to top when new transaction created in account
    Bug 797237 - Default currency is USD no matter what you choose
    Bug 797243 - Slow XML load/save on OS X 10.11
    Bug 797244 - Commodity categories are inconsistent
    Bug 797245 - Smallest fraction of Vietnam Dong VND should be 1
    Bug 797251 - File choosers have lost the ability to type file names and paths
    Bug 797256 - AR/AP: placeholder accounts are selectable in the Posting menu for invoices and bills
    Bug 797260 - msys2 setup incomplete with current setup-mingw64.ps1 bootstrap
    Bug 797263 - Tax Schedule Report fails to generate
    Bug 797264 - 3.5 can't use Chinese IME input
    Bug 797268 - Stock Split Assistant can create nonsense transactions
    Bug 797270 - Budget Chart report - translation of header and dates
    Bug 797275 - Multiselection contains matched transactions
    Bug 797276 - Hitting the cancel button when editing a scheduled transaction does not undo changes
    Bug 797279 - Reports RTL do not support RTL
    Bug 797280 - Balance Sheet and P&L Reports use different rounding.
    Bug 797282 - Bills Due Reminder does not update document count message after processing payment
    Bug 797283 - Permanent hang on clicking on report tabs
    Bug 797284 - A column of an account can be too small (width 1), so that it is not possible to get it back with a double-click on it
    Bug 797285 - QIF import fails and then crashes
    Bug 797287 - summary bar is wonky
    Bug 797290 - out-of-memory during register dropdown for income account
    Bug 797292 - Amounts are displayed and stored with fractions smaller than the commodity's SCU
    Bug 797293 - Crash when import "U+R" or "R"
    Bug 797294 - Billing functions freezing
    Bug 797295 - problems with entering swedish åäö in company address


3.5 - 31 March 2019
The sixth release of the 3.x stable series.

Note for Windows and MacOS users: The Gtk GUI framework has fixed
several substantial bugs in the Windows and MacOS backends, some of
which are so recent that they are not included in the latest
release. In order to ensure that the GnuCash all-in-one bundles have
those important fixes we are departing from normal practice and
shipping builds from the Gtk repository instead of from release
tarballs.

The following bugs have been fixed:
    Bug 639049 - Asset Barchart Report includes also the first day of next month transactions
  If the original date is an end-of-month date, we take it as an
  indicator they always want monthdelta dates to be end-of-months.
  This works for monthly/quarterly/halfyearly/annual.
    Bug 748431 - Wrong average balance for transactions during DST
  Replace average-splits with custom loop, cycling through the
  balancelist and splitlist, creating interval summaries along the way.
    Bug 787401 - Test for the report system - HTML Tests.
    Bug 795729 - Advanced Portfolio Report - Percentage rates not displaying leading zeros.
    Bug 796498 - Incorrect starting balance in TXF Report calculations.
    Bug 796530 - TxnCsvImport - fix loading of saved preset with update of seperator selection. Previously this would cause all but the first column to lose its assigned types.
    Bug 796687 - Tax Entity name and type for an account won't work under "Tax Reporting Options" in Gnucash 3.2
    Bug 796826 - Report HTML - not possible to suppress the document header.
    Bug 796827 - Report HTML - it is not possible to suppress the document title.
    Bug 796829 - Report HTML - HTML table rows are prepended not as list elements
    Bug 796831 - Report-HTML - append table column correctly.
    Bug 796877 - test-stress-options fails.
    Bug 796946 - Mortgage and Loan Repayment Setup tool crashes when exiting "Loan Repayment Options" page.
  Because libstdc++ on Windows doesn't support any C++ locales besides "C" and throws an exception if you try.
    Bug 796952 - Report formatting (justify) is broken.
    Bug 796956 - Aqbanking 6 will drop DTAUS
                 Adds support for the upcoming AQBanking 6 and removes support for AQBanking earlier than 5.3.4.
    Bug 796965 - Change the default to show unused accounts.
    Bug 796989 - some date/time does not honor user locale.
    Bug 797002 - Program crashes when exporting tax data in txf format.
    Bug 797011 - GnuCash 3.4 Crashes When Printing Checks with Custom Format.
    Bug 797013 - Import Customers & Vendors: error in CMakeLists.txt - causes incomplete project in Xcode.
    Bug 797029 - Import Customer & Vendors: blank name and company in import data row crashes GnuCash
    Bug 797030 - Import Customer & Vendors: several issues with the matching of data rows.
    Bug 797031 - Import customer & Vendors: import can create customer and vendors without address data
    Bug 797041 - enum confusion in qoflog.
    Bug 797046 - Tools / Price Database / Currencies UI not working since 3.4.
    Bug 797067 - Date displayed incorrectly in register.
    Bug 797074 - Reports with averages are displaying fractions
                 Convert amounts to decimal prior to adding to html-table.  Also adds tests to make sure averages are displayed in 2 decimal places.
    Bug 797098 - Quitting Gnucash shortly after clicking Save may abort file save.
    Bug 797105 - Incorrect local-symbol for SZL currency
    Bug 797136 - Balance sheet report "Show Exchange rate" broken when foreign currency is sold completely
                 For cases where total(amount)/total(value) = 0/0, the price is reported as 0.

Other repairs or enhancements not marked as bugs:

    API: Add dedicated api to query build-time, version related compile constants and use it in several location in the code for consistent behaviour.
    Budget: Save and restore the Account filter settings.
    Build: Fix deprecation warnings for g_type_class_add_private.

    CSV Tokenizer: Add additional test to guard against quote parsing regressions.
    GUI: Replace ambiguous mnemonic for File>Export>Export Active Register...
    GUI: Rearrange menu accelerators for Actions>Online Actions menu items
    GUI: Add mnemonic for File>Import>Import Bills...
    GUI: Move Balance-Forecast report to Reports>Assets & Liabilities
    GUI: Move Void Transactions item in Report Options from the Accounts tab to the Filter tab.
    I18N: Fix erratic localization of dates on Windows.
      Date format selection on Windows relies on Windows National Language functions and those are unaffected by the POSIX setlocale(). We have in the past relied upon gtk initialization to handle this but it has not been reliable since the move to Gtk3. Note that this applies only when the locale is set via a Unix-style environment variable (typically LANG) or in the environment file; it's unnecessary and ignored when using the localization settings in Region & Language.
    I18N: Unify phrases to remove untranslated msgids.
    I18N: Restore the global locale after Guile munges it.
      There's no way to change the environment locale on Windows so calling setlocale(LC_ALL, ""), as guile does in its init routine, reads the user's Language and Region settings instead of the environment variables. We save the discovered environment locale and call setlocale with it again after Guile has initialized.
    Importing: Remove old (non-SEPA) online transaction code, because now in 2019 the banks will only offer SEPA transactions and no others. This in turn means we don't need the old ktoblzcheck checking functions at all so also remove the dependency.
    Importing: Usability improvements for Bayes editor window
      Remove the "Are you sure" question as it is simply annoying but does not help. Fix some string wordings to be more understandable.
    Online Banking: No longer force existence of local BIC code.
    Online Banking: Entering of TAN must use normal visibility
      The visibility of the entered content was set to FALSE (=invisible) always, which was wrong for certain types of input as indicated by the GUI_INPUT_FLAGS. This should now be honored and visibility set to TRUE (=visible) for the correct flags.
    Online Banking: Fix reconcile timestamps when importing balances.
      Used to be start-of-day, but needs to be day-neutral.
    Performance: Provide a single static instance of C++ locale.
      We can't use std::locale::global because all streams imbue it by default and if it's not 'C' (aka std::locale::classic) then we must imbue all the streams that we don't want localized, and that's most of them.
    Performance: Add GncDateTime::timestamp().
      To provide a C++ implementation of gnc_date_timestamp and to avoid using the expensive and localized GncDateTime::format().
    Performance: Implement a faster date-time serialization function.
      Has the side effect of recording all date-times in XML files in UTC instead of local time with a timezone. This will help users who like to keep their files under version control because the time strings won't shift every time Daylight time begins or ends.
    Performance: >Fix XML load CPU hotspot: Scrub.c xaccTransScrubPostedDate
      The refactoring provides roughly 10% reduction in user CPU use for XML file load by moving an expensive function to within an if-clause where the result is used.
    Performance: Speed-up of txn match dialog: Suspend GUI refresh during deletion of selected lines.
    Performance: Sorting speed-up: Cache the bool value of Transaction's is_closing property.
    Register: Accept URLs or file paths for files associated with transactions. File paths can be relative or absolute. A preference is provided.
    Reports: Speed up the budget and cash flow report calculation by iterating over accounts only once.
    Reports: Heavy scrubbing for code readability and performance.
    Reports: New Report by Ryan Turner: Balance Forecast Report
      This report forecasts the combined balances of the selected accounts based on the scheduled transactions and plots them on a line graph. You can set a "reserve" amount, which will draw a red line on the graph, so you can easily see if your forecast dips below a given value. There is also a "future minimum" line which shows what the lowest future balance will be at a given point. I find this useful in conjunction with the "target" line for planning.
    Reports: Fix crash when loading saved-report with unknown choices.
      If a saved-report with e.g. relative date, multichoice option is unknown, the report would crash, and the Report-Options would segfault. This commit fixes both: report-date defaults to 'today', multichoice-options defaults to default-value. Following this commit, if a report loads a saved-report or .gcm from a future version, a gnc:warn will be emitted and the report will not crash; it will use relative-date today. Multichoice will remain the default value. Report Options will not segfault. The user will be notified via a gnc:gui-warn dialog
    Reports: Date intervals at end-of-month:
      Instead of recursing the date, we calculate the next month using an index-based multiplier, and apply modulo/remainder as appropriate to determine the next month/year. Then we attempt to create new mktime, and if the resulting mktime's month is not as expected, reduce the mday by 1 until resulting month is correct. This fixes monthly intervals for end-of-month days. Test via monthly/quarterly deltas, and also includes leapyear calculation.
    Reports: Date-grouping must allow indenting.
      Indenting checkbox was erroneously disabled when: sortkey = date, date-subtotal = not 'none.
    Reports: Table display
      It is intuitive that if the user wishes to show the subtotal-table, and hide the transactions, then both the main (hidden) transactions and subtotals must be hidden as well.
    Reports: Update US Income Tax information for 2018.
    Scheme Deprecations:
      account-assoc
      account-hash
      account-hashtable-ref
      account-hashtable-set!
      account-in-alist
      account-in-list-pred
      account-in-list?
      account-same?
      gnc-commodity-collector-commodity-count
      gnc-commodity-collector-contains-commodity?
      gnc:commodity-collectorlist-get-merged
      gnc:exchange-by-pricedb-helper
      gnc:exhange-by-pricevalue-helper
      gnc:get-commoditylist-inst-prices
      gnc:hook-run-danglers
      gnc:make-drcr-collector
      gnc:make-stats-collector
      gnc:report-template-menu-name/name
      gnc:report-template-name-to-id
      gnc:report-template-new-options/name
      gnc:report-template-renderer/name
      gnc:restore-report
      gnc:save-options
      split-assoc
      split-hash
      split-hashtable-ref
      split-hashtable-set!
      split-in-list?
      split-same?

    Scheme: Replace account and split utility functions with SRFI-1 functions.
    Scheme: Testing (create-transaction) adds price trading commodities/currency this will modify a test which was calibrated to record purchase price only. fix transaction creation to add prices for both purchase and sales, and also fix test which was assuming no sale price was bring recorded.
    Scheme: Testing (env-create-multisplit-transaction) This is the general case for any transaction creation.  Rewrite other transaction creation routines to use it.  All tests still work unchanged, which confirms this function works well. This will allow tests to create multisplit transactions, of an arbitrary number of splits. If the list-of-split's values are not balanced (i.e. total 0), the engine will create an Imbalance-CUR split.
       The motivation is to allow creation of complex multisplit multicommodity transactions eg USD50 + GBP20 (USD25) = EUR66 (USD75) as well as their prices GBP/USD = 25/20 and EUR/USD = 75/66.
        * USD -50
        * USD -25 = GBP -20
        * USD +75 = EUR +66
       This will be useful in creating tests for stock-based reports, whereby stock sales need splits in STOCK/ASSET/INCOME accounts.
    Scheme: Redesign gnc:account-get-balances-at-dates, replacing the ignore-closing? parameter with a split->amount function parameter having a default value of xaccSplitgetAmount. (split->amount split) should return the amount of the split or #f; in the latter case the split is skipped. This allows for a more general account balance list accumulator with novel balance strategies. For example a split->amount function could test void status and return xaccSplitVoidForerAmount on void splits; test description/memo for some content and vary the returned amount accoridingly; or test the split and return 1 or 0 creating a counter. To recreate the ignore-closing use case pass (lambda (s) (and not (xaccTransGetIsClosingTxn (xaccSplitGetParent s))) (xaccSplitGetAcmount s)))
    Scheme: Replace some option names. Automatically convert usage of the old names and issue a warning.


Updated Translations: Arabic, Croatian (New!), Farsi, French, German, Spanis, Ukrainian
Updated Account Templates: Belgium (French) (New!), Frsnce, Croatia (New!), Germany. Switzerland (French)

Known Issues:
    Bug 795384 - GnuCash 3 is tremendously memory hungry on macOs
    Bug 795393 - Do not create .log files when using sqlite backend
    Bug 795614 - Unicode handling in amount fields [resubmission]
    Bug 796100 - Autosave Doesn't Always Work
    Bug 796122 - Poor Performance Scanning Old Files During Autosave
    Bug 796492 - Wrong calculation of the first occurrence
    Bug 796496 - CSV Importer: Column Selectors invisible on Windows.
    Bug 796500 - Scalability issue - importing large CSV to large book won't finish
    Bug 796520 - Layout overlapping in Income & Expense Chart
    Bug 796688 - "Next" Button Moves Repeatedly During New File Wizard
    Bug 796728 - GnuCash 3.0-3.4 crashes when starting up under Windows
    Bug 796736 - Column Widths calculator need to allow more padding
    Bug 796740 - Selecting register value with mouse fails
    Bug 796746 - Cannot copy and paste anything into the amount field (both credit and debit)
    Bug 796750 - qof_query_search_for stores pointer of type string argument
    Bug 796754 - Guile encoding certain strings not as UTF-8
    Bug 796758 - Improve error messages, why one can not remove a tax table
    Bug 796761 - Newline (char(10) is inserted into the end of the string if copy & paste text from excel into the description field of transaction
    Bug 796767 - The importer shows read-only and placeholder accounts
    Bug 796774 - Investment account QIF Import does not import transaction
    Bug 796775 - Auto fill not working correctly (only match the first char you type ...)
    Bug 796779 - Window size in SEPA transaction
    Bug 796782 - Cannot import OFX file in new 3.2
    Bug 796799 - After Deleting Transaction Price, Enter Required 2x
    Bug 796810 - Account creation and editing dialogs do not allow entering umlaut-u
    Bug 796824 - took more than 2 hours to import 220 transactions
    Bug 796844 - Amount column of Customer Report should net Credits and Debits
    Bug 796850 - Auto-decimal-point causes incorrect price to display when amount is edited.
    Bug 796852 - Context sensitive Help broken
    Bug 796857 - Import of QIF duplicates transfer transactions
    Bug 796871 - GtkFileChooser Name Field and Sidebar Ignore UNC Paths
    Bug 796880 - Menu Tooltips Interfere with All Dialogs
    Bug 796885 - SX Editor Calendar Sometimes Shows Wrong Year, Wrong Next Date
    Bug 796890 - CSV import of multi-split transactions marks reconciliation status of first line as cleared
    Bug 796892 - Startup warning: undefined symbol PyOS_getsig
    Bug 796894 - Edit -> Preferences results in gnucash.exe- No Disk error box
    Bug 796895 - Report end and start dates not obeyed
    Bug 796896 - Button to complete an export not intuitively placed or discoverable
    Bug 796899 - FTBFS on [mips]: segfault; test-backend-dbi; endianness
    Bug 796905 - GNUcash does not start after windows 10 update
    Bug 796909 - Can't enter different notes and memos for an AR payment transaction
    Bug 796911 - Minimum window width is too large, so it may not be possible to maximise the window
    Bug 796935 - Scrollbar indicator does not move while scrolling
    Bug 796942 - Make Auto-Split Optional or Undo-Able for Data Entry
    Bug 796954 - No scroll in invoice/billing and all columns not visible. Column resizing is disastrous
    Bug 796955 - Import CSV - Single-line two-currency transactions can't be imported
    Bug 796970 - Disable editing of currency retrieval settings for currencies.
    Bug 796973 - Blocking problem when importing QIF - trading commodities enter Information
    Bug 796974 - Feature Request - Headings for the Matcher column Deposit/Withdrawal do not change to Debit/Credit when formal accounting labels are preferenced
    Bug 796979 - GnuCash segfaults on first startup when run from remote X session
    Bug 796983 - fails when importing QIF exported by Quicken 2015 Deluxe
    Bug 796995 - Income and GST Statement: wrong grouping of invoices with multiple tax rates
    Bug 796997 - Currency Conversion Dialog appears when recording transactions between same currency accounts.
    Bug 797003 - Number widget changes values by more than one
    Bug 797006 - Balance is misleading in "open subaccounts" when different currencies are involved
    Bug 797009 - Database error on split transaction
    Bug 797010 - Install v3.4 failure
    Bug 797016 - modifying existing entry don't allow to input zero price or zero stocks
    Bug 797022 - Import Bills & Invoices: expense/income account is not validated - leads to one-sided posting if account is invalid
    Bug 797023 - Import Bills & Invoices: no user confirmation requested for update of invoices, if new invoices is created first.
    Bug 797024 - Import Bills & Invoices: import matches csv data rows with too few separators, messing up the import data
    Bug 797025 - Import Bills & Invoices: the type of the post to account is not validated - enabling A/P and A/R postings on regular accounts
    Bug 797026 - Reimport of account structure not working
    Bug 797027 - After Upgrade to 3.4, File is Always Unsaved
    Bug 797033 - The CSV Importer should not obey with the "automatic digital point" setting
    Bug 797035 - Date selection via calender
    Bug 797036 - Runtime Error During 3.4 Upgrade
    Bug 797037 - Counter formats not saving
    Bug 797038 - GnuCash hangs loading under XWindows
    Bug 797043 - Rouble Symbol missing in Windows.
    Bug 797045 - Improve error reporting for bad credentials with MySQL backend ("bad or corrupt data" => "access denied")
    Bug 797048 - GnuCash in English doesn't show dates in register when book contains Polish characters
    Bug 797049 - Typing in lists does no longer initiate text search
    Bug 797050 - Encoding problem at MT940 Import
    Bug 797051 - Price Database Add Overwrites Data Without Confirmation
    Bug 797052 - Unable to Use Shift Key After Pasting Text
    Bug 797053 - Window state isn't saved
    Bug 797054 - Reports are rendered in Greek glyphs
    Bug 797057 - gnc-gwen-gui.c is still based on the deprecated GtkTable
    Bug 797060 - When importing QFX transactions all dates are current date
    Bug 797063 - gncEntryGetDocValue is modifying the invoice or entry
    Bug 797069 - Unicode symbols are treated as ASCII / Latin-1 in some fields
    Bug 797070 - With multiple monitors, menus only open in one monitor, regardless of which monitor GnuCash window is located
    Bug 797073 - Tax Schedule Report off by one year
    Bug 797077 - Wrong Balance Displayed in Related Registers
    Bug 797078 - "Automatic decimal point" Should Not Cause 2 Different Behaviors
    Bug 797080 - "Rate of Gain" and "Rate of Return" Seem to be Mislabeled
    Bug 797083 - Gnucash crashes when trying to rename budget
    Bug 797084 - Provide an option to leave edited transactions reconciled
    Bug 797088 - Encoding problem with CSV-formated account tree import
    Bug 797092 - Save As fails: tries to save to reserved directory if path contains spaces
    Bug 797093 - Miscalculation in cashflow reports
    Bug 797096 - Bad display in dialog window
    Bug 797101 - repeated pop-up "confirm creation of" some mangled account name
    Bug 797102 - Advanced Portfolio Ignores Capital Gain Splits
    Bug 797106 - Advanced Portfolio Report shows too many decimals in security unit prices newly imported from Finance::Quote
    Bug 797107 - off-by-1 error in gnc_pricedb_nth_price
    Bug 797110 - Column alignment on Trial Balance using a Stylesheet
    Bug 797112 - Unable to Close Period due to reconcile_date falling before 1970-01-01 00:00:00 UTC
    Bug 797113 - Scrubbing crashes when creating small splits that round to value 0.
    Bug 797114 - Fixing an SX due to deleted account stuck in an error loop
    Bug 797115 - Can't 're-activate' an expired SX
    Bug 797116 - request for review: gnc doesn't understand the chars it allows to be stored in a file and should
    Bug 797118 - Date entered incorrectly if entered as yyyy with some Date Time Local Settings
    Bug 797119 - Duplicating transaction produces blocked edit
    Bug 797121 - Unable to save to database
    Bug 797123 - File->Export Transactions to CSV doesn't output transaction data
    Bug 797124 - Request for Enhancement: Preferences and Saved Reports should be per-book not per-user
    Bug 797127 - Company name and address in reports not display properly, all Traditional Chinese (zh_tw) characters will GARBLED
    Bug 797133 - CSV Import of multicurrency transaction export in multiline form
    Bug 797137 - Advanced portfolio for currency accounts
    Bug 797139 - test-report-utilities failure after 10-march in travis
    Bug 797142 - txf export report outputs incorrect values in schedule c
    Bug 797145 - QIF Importer CP1252->UTF-8 transcoding fails
    Bug 797147 - invoice.GetDatePosted() returns 1970-01-01 for unposted invoices in MySQL backend rather than Null
    Bug 797148 - Custom Count fields won't save
    Bug 797157 - Crash on Start
    Bug 797158 - gnc:make-account-sel-limited-option is not working

3.4 - 30 December 2018
The fifth release of the 3.x stable series.
The following bugs have been fixed:
     Bug 498072 - GnuCash show taxes on invoice when individual taxes is
                  not checked
     Bug 760825 - On duplicating a bill, the entry dates should be set to
                  the bill date, not to the current date - followup:
                  Use neutral time on entry post dates instead of canonical time
     Bug 767772 - Associated file with transaction is lost when moving entry
                  between accounts
     Bug 775580 - Inaccurate information provided for "Common Accounts" when
                  using "New Account Hierarchy Setup"
     Bug 779565 - Treeview header combos do not work at first load
     Bug 788332 - Last Reconcile Date column sorts by day of month not date
     Bug 789674 - Close Book tool regression
     Bug 793156 - Incorrect date sort order in Generic import matcher window
     Bug 795080 - Some dates reset to 01/01/1970
     Bug 795237 - Update of "wohnungsw" template
     Bug 795425 - Version 2018 of german account template SKR49
     Bug 796772 - Receivable Ageing Report invalid URL for Totals column
     Bug 796806 - Crash after OFX import if line item dragged
     Bug 796842 - Add new employee window may not fit on screen
     Bug 796849 - Load another QIF file causes "that file already loaded" dialog
     Bug 796875 - Unable to use arrow keys to advance past pre-filled text
                  in register
     Bug 796878 - test-qofsession fails on x86_32.
     Bug 796883 - Register text oddities
                  HOME and END need to be treated like right and left arrow
                  keys.
     Bug 796886 - OFX Import does not show source account in the transaction
                  matching window
     Bug 796887 - Remove account slot key color if there is no valid color
     Bug 796893 - invoice.GetDatePosted() and other date related functions
                  returns strange values for uninitalised dates.
     Bug 796896 - Button to complete an export not intuitively placed or
                  discoverable
     Bug 796903 - Crash when searching invoice by Invoice Owner
     Bug 796914 - Customer Summary is giving error
     Bug 796915 - Update Account colour background
     Bug 796940 - Invalid transaction date-posted KVP causes date-posted to
                  not be saved.
     Bug 796944 - Tab navigation From Company Address field in New Book Options
     Bug 796945 - Search Search Criteria window does not scroll when added
                  criteria exceed a certain amount
     Bug 796948 - Scheduled Transactions Entered Since Last Run Are not Visible
     Bug 796949 - Incorrect conversion of 0,01 USD to EUR
     Bug 796960 - Incorrect amount sort order in Generic import matcher window
     Bug 796961 - Can't overwrite existing MYSQL database, V3.3.
     Bug 796967 - gnclock table not removed when using PostgreSQL.
     Bug 796978 - Deleting a split of same account as register cancels the
                  transaction without warning
     Bug 796981 - Gnucash crashes with critical error when selecting another
                  file
     Bug 796982 - Import Bills & Invoices: change in un_escape() routine
                  causes description and notes fields to be mangled.
     Bug 796988 - Untranslated string in CSV transaction importer
     Bug 796989 - some date/time does not honor user locale
     Bug 796994 - Unable to generate Tax Report because of pricedb error

Other repairs or enhancements not marked as bugs:
     Set up filepath utils to determine the GNC_CONFIG_HOME in the same way
          as GNC_DATA_HOME
          Until now GNC_CONFIG_HOME was more or less hard-coded. Now it can be
          set via environment variable GNC_CONFIG_HOME. In addition it will
          automatically be created to avoid potential user confusion.
     Redesign gnc-uri-utils
          gnc_uri_get_components will now return NULL as protocol if the input
               is a normal file system path instead of a uri (it used to
               return 'file')
          gnc_uri_get_protocol will now return NULL if the input is a normal
               file system path instead of a uri (it used to return 'file')
          gnc_uri_is_file_protocol now returns FALSE if protocol is NULL
               (it used to return TRUE)
           gnc_uri_is_file_uri now returns FALSE if input is a normal file
                system path instead of a uri (it used to return TRUE)
           a new function gnc_uri_targets_local_fs will return TRUE only if
                its input is either a file uri or a normal file system path.
                This function is now mostly used instead of
                gnc_uri_is_file_uri in the current code base
           a new function gnc_uri_is_uri is added to check whether its input
                is a valid uri (has protocol, path and hostname for non-file
                uris)
           refer to 'scheme' instead of 'protocol' as that's the more formal
               term used in uris
               This involves renaming 3 functions:
                    gnc_uri_get_protocol -> gnc_uri_get_scheme
                    gnc_uri_is_known_protocol -> gnc_uri_is_known_scheme
                    gnc_uri_is_file_protocol -> gnc_uri_is_file_scheme
               The *_protocol variants are marked as deprecated.
               Additionally a number of local variables have been renamed from
               protocol to scheme to support this change.
     Show warnings for deprecated declarations
          We're about to announce our own set of deprecated functions in
          libgnucash. That would be pretty pointless if we also would silence
          all deprecation warnings at the same time...
     More report code-cleanup by Chris Lam, including deprecating the
           following functions:
               gnc:account-get-balance-at-date
               gnc:account-get-total-flow
               gnc-commodity-numeric-string
               gnc-commodity-value->string
               gnc:double-col
               gnc:options-add-include-subaccounts
               gnc:options-add-group-accounts
               gnc:options-add-currency-selection
            The following modules are deprecated:
               report-system/collectors
               report-system/report-collectors
     Invoice: Remove H1 title and superflous option.
           Printing the title twice is silly, so remove the option and the
           H1 display of the title. Note that the remaining title is in a
           div named "invoice-title" so it can be styled with CSS as the user
           pleases from the Report Options Layout tab.
     The preference, use formal accounting labels does not update the header
          With a register open and you change preference 'use formal
          accounting labels' it does not update the register header so add
         a call back for the preference.

     Make the grid lines of totals Budget tree view track the preferences
          Make the grid lines of the totals tree view track the preferences
          to match the account tree view above it.
     Add routine to fix Account Color being set to "Not Set"
          Previously the account color slot has been populated with
          "Not Set" when any field for the account has been edited and
          saved. This routine should run once and remove all such entries.
     Performance fix in dom_chars_handler: use g_strndup instead of g_strdup
     In the appdata/metadata file, rename the ID from org.gnucash.Gnucash
          to org.gnucash.GnuCash to match flathub, and add a launchable ID
          to link it to the desktop file.
     Added double-click-on-file for the CSV transaction, price, and account
         importers and exporters.
     Cleaned up a variety of issues reported by the clang static analyzer.
     Allow the text options widget to use all remaining space
          The text option widget used for report options has only about 3
          lines visible currently and will not use any available space in
          the dialogue. Change the packing for this widget to expand and
          fill the remaining dialogue space. If there are more than one text
          option widget on a page then the available space will be shared
          equally.
     Add short_labels for a few toolbar buttons with long names. That should
          fit a few more buttons on the toolbar.
     Update iso-4217-currencies.xml, adddding VES - Bolivar Soberano, minor
          updates of other VE currencies.
     Python 3 bindings fixes and improvements from Christoph Holterman and
          Sumit Bhardwaj.

Updated Translations:  Chinese (Simplified), Farsi, German, Japanese, Portuguese (Portugal), Ukrainian
Updated Account Templates: English (US), English (UK), German (Austria), German (Germany), Portuguese (Portugal)

Known Issues:
     Bug 795251 - googletest detection cannot be overridden
     Bug 795614 - Unicode handling in amount fields [resubmission]
     Bug 795729 - Advanced Portfolio Report - Percentage rates not displaying
                  leadinga zeroes
     Bug 795071 - new account entry screen keeps on disappearing and coming back
     Bug 796122 - Poor Performance Scanning Old Files During Autosave
     Bug 796492 - Wrong calculation of the first occurrence
     Bug 796520 - Layout overlapping in Income & Expense Chart
     Bug 795362 - Special variable "i" not parsed in function calls
     Bug 796687 - Tax Entity name and type for an account won't work under
                  "Tax Reporting Options" in Gnucash 3.2
     Bug 796728 - GnuCash 3.0-3.2 crashes when starting up under Windows
     Bug 796740 - Selecting register value with mouse fails
     Bug 796746 - Cannot copy and paste anything into the amount field
                  (both credit and debit)
     Bug 796496 - CSV Importer: Column Selectors invisible on Windows.
     Bug 796767 - The importer shows read-only and placeholder accounts
     Bug 796779 - Window size in SEPA transaction
     Bug 796761 - Newline (char(10) is inserted into the end of the string if
                  copy & paste text from excel into the description field of
                  transaction
     Bug 796656 - GnuCash frequently crashes, usually involving unsaved
                  transactions.
     Bug 796799 - After Deleting Transaction Price, Enter Required 2x
     Bug 796774 - Investment account QIF Import does not import transaction
     Bug 796758 - Improve error messages, why one can not remove a tax table
     Bug 796773 - Display of Negative numbers
     Bug 796782 - Cannot import OFX file in new 3.2
     Bug 796810 - Account creation and editing dialogs do not allow entering
                  umlaut-u
     Bug 796824 - took more than 2 hours to import 220 transactions
     Bug 796844 - Amount column of Customer Report should net Credits and Debits
     Bug 796750 - qof_query_search_for stores pointer of type string argument
     Bug 795393 - Do not create .log files when using sqlite backend
     Bug 796857 - Import of QIF duplicates transfer transactions
     Bug 796852 - Context sensitive Help broken
     Bug 796850 - Auto-decimal-point causes incorrect price to display when
                  amount is edited.
     Bug 796100 - Autosave Doesn't Always Work
     Bug 796754 - Guile encoding certain strings not as UTF-8
     Bug 796847 - Error trying to do CSV import doesn't recognize account
                  specification
     Bug 796877 - test-stress-options fails
     Bug 796871 - GtkFileChooser Name Field and Sidebar Ignore UNC Paths
     Bug 796736 - Column Widths calculator need to allow more padding
     Bug 796885 - SX Editor Calendar Sometimes Shows Wrong Year, Wrong Next Date
     Bug 796909 - Can't enter different notes and memos for an AR payment
                  transaction
     Bug 796880 - Menu Tooltips Interfere with All Dialogs
     Bug 796688 - "Next" Button Moves Repeatedly During New File Wizard
     Bug 796911 - Minimum window width is too large, so it may not be possible
                  to maximise the window
     Bug 796892 - Startup warning: undefined symbol PyOS_getsig
     Bug 796907 - After a series of actions to the window of GnuCash, some of
                  or all of the contents will dispear and could not get them
                  back
     Bug 796896 - Button to complete an export not intuitively placed or
                  discoverable
     Bug 775368 - "Average cost" price source problem
     Bug 796926 - Scrolling Fails if Mouse Leaves Window
     Bug 796900 - Problems in Description Editing. Select all implemented with
                  the Caps Key (plus no Ctrl Z Undo, grrr)
     Bug 796500 - Scalability issue - importing large CSV to large book won't
                  finish
     Bug 796775 - Auto fill not working correctly (only match the first char
                  you type ...)
     Bug 796899 - FTBFS on [mips]: segfault; test-backend-dbi; endianness
     Bug 796933 - Backspace key doesn't work, sometimes.
     Bug 796934 - Menu and message characters display as boxes
     Bug 796895 - Report end and start dates not obeyed
     Bug 796935 - Scrollbar indicator does not move while scrolling
     Bug 796938 - Typing account name no longer navigates to account
     Bug 796942 - Make Auto-Split Optional or Undo-Able for Data Entry
     Bug 796890 - CSV import of multi-split transactions marks reconciliation
                  status of first line as cleared
     Bug 796882 - Entering an amount as a calculation fails the first time in
                  bills
     Bug 796867 - GNUCash crashes on startup with Mac Mojave 10.14 in Dark mode.
     Bug 796953 - Attempting to enter loan causes 3.3 to crash
     Bug 796870 - Cannot (occasionally) undo invoice billing
     Bug 796954 - No scroll in invoice/billing and all columns not visible.
                  Column resizing is disastrous
     Bug 796955 - Import CSV - Single-line two-currency transactions can't be
                  imported
     Bug 795804 - Extremely slow save
     Bug 795383 - Gnucash crashes on import of a 1400-transaction (or more)
                  CSV file
     Bug 796946 - Mortgage and Loan Repayment Setup tool crashes when exiting
                  "Loan Repayment Options" page
     Bug 796970 - Disable editing of currency retrieval settings for currencies.
     Bug 796973 - Blocking problem when importing QIF - trading commodities
                  enter Information
     Bug 796968 - Screen display gets corrupted in some circumstances when
                  multiple windows stacked on top of each other
     Bug 796971 - Keys "Home" and "End" do not work after popup is displayed
     Bug 796879 - GnuCash crashes on startup
     Bug 796894 - Edit -> Preferences results in gnucash.exe- No Disk error box
     Bug 796979 - GnuCash segfaults on first startup when run from remote
                  X session
     Bug 796983 - fails when importing QIF exported by Quicken 2015 Deluxe
     Bug 796905 - GNUcash does not start after windows 10 update
     Bug 796976 - saving file with scheduled transaction hangs: copy of
                  scheduled transactions missing in tmp file?
     Bug 796974 - Feature Request - Headings for the Matcher column
                  Deposit/Withdrawal do not change to Debit/Credit when formal
                  accounting labels are preferenced
     Bug 796990 - Budget : Newly created account and account with zero
                  transaction cannot be shown in Budget
     Bug 796989 - some date/time does not honor user locale
     Bug 796936 - Saving XML-formatted file to CryFS volume crashes GNUCash
     Bug 796965 - Show Unused Accounts
     Bug 796977 - No amounts displaying after upgrade from 2.6.19 to 3.3
     Bug 795384 - GnuCash 3 is tremendously memory hungry on macOs
     Bug 796878 - test-qofsession fails on x86_32
     Bug 796992 - gnucash --add-price-quotes always fails


3.3 - 30 September 2018
The fourth release of the 3.x stable series.
The following bugs have been fixed:

    Bug 771667 - Different warnings when changing reconciled splits vs. splits
                 linked to reconciled splits.
    Bug 784420 - "Save changes on closing" window waits 2^32 seconds when
                 "Time to wait for answer" is set 0.
    Bug 786708 - GnuCash won't load currency fractions larger than 1000000.
                 Also create larger fractions for the account dialog.
    Bug 787439 - Segmentation Fault in Transfer dialog after clearing Date field
                 and pressing escape.
    Bug 789594 - Unable to overwrite sqlite3 database file.
    Bug 792446 - Mixed languages in error dialog.
    Bug 794526 - Python bindings can't find loadable modules.
    Bug 794755 - Commodity Register displays fractional prices.
                 Prices will now be displayed in decimal, rounded to two more
                 places than the currency's smallest unit.
    Bug 794870 - If no book is opened, gnucash still asks if the user wants
                 to save changes when opening a file.
    Bug 795821 - GnuCash could not obtain the lock for
                 file://C:\Users\username\Documents\GnuCash\2.6.21\xxxx\xxxx.gnucash
    Bug 796054 - Unposting and reposting invoice doubles amounts.
                 Add scrub function to unblock the double post transaction
    Bug 796137 - query.search_for outputs critical qof.object errors and
                 prevents queries being run.
    Bug 796248 - Editing Scheduled Transaction.
                 In addition to not begining to edit already-loaded
                 transactions, don't try to load splits that are already
                 loaded. It shouldn't be possible to load a transaction
                 without also loading its splits.
    Bug 796474 - Segmentation fault while setting up online banking.
                 Allow only a single instance of the assistant.
    Bug 796509 - Saved reports don't respect *some* 'Edit report options'.
    Bug 796579 - Cannot go forward with empty duplicates screen.
    Bug 796665 - Backspace Key Inoperable After Ctrl+V.
    Bug 796669 - Dark Theme Text Colors Hard to Read.
                 Only add the register-foreground class when using Gnucash built
                 in colours. When this setting not used, the foreground colour
                 by default will be what ever the theme has set and will be
                 down to the user to over ride along with the other register
                 colours.
    Bug 796724 - Can't overwrite gnucash DB on MariaDB.
    Bug 796725 - 4 of 6 Date Posted options fail to return matching
                 transactions.
    Bug 796734 - Auto-complete entry not highlighting to allow for incremental
                 entry.
    Bug 796737 - Patch to restore gncmod-python.c.
    Bug 796739 - Toolbar buttons have no labels.
    Bug 796751 - reconcile window usability - R column should be next to Amount.
    Bug 796755 - buggy window handling at startup.
    Bug 796756 - OFX import fails to recognize associated income accounts.
    Bug 796759 - --add-price-quotes <sql file> leaves a lock on the file.
    Bug 796762 - Scrollbar partially hides the delete button in  the Saved
                 Report Configurations window.
                 The vertical scrollbar obscures the delete button in the tree
                 view so add a dummy blank column to the end and set it to the
                 width of the vertical scrollbar.
    Bug 796766 - Credit note creating 'imbalance' with wrong entries
    Bug 796777 - CVE-2008-1391: Integer overflow in included strfmon function.
    Bug 796788 - Strange behaviour in options of multicolumn report.
    Bug 796792 - SaveAs Overwrite dialogue in background and not visible.
    Bug 796812 - gnc_date_cell_get_date and gnc_date_cell_get_date_gdate have
                 different date validation behaviour.
    Bug 796813 - Date validation inconsistent.
    Bug 796814 - Changing a book's read-only threshold doesn't immediately
                 affect open registers.
    Bug 796816 - Notes field in Duplicate Invoice dialogue is 'read-only'.
    Bug 796819 - Bad icon with Spanish localization.
                 Drop translations of the 'gnucash-icon' string from our po
                 files and add a note for translators to not translate this
                 string or use the literal 'gnucash-icon' as translation.
    Bug 796820 - References to 'Gnome Bugzilla' should be changed to
                 'GnuCash Bugzilla'.
    Bug 796833 - Excel csv Format misprocessed.
                 Convert all line ending styles to the one expected by the C++
                 standard library before starting to parse a csv file.
    Bug 796839 - Find transaction won't filter on Date Posted.
    Bug 796858 - TypeError: in method 'qof_query_int32_predicate', argument 2 of
                 type 'gint32' on gnucash.gnucash_core.QueryInt32Predicate.

Other repairs or enhancements not marked as bugs:

    Set toolbar buttons to show both icon and text.
        And make the icon small to recover some vertical screen estate. The
        motivation for this is that Gtk has dropped the ability for users
        to change a toolbar's appearance. And as our icons are often less than
        descriptive many users benefit from having textual descriptions as
        well. This is the best compromise we can make until the gui gets an
        in-depth redesign.
    Add preference for forcing prices to decimal display.
        Anticipating that some users might prefer to see exact prices, add
        a preference to General>Numbers to configure whether prices are
        rounded to decimals or are displayed as exact fractions.
    Revert the "Average Cost" pricing changes made in 2.6.17.
        These changes broke trial balances in many books.
    Allow saving to xml over an existing sqlite3 file and the other way around.
    Add customer/vendor ID in client section of invoices.
        Partly fixes bugs 430259 and 742086; full fixes would require
        not-backward-compatible data model changes.
    Change the default filter for General Ledger.
        The General Ledger default for the number of days shown is 30 but
        for the Register it is 0, meaning show all. So change the default
        filter based on ledger type and use this when determining if the
        setting should be saved or removed.
    Fix gtk accelerator mixups by explicitly disabling actions that are not
        relevant. For example, File->Print and its variants for various page
        types all use the same '<primary>p' as global accelerator. It was
        possible to have gnucash invoke the 'Print Report...' action instead
        of the 'Print Invoice...' action when hitting <primary>p on an invoice
        page. If no report page was open at this point, gnucash would crash.
        If a report was open, gnucash would invoke the print action on that
        report instead of opening an invoice report for the invoice.
    [job-report] Prevent Crash if there is no AR account
    Add the ability to cascade account colours in account tree.
        The colour on an account that has sub-accounts can be applied to its
        sub-accounts; by default only those sub-accounts that don't have a
        colour set are affected, but there's a preference to override that.
    Speed up loading the preference dialog by blocking register updates until
        the dialog is fully loaded.
    Update change_tax_code.py, add basic test for python query.
    Simplify GNCQueryView's data model: It was managing a number of redudant
        parameters which were leaking memory all over the place. The information
        that was tracked could easily be extracted from the underlying
        GtkTreeView, GtkTreeModel or GtkTreeSelection when needed.
    Open customer/vendor/employee report when double-clicking an the
        respective owner the cust/vend/empl overview page.
    Update Overview of README based on https://lists.gnucash.org/pipermail/gnucash-devel/2018-September/042748.html
    Many new tests for reports.
    Some substantial speedups when loading large amounts of business
        transactions from a SQL backend.
    Clean up a lot of memory leaks.
    Remove all use of Timespec in the program. Provide deprecated wrapper
        functions supporting timespecs for custom reports; users should update
        the reports as soonas possible.

Updated Translations: Farsi, Ukrainian

3.2 - 25 June 2018
The third release of the 3.x stable series.

The following bugs have been fixed:
    Bug 787401 - Test Report System - Report Definition.
    Bug 794617 - Can't compile with -DWITH_GNUCASH=NO due to scm-gnome-utils.
    Bug 795101 - Scroll Bar in Reconcile Window Floats in and covers the check
        boxes.
    Bug 795247 - datepicker broken in Persian.
             GnuCash passes dates as integer y/m/d without using locale-specific
             formats, so we need to strip out 'E' and 'O' from the format when
             scanning dates or determining separators in gnc-date. None of '-',
             'E', or 'O' are supported by boost (and '-' causes errors), so
             strip them out from formatters in gnc-datetime as well.
    Bug 795253 - Have problems input Chinese.
    Bug 795272 - QIF importer causes application crash if action is invalid.
    Bug 795276 - Invalid date on price stops file from being parsed.
    Bug 795362 - Special variable "i" not parsed in function calls.
             Due to balance tests with insane random values.
    Bug 795471 - Impossible to Edit Budget Unless Maximized.
    Bug 795519 - Credit card payment after reconciliation.
    Bug 795666 - Backslash '\' in Description field spoils CSV Import without
        helpful error message.
    Bug 795831 - When read only threshold set, dates are silently changed.
             Display a message box informing the user of the change.
    Bug 795944 - Cannot store change to Business Suppliers data.
    Bug 796079 - Repeatable Crash in Tax Report Options.
    Bug 796081 - Tax Schedule Report - An error occurred while running the report.
    Bug 796083 - Reconcile Selection Doesn't Work Anymore.
    Bug 796117 - Connecting 3.1 to an existing mysql db drops all data
             Provide a backup recovery function that instead of dropping
             primaries and restoring backups merges the primaries and
             backups. This should handle a worst-case safe-save failure where
             the backup tables don't have a complete set of rows for some
             reason.
    Bug 796256 - Main Window stays hidden when starting after closing main
        window while minimized.
    Bug 796369 - Notes lost or perhaps just not displaying when using SQLite
        backend.
             This bug caused data loss if you saved your SQLite3 database to a
             different file or database.  The problem is that in SQLite3 (though
             not in MySQL or PgSQL) the subquery ((SELECT DISTINCT guid FROM
             transactions)) (note the double parentheses) returns only the first
             guid in the subquery's results.  Some transactions are loaded by
             special queries and those queries are also used to retrieve the
             transaction's slots so they weren't affected.
    Bug 796398 - Restrict accelerator keys to valid date range.
    Bug 796409 - Incorrect Current Value for Stocks.
             Missed calculating the value in the register summary bar.
    Bug 796423 - Cannot Input Chinese, seems does not work with other IME too.
             Toggles not in view with all rows selected weren't being redrawn.
    Bug 796484 - csv import: iostream error
             Unfortunately it turns out that we can't use filestreams because
             they can't take path arguments containing Unicode on Windows.
    Bug 796527 - invalid currency on scheduled transactions.
             * Don't even check for price/exchange rate on template
               transactions, there's no point.
             * Check all split commodities are valid, abort transaction
               creation if not.
             * If the template transaction's currency isn't used by any of the
               splits set the new transaction's currency to the first-found
               currency if there is one, otherwise to the first-found commodity.
    Bug 796537 - Transaction Report cannot sort by "num".
    Bug 796586 - QIF import incorrectly converts unicode characters from UTF8
        encoded file.
    Bug 796595 - QIF Import Select Account button to add a new account is
        labled gnc-account-new but should be New.
    Bug 796600 - stock split cash-in-lieu income/asset labels backwards.
    Bug 796614 - Reconciliation report contains incorrect transactions.
    Bug 796638 - configuration not properly saved for CSV transactions import
        form.


Other repairs or enhancements not marked as bugs:
    Transaction report improvements:
      * Performance: Do all filtering ops before sorting.
      * Move the options summary before the subtotals table.
      * New unit tests
      * Enable computing averages in subtotal grid.
      * Generate the subtotal grid only if the primary sort key enables
        subtotals.
      * Fix subtotal grid to support multiple commodities.
      * New filters.
      * Much cleaning and refactoring of the internals.
    Cache the num-split-action book option to avoid thousands of KVP queries
      for the same value when loading a register.
    Create a static string for book option KVPs to save an extra malloc/free
      on old compilers without small-string optimization.
    Add tooltip support for register cells.
    New unit tests for the balance sheet report and invoices.
    Consolidate charting code into a single module.
    Removed an incomplete and abandoned C implementation of QIF import.
    Restored libsecret support that had been left out of CMake.
    Replace old-style html style attributes with css.
    Modify emitted html to be parseable by the Guile SXML module for testing.
    Remove support for long-gone gtkhtml renderer.
    Clean up code generating html tables.
    Ensure full precision of doubles is saved to SQL.
      std::iostream's operator<<(double) uses only 6 digits of precision by
      default.
    Make float database operations more consistent, working around dbd-sqlite3's
      failure to support doubles (dbd-sqlite3, not sqlite3 itself).
    Prevent crash in gnc-tree-view.c: When getting information from the state
      file, protect against the key not having a '_' which is used to split the
      string.
    Add the full account name to the saved register settings
      If you need to delete the layout for a register in the settings file,
      the only thing identifying it is the account guid. To make it easier
      for humans, add the full account name also.
    When register pages are restored it uses the full account name.
      When register pages are restored, the account is found from the full
      name so if the separator changes it will fail. Instead, also save the
      account guid and use that as default to find the account falling back
      to the full name.
    Fix misplaced try block that caused unhandled exception if year out of
      range.
    Fix permanent storage of vendor details: Since the data types did not match
      for the billterms and taxtable, those references/guids were not saved to
      the database.
    Update invoice reports to use totals calculate by gncInvoice. This should
      give a consistent representation of invoice data across the application.
    Ensure gncEntry rounding is consistent. Internally calculated values in the
      entry are never rounded. Consumers of gncEntry's calculated values can
      request them either rounded or not. Next use a pragmatical approach for
      calculating values on invoices based on the entry values: do the rounding
      such that we never create an unbalanced transaction while posting.
      That means:
      * round each entry's net value before summing them in net total
      * accumulate all tax totals on invoice level per tax account before
        rounding
      and round before before summing them in a global tax total
      Hopefully this will catch a few more rounding issues in this area.
      A complete solution can only offered if we allow users to manually correct
      tax entries. This requires changes to user interface and data format so
      that's not going to happen in gnucash 3.x.
    Use Scheme SRFI-64 test framework for new Scheme unit tests.
    New compilers (gcc-8.0 and Xcode 9) bring new warnings, so several fixups to
      mollify them.
    Lowercase all cmake commands for better readability.
    Metadate migration (2.6.x->3.x) fixes for Windows.
    Ensure timezone is set correctly in FreeBSD.

Updated Translations: Dutch

3.1 - 29 April 2018
The second release of the 3.x stable series.

The following bugs have been fixed:
    Bug 118391 - Long currency names untranslated
    Bug 769686 - Notes not imported when using update and reconcile in
                 import transactions from CSV
    Bug 772776 - VERY large queries (over 11000 fields in IN clause) slow
                 down GnuCash
    Bug 782144 - git-master - Save Corrupts Data File / Not Open Data File
    Bug 792105 - Startup takes several minutes
    Bug 793461 - Transaction matcher window blank when importing QFX
    Bug 794767 - Dates default to 01/01/1970
    Bug 794916 - Fails to find environment file at startup when installation
                 prefix is '/opt'
    Bug 794936 - 3.0 does not open previously saved sqlite3 files properly
                 - corrupted business data
    Bug 794941 - Both print icons export to pdf
    Bug 794953 - Ellipsize on short tab labels
                 Correct error on when to ellipsize tab labels. Also as this
                 is used in two places separate out this to new function so
                 it is not duplicated.
    Bug 794990 - Double click does not work on saved reports
                 When you double click on the saved report description nothing
                 happens. This was down to a conflict on a couple of call
                 backs and one of them was incorrectly setup.
    Bug 794994 - Display Alphavantage key in full
                 Set the entry to expand so all the space is used to display.
    Bug 795031 - 3.0 Crashes on loading when opening 2.6.19 file
    Bug 795039 - Crash on startup using Technicolor Style sheet in report
    Bug 795040 - GnuCash crashes when searching for a newly created bill
    Bug 795049 - GnuCash 2.6.20-1 (Fedora Linux package) is unable to open
                 MariaDB.
    Bug 795064 - Enable subtotal-only if either sortkeys are dates
                 This will allow 'show subtotals only' if sortkeys are
                 date-types. This allows, for example, prime-sortkey=date,
                 yearly. sec-sortkey=date, monthly.
    Bug 795068 - src/optional/python-bindings missing several files
    Bug 795080 - Some dates reset to 01/01/1970
                 An odd corner case: BST apparently came off of DST at 23:00
                 26 Oct 2014, so midnight that day was ambiguous about being
                 DST or not; that causes the local_date_time constructor to
                 throw in spite of the tm.is_dst element being 0 (meaning pick
                 standard time). Instead of just failing in that case, try
                 constructing a local_date_time three hours later then adjust
                 it back three hours. If *that* doesn't work then throw a
                 std::invalid argument.
    Bug 795082 - CSV import crashes if a transaction's 'Account' field is
                 empty and no default Account set
    Bug 795101 - Scrollbar floats and covers toggle buttons
                 When the scrollbar appears for the reconcile windows it can
                 float above the reconcile toggle button which make it
                 difficult to toggle. Move this column to the start which has
                 the advantage of aligning the amount column above the Total
                 value.
    Bug 795142 - Unable to enter account codes in business sheets
                 In Bills, Invoices and Expense vouchers you can not enter an
                 account code in an account field like you can on a normal
                 register, enable this.
    Bug 795155 - CSV import does not distinguish between deposit and withdrawal
    Bug 795347 - Australian (GMT+10) OFX transactions imported have previous
                 days date
    Bug 795377 - Reads and saves Gnucash 2.6.19 XML file, then can't reread
                 it, due to bad date in old file
    Bug 795389 - Hard to see figures in the budget window
                 The budget view had hard coded black for normal values and
                 dark grey for other values. Changed this so normal values
                 are reset to default color and adjusted the grey based on
                 default color for theme.
    Bug 795405 - All Dates in Price Database Off-By-One After 3.0 Upgrade
    Bug 795446 - On Windows there is a blank tip of the day
                 When the tip_of_the_day.list is created a new line is
                 appended to the list file and on Windows this causes a blank
                 tip so remove the adding of the extra line.
    Bug 795471 - Budget window scrolls edited cell out of site
                  When editing cells that have been revealed on the right by
                  scrolling the window snaps back to the left hiding the cell
                  being edited. This may be due to an underlying gtk issue
                  but these changes fix the issue visually.

Other repairs or enhancements not marked as bugs:
    On Windows the tooltip for saved reports was incorrect
        When the mouse was placed over a saved report description on Windows an
        empty tooltip was displayed. Setup the query tooltip callback so it does
        not display a tooltip for description column.
    Fix crash when loading sql book with posted transactions
    Add ability to recognize and use a pre-compiled libgmock.so.
    html-font: add default font family
        Windows ships with GTK2 in which the default font styles are named
        "Sans" "Sans Bold" "Sans Normal" etc. There is no "Sans" font in
        Windows; I vote to add a default "Sans-Serif" font-family which is
        valid CSS. This ensures exported reports are shown as intended.
    Several improvements to the Transaction and GST reports.
    csv-impport - Allow empty amount fields
        Treat empty amount fields as 0. This is necessary for example in
        the case the csv import file has both a deposit and a withdrawal
        column.
    Remove the set transient parent setting for Reconcile window
        The Reconcile option is already a window so it is not necessary to set
        this value which allows the jump to transaction to work properly.
    Date Format dialog flashes up when file/properties used
        When you select the File/Properties dialog, in the construction of that
        a 'Date Format' dialog flashes up while the date component is moved to
        the properties dialog. Can mainly be seen on Windows so remove the
        visible setting in glade file.
    Prevent throw in gnc-pricedb.
        If a price lookup is given an invalid time64/timespec (i.e. INT64_MAX)
        then just return NULL instead of trying to find the nearest price.
    Set GNC_VCS at build time instead of when making the tarball.
        Because the tarball is always made from a VCS repo.
    If there are no prices in the db, critical errors are flagged
        When dialog transfer is used between two commodities and there are no
        prices in the db a critical error is logged. Test for price object
        being NULL before retrieving the price for the error message.

The following translations are updated: Slovak, Spanish

Known Problems:
    It is not possible to overwrite SQL Databases from within GnuCash, even
        though GnuCash will ask if you want to. Bug 789594
    Several dates, including Accounting Period, are subject to change with
        time zone and daylight-time changes. Bug 791825
    Some HBCI information is not loaded correctly so the first transaction
        download will re-retrieve transactions unless the beginning date is
        set explicitly. Bug 792397.
    The new CSV importer's Price of Shares column doesn't work. Bug 793306
    The new CSV importer's numeric parser can't parse numbers of the form
        x + y/z. Bug 793556.
    Python bindings may not work in some installations because the bindings
        are unable to find the backend modules (libgncmod-backend-dbi and
        libgncmod-backend-xml). Bug 794526
    Get Quotes can be slow if one has a large number of saved prices.
        Bug 794644.
    The Mac localization code can set the wrong encoding for strftime causing
        the register's date picker to label months "Null" in some locales.
        Bug 794807
    On Mac, the File Open dialog will crash if one types anything.
        (This is a Gtk+ bug). Bug 794809
    An open register is not immediately updated when the Since Last Run
        dialog creates transaction splits in the register's account. Bug 794854
    GnuCash asks if one wants to save changes when quitting or opening a file
        even if there's no book open. Bug 794870
    Windows Defender falsly identifies the GnuCash installer as a Trojan.
        Bug 794967
    Some Windows users have trouble using Chinese input methods on the
        Register; other controls work. Bug 795253
    On Microsoft Windows the Tab key does not work in the register if the
        caps-lock key is on. Bug 795294
    GnuCash will crash if one attempts to import a CSV file with more than
        1400 transactions. Bug 795383
    Invalid input into a formula (Debit/Credit) field is inconsistent
        depending on the input. Bug 795614.

3.0 - 1 April 2018
The first release of the 3.x stable series.
New Features for Users:
    The headline item for this release is that GnuCash now uses the
        Gtk+-3.0 Toolkit and the WebKit2Gtk API. This change was forced
        on us by some major Linux distributions dropping support for
        the WebKit1 API. Unfortunately the Webkit project doesn't
        support Microsoft Windows so that platform will continue to use
        the WebKit1 API, though with Gtk3. We've selected Gtk+-3.14.0
        as the minimum version because it fully supports CSS
        theming.
    New editors to remove outdated or incorrect match data from the
        import maps, a new user interfacs for managing files associated with
        transactions, an improved facility for removing old prices from the
        price database, and a way to remove deleted files from the history
        list in the file menu.
    New Reports: A Reconciliation Report based on the Transaction Report,a
        Income GST Report, and a Cashflow Barchart report.
    A new CSV importer largely rewritten in C++, adding new
        features including the ability to re-import CSV files exported
        from GnuCash, along with a separate CSV price importer.
    A new preference panel for the Alphavantage API key so that Finance::Quote
       users need not edit /etc/gnucash/environment. We've removed all
       references to the various Yahoo! quote sources and made Alphavantage
       the default.
    Data file directories are now located appropriately to the
        operating system's conventions by default:
        - Windows: CSIDL_APPDATA/Gnucash
        - OS X: $HOME/Application Support/Gnucash
        - Linux: $XDG_CONFIG_HOME/gnucash (or the default $HOME/.config/gnucash)
         It's still possible to overried with the environment variable
         GNC_DOC_PATH, which replaces GNC_DOT_DIR in earlier versions of
         GnuCash.
    Accounts in the Bayes import map are now linked by GUID instead
        of names so that the matcher won't have to be retrained if you
        rename an account.  The Bayesian import maps are also stored in a
        flatter structure to allow faster access, especially in SQL. These
        changes mean that if you have Bayesian mapping data, once converted
        your database will be loadable only by GnuCash 2.6.20 and later.
    MySQL and SQLite3 date storage has changed a bit. Once converted, MySQL
        and SQLite3 database will be loadable only by GnuCash 2.6.19 and later.
    Numerics are rewritten to allow for more significant digits. The old
        6-digit-maximum fraction is now 9-digits, and prices may have up
        to 18 digit precision.
    Chart Reports appearance is improved, including more modern chart colours
        as suggested by https://clrs.cc/.
    Transaction Report improvements, including regular expression filtering
        and many more options and features including a "Subtotal Summary Grid"
        The subtotal summary-grid will tabulate subtotals - prime-sortkey
        vertically, sec-sortkey horizontally. For example, with
        prime-sortkey = accounts, sec-sortkey = date, sec-subtotal = monthly
        will produce a monthly time series table.
    The About dialog box layout is improved and now includes the detected
        Finance::Quote version.
    GnuCash will always build the locale-specific tax modules. This
        was optional when building with autotools and never enabled when
        building with cmake. Note that the only supported tax locales are
        en_US and de_DE.
    On Macs the Reconcile Window's menu moved to the menubar.
    GnuCash no longer supports Guile-1.8 and now does support Guile-2.2


New Features for Developers:
    Several parts of the engine and the SQL backend are rewritten
        in C++, an effort that will continue in the next development
        cycle. KVP is now private to libgncmod-engine and accessible
        outside via qof_instance_set and qof_instance_get. KVP and GUID are
        reimplemnted in C++ using boost::variant and boost::UUID respectively.
    C++ unit tests require GoogleTest. While it's possible to use prebuilt
        libgtest and libgmock on some distros, building static libraries for
        GnuCash is preferred. It may be necessary to provide the paths to
        the googletest and googlemock source with CMake parameters
        GTEST_ROOT and GMOCK_ROOT respectively.
    The date implementation is migrated to boost::date-time,
        replacing a Glib GDateTime implementation. This makes the
        earliest date recordable 1 January 1400CE instead of 1 January 1CE.
        We doubt any users will be affected.
    Distribution tarballs can now be built with CMake as well as
        Autotools. (Rob Gowin)
    We've reorganized the code into a core library directory, libgnucash, and
        application-specific directory, gnucash. The python bindings are now
        in a top-level directory, bindings; code pinched from other projects
        is in borrowed, the account templates, check templates, and pixmaps
        are consolidated in data, and common holds the cmake modules and test
        framework code. The bin directory's contents have moved to the top
        level gnucash directory and bin is removed.
        There are now directories for gschema, gtkbuilder and ui files directly
        in gnucash. In principle all files of each type should go into these
        global directories. The only exception is if such a file belongs
        to an optional module. In that case the file remains located inside
        that module's directory. Currently we have ui, glade and gschema file
        exceptions in aqb and ofx importers.
    The build system is changed from Autotools to CMake. All options except
        python bindings and the python console demo are enabled by default.
        Highly parallel builds with Ninja are possible and recommended,
        except on Microsoft Windows.
    The Windows build system is rewritten to use MSYS2, Mingw-w64, Powershell,
       and jhbuild.
    Add a "pot" target to the build system so that translators can easily
       generate a new gnucash.pot from a git repository.
    Detect presence or absence of libxml2 and makeinfo during configuration;
        abort if the first is missing and don't build the (mostly
        obsolete) texinfo documentation if the latter is. Document
        both in README.dependencies.
    Replaced Timespec with time64 in the Scheme and Python bindings,
       introducing many new C time64 functions to accomodate the
       replacement. Timespec will eventually be removed from the C API
       as well.
    Some cruft removal in libgnucash/scm plus moving some code to its
        only use location. "main.scm" is renamed to "utilities.scm".
    The "printf" family of Scheme custom functions is replaced with
        the built-in "format" facility.
    Change a generally unnecessary warning about being unable to open
        a module (usually because the file is still being created) to a
        debug message. It appears mostly during highly parallel builds and
        was distracting.
    Appstream configuration is updated to the latest spec.
    Added two functions to the Scheme option API:
        * gnc:option-make-internal! will hide an existing option. e.g. a
          derived report can set the value for a Display/* option and hide
          it from the user.
        * gnc:unregister-option will unregister option. This is primarily
          useful for derived options e.g. another report copies from
          transaction.scm and removes some options and recreates them with
          different parameters.
        For example, unregister existing option from section "Accounts"
        name "Accounts", and recreate with different parameters
        e.g. limited account types.
    Drop intltool in favour or using modern gettext.
        By default we require gettext 0.19.6 as this is needed to generate a
        translated version of gnucash.desktop and gnucash.appdata.xml.
        For platforms where this isn't available, setting ALLOW_OLD_GETTEXT=ON
        will allow building but some strings will not be extracted to
        gnucash.pot
    Pass GTEST_ROOT and GMOCK_ROOT through to distcheck.
        So that they don't have to be exported in the environment if they're
        needed.
    The Python Bindings and Console are now for Python 3, and enahanced to
        expose more GnuCash API.
        Compilation of GLib Schemas during build and installation can be
        disabled by setting -DCOMPILE_GSCHEMAS=OFF. This is intended
        *only* for distribution packaging scripts that run
        glib-compile-schemas themselves. Otherwise note that if you install
        to a DESTDIR you'll need to re-run glib-compile-scemas after moving
        the contents of $DESTDIR$PREFIX/share/glib-2.0/schemas to $PREFIX.
    The CuteCash front end has been removed. The code we need from
        GOffice has been brought into the GnuCash code base so GOffice
        is no longer a dependency. The register drawing code has been
        upgraded to draw directly on a cairo surface, removing the dependency
        on libgnomecanvas.
    GnuCash 3.0 adds the following dependencies: Boost, ICU, Googletest.

Known Problems:
    It is not possible to overwrite SQL Databases from within GnuCash, even
        though GnuCash will ask if you want to. Bug 789594
    There is no theming tool for Windows or Macs so users of those platforms
        must apply theming by hand. Bug 791823
    Accounting Period dates are subject to change with time zone and
        daylight-time changes. Bug 791825
    Opening a large SQL database on Windows is very slow on some machines,
        merely slow on others. Bugs 792105, 794482.
    Some HBCI information is not loaded correctly so the first transaction
        download will re-retrieve transactions unless the beginning date is
        set explicitly. Bug 792397.
    The new CSV importer's Price of Shares column doesn't work. Bug 793306
    Importing an OFX file on Windows fails with an empty matcher window.
        Bug 793461.
    The Bayes account matcher can take a long time to convert the accounts
        from name string to guids. This is a one-off, happening only the
        first time one imports into an account on GnuCash 3.0. Bug 794334.
    The new CSV importer's numeric parser can't parse numbers of the form
        x + y/z. Bug 793556.
    Python bindings may not work in some installations because the bindings
        are unable to find the backend modules (libgncmod-backend-dbi and
        libgncmod-backend-xml). Bug 794526
    Get Quotes can be slow if one has a large number of saved prices.
        Bug 794644.
    Some users see 1 January 1970 instead of the default date in the New
        Invoice or New Bill dialog and on the unposted bill and invoice.
        Bug 794767.
    The Mac localization code can set the wrong encoding for strftime causing
        the register's date picker to label months "Null" in some locales.
        Bug 794807
    On Mac, the File Open dialog will crash if one types anything. Bug 794809
    An open register is not immediately updated when the Since Last Run
        dialog creates transaction splits in the register's account. Bug 794854
    GnuCash asks if one wants to save changes when quitting or opening a file
        even if there's no book open. Bug 794870
    The Online Actions menu includes some obsolete and non-functional
        selections. Bug 794880.

2.6.20 - 1 April 2018
This is the final release in the 2.6 stable series.
The following bugs are fixed:
    Bug 765846 - Expense Over Time for subaccounts: An error occurred while
                 running the report: Fix crash if acc-depth too low.
    Bug 791848 - GC 2.6.x does not handle ISO dates introduced with GC 2.7
                 Enable reading ISO-formatted dates, recognize
                 GNC_FEATURE_SQLITE3_ISO_DATES.
    Bug 792008 - gnucash 2.6.19 fails to build
                 Replace g_assert_true with g_assert for now
    Bug 793278 - wrong data in charts with accumulated values (like
                 "net-linechart", "net-barchart" and "liabilities barchart")
    Bug 794030 - relative date functions compute wrong day of month
    Bug 790526 - Mathematical bug
                 This change will fix 'num-of-weeks-since-1/jan/1970' which
                 formerly used quotient to remove the fractional part of the
                 division. For negative values of num-of-weeks, the number is
                 truncated in the wrong direction (i.e. towards 0). This
                 change uses floor instead to ensure the num-of-weeks found
                 is the nearest integer LESS than the fractional number.

Other repairs or enhancements not marked as bugs:
    Online HBCI actions: Remove outdated non-SEPA menu items.
    Add XML namespaces for all Account Hierarchy Templates.
    General cleanup of Account Hierarchy Templates.
    Fix auto-selection of splits in reconcile
        Really use all splits of any given day. Up to now usually the splits
        of the given date were not or not all included, as the time comparison
        didn't correctly ignore any given time-of-day of the splits. Instead,
        all possible time-of-days should be included.
    Properly detect git in case of linked worktree
    Account Hierarchy for India: Set LANGUAGE=hi and LANG=en_IN to access it.
    Improve Import menu entries Customer & vendors...
        use same menu label as others, replace template by tooltip, add ellipsis
        to entry, add comments to distinguish "Import" as verb and substantive.
    Provide preference panel to set the Alpha Vantage API key needed for
        Finance::Quote.
    Correct the appstream definition to match the current spec.
    Fix collectors and min-date handling in reports.

Updated Translations: Dutch, German, Spanish, Russian

2.7.8 - 25 March 2018

    The Gnucash Development Team is pleased to release Gnucash 2.7.8,
    the ninth release of an unstable series leading to Gnucash 3.0. This
    release is a Release Candidate: If no bugs requiring major work are
    reported the next release will be 3.0.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

The following bugs are fixed only in unstable/master:
    Bug 787439 - Segmentation Fault in Transfer dialog after clearing
                 Date field and pressing escape.
    Bug 794242 - Remove keep above setting for assistant hierarchy

Other repairs not marked as bugs in git:
    When doing a file save from the a new start we have no key file
        Test for Key_file not being NULL before trying to free it.
    Stop critical error due to testing null filename
       g_filename_from_uri returns NULL if it is not a file uri so test
       for the file:// prefix before doing g_file_test
    More transient-parent fixes.
    Add missing response section to the account picker dialog.
    Glade 3.20 adds surplus padding option to action area
        When glade files are saved which have GtkAssistants defined a packing
        section is added to the assistant action area which then causes a
        warning so remove them.
    Add XML namespaces for all Account Hierarchy Templates.
    Increase default options dialog size: The old 400x400 was woefully
        inadequate for most options especially options involving account trees.

Updated Translations: None.

2.7.7 - 18 March 2018

    The Gnucash Development Team is pleased to release Gnucash 2.7.7,
    the eighth release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:

For Developers and Distro packagers:
    The Python Bindings and Console are now for Python 3.
    It's now possible to create a GncPrice from the Python bindings
        with "gnc_price_create(book)", removing the need to clone an existing
        GncPrice object and modify it.
    Compilation of GLib Schemas during build and installation can be
        disabled by setting -DCOMPILE_GSCHEMAS=OFF. This is intended
        *only* for distribution packaging scripts that run
        glib-compile-schemas themselves.

The following bugs are fixed only in unstable/master:
    Bug 787439 - Segmentation Fault in Transfer dialog after clearing
                 Date field and pressing escape.
    Bug 791831 - Add python3 support.
    Bug 794242 - Remove keep above setting for assistant hierarchy

Other repairs not marked as bugs in git:
    Fix date corruption in SQL load. Four date elements were affected:
        GncEntry::date, GncEntry::date_entered, GncInvoice::opened, and
        GncInvoice::posted. This does not affect the stored values of the dates.
    Fix lost Bayesian matches in SQL backend. The import-map-bayes uses a
        three-part key that uses the same delimiter as a path and the SQL
        backend was throwing away everything except the account guid.
    More transient-window fixes and other Gtk3 cleanups.
    Add xmlns namespace declarations to all of the accounts templates that
        lacked it and remove the emacs mode-setting comments at the end of them.

Updated Translations: Spanish

2.7.6 - 12 March 2018

    The Gnucash Development Team is pleased to release Gnucash 2.7.6,
    the seventh release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:
    Modernise chart colours from the dated CSS defaults to
        modern colours as suggested by https://clrs.cc/.
    Add "Subtotal Summary Grid" to the Transaction Report.
        The subtotal summary-grid will tabulate subtotals - prime-sortkey
        vertically, sec-sortkey horizontally. This will be useful, for
        example, with prime-sortkey = accounts, sec-sortkey = date,
        sec-subtotal = monthly... will produce a monthly time series
        spreadsheet.

For Developers and Distro packagers:
    Rework source directory structure for gschema, gtkbuilder and ui files.
        There is now a directory for each respective file type directly in
        <srcdir>/gnucash as was already the case for gschema files.
        In principle all files of each type should go into these global
        directories. The only exception is if such a file belongs
        to an optional module. In that case the file remains located inside
        that module's directory. Currently we have ui, glade and gschema file
        exceptions in aqb and ofx importers.
    Drop intltool in favour or using modern gettext.
        By default we require gettext 0.19.6 as this is needed to generate a
        translated version of gnucash.desktop and gnucash.appdata.xml.
        For platforms where this isn't available, setting ALLOW_OLD_GETTEXT=ON
        will allow building but some strings will not be extracted to
        gnucash.pot
    Pass GTEST_ROOT and GMOCK_ROOT through to distcheck.
        So that they don't have to be exported in the environment if they're
        needed.
The following bugs are fixed only in unstable/master:
    Bug 764245 - multi-column reports include incorrect sub-reports
    Bug 793460 - gnucash/import-export/csv-imp/assistant-csv-trans-import.cpp:1941
                 is impossible to translate.
    Bug 793467 - GnuCash crashes when trying to open a binary file
                 instead of a CSV.
    Bug 793699 - start_spath could be used uninitialised.
    Bug 793900 - 2.7.5: test failure: 105 - python-bindings.
    Bug 793941 - 2.7.4: test failure on i686: 59 - test-gnc-timezone
                 Don't test before 1916, that's not a common GnuCash use-case.
    Bug 793947 - Impossible to render printable invoice
    Bug 794031 - The checkbox "Placeholder" cann't be changed in dialog
                 "Setup selected accounts". Enable placeholder toggle and
                 provide callback. The text for this account tree view
                 specifies "If you would like an account to be a placeholder
                  account, click the checkbox for that account." but they were
                  not enabled and no call back was defined so enabled the
                  toggle button and provide callback.
    Bug 794083 - gnucash-2.7.5: cmake+make build installs Makefile.
    Bug 794137 - 2.7.5: test failure: 60 - test-gnc-numeric.
                 Fixed by overloading operator<<(std::ostream&, GncNumeric) to
                 call operator<<(std::wostream&, GncNumeric) and convert the
                 result to utf8.
Other repairs not marked as bugs in git:
    Csv imp settings - internalize prefix handling
        This information is not relevant outside of the settings code.
        The way it's implemented now each settings module defines its
        own unique prefix and the generic code can just use it when
        needed.
    Csv import - improve memory handling in the assistant class.
        Make it more RAII, in that whatever the class allocates, it should
        also deallocate. This simplifies a couple of memory handling cases.
        The only exception is the generic import matcher that for some reason
        has chosen to deallocate itself. To be fixed when more importers are
        converted to c++
    Add some background info on memory management in CSV importers.
        As the assistant code combines multiple memory management models care
        should be taken not to mix them up. The notes should give some
        insights in how to do this.
        Also fix a few minor issues
        - delete default copy and move constructor/assignment for the
          assistant gui class
        - nullify a freed pointer
    Lots of transient parent warnings fixed.
    Fix Segmentation fault when going to File->New.
        When selecting the File->New with existing register pages open a crash
        can happen as the register pages get closed forcing a page-changed
        signal to queue the page focus function when there is no page. Add a
        call to remove the page focus function in the ..destroy_widget function.
        Also with the addition of g_idle_remove before the add when page-changed
        is emitted the page focus function only gets run once.
    Speed up GUID equality comparison.
    Fix CPack package version number.
        Currently running "ninja-build package" produces a file with an
        incorrect version number. This patch passes the CMake version
        variables into CPack to get the correct filename. Note, however, that
        there's more work to do to get CPack to actually be useful and the
        current CPack settings may be removed unless that other work is done.
    Add spacing between border and text in dialog "New Accounts Hierarchy
        Setup".
    With register obscured the sheet kept being redrawn
        When the register is obscured by another window, the sheet would get
        lot of draw events. This was tracked down to getting the foreground
        colour for the item-edit widget for the state GTK_STATE_FLAG_NORMAL.
        Changed this to use the value obtained from gtk_widget_get_state_flags.
    Use the gnc_prefs_get_bool values to update cache values.
        This way is a safer way to update the cache values in case the settings
        changed signal fails to trigger or there is a double trigger and the
        cached value gets out of sync with the preference value.

Updated Translations: German, Norwegian, Spanish

KNOWN PROBLEMS:

    Bug 789594 - Unable to overwrite splite3 database file
    Bug 791823 - There is no Gtk3 theme-setting tool for Windows.
    Bug 791825 - Accounting period dates off-by-1

2.7.5 - 25 February 2018

    The Gnucash Development Team is pleased to release Gnucash 2.7.5,
    the sixth release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:

    Locate all user data and configuration files to platform-dependent
    standard locations:
    - Windows: CSIDL_APPDATA/Gnucash
    - OS X: $HOME/Application Support/Gnucash
    - Linux: $XDG_CONFIG_HOME/gnucash (or the default $HOME/.config/gnucash)

    Further improvements to the Transaction and Income-GST-statement reports.

    Transaction Report: omit display of $0 in subtotals in other currencies.
    Previously in dual-subtotal columns, the dual-subtotal would
    attempt to print all commodities in the row. This meant if user
    chose common-currency thereby triggering additional commodities,
    the dual-subtotal would attempt to add amounts in other
    commodities which would be 0, and display the 0 amount.

For Developers and Distro packagers:

    Some cruft removal in libgnucash/scm plus moving some code to its
    only use location. "main.scm" is renamed to "utilities.scm".

    The "printf" family of Scheme custom functions is replaced with
    the built-in "format" facility.

    Change a generally unnecessary warning about being unable to open
    a module (usually because the file is still being created) to a
    debug message. It appears mostly during highly parallel builds and
    was distracting.

    Added dependency information to all CMake targets, replacing a
    dependency on build order that was carried over from
    autotools. Highly parallel builds in ninja now complete without
    interuption.

    Ensure that all GtkBuilder and GtkUIManager files are correctly
    installed and that no configuration of build products in those
    directories are..

    Appstream configuration is updated to the latest spec.

    Fix installation of a gnucash-only gschemas.compiled overwriting
    the system one. Note that if you install to a DESTDIR you'll need
    to re-run glib-compile-scemas after moving the contents of
    $DESTDIR$PREFIX/share/glib-2.0/schemas to $PREFIX.

    Added two functions to the Scheme option API:
    * gnc:option-make-internal! will hide an existing option. e.g.  a
      derived report can set the value for a Display/* option and hide
      it from the user.
    * gnc:unregister-option will unregister option. This is primarily
      useful for derived options e.g. another report copies from
      transaction.scm and removes some options and recreates them with
      different parameters.
    For example, unregister existing option from section "Accounts"
    name "Accounts", and recreate with different parameters
    e.g. limited account types.

The following bugs are fixed only in unstable/master:
    Bug 787095 - Gnucash Crashes when opening old XML file.
    Bug 792157 - Cannot create account with different currency
    Bug 792833 - User specifies source of 'num' field'; either transaction
                 number or split action (requires at least GnuCash
                 2.5.0) Strip leading delimiters from KVP keys when
                 reading them from the database. Leading delimiters
                 are incorrectly included in databases created with
                 GnuCash 2.6.x.
    Bug 792883 - cmake: no way to turn off -Werror
                 Prepend settings to CMAKE_C_FLAGS and CMAKE_CXX_FLAGS
                 so that values supplied on the command line can
                 override the fixed settings.

    Bug 792884 - cmake: gschemas.compiled missing
    Bug 793122 - 2.7.3: ninja build fails.
    Bug 793155 - Gnucash 2.7.4 crashes on launch MacOS 10.13.4 PB1
    Bug 793278 - wrong data in charts with accumulated values (like
                 "net-linechart", "net-barchart" and "liabilities barchart")
    Bug 793568 - "Cash Flow" report crashes

Other repairs not marked as bugs in git:

    An optimization in the GncDateTime string constructor provides
    substantial speed up of loading SQL databases, and one in
    Scheduled Transaction creation will speed up creation of large
    numbers of scheduled transactions.

    More dialogs have transient-for set so that they pop up over the
    window instead of in the upper left-hand corner of the monitor.

Updated Translations: German, Greek, Slovak, Spanish

    A new set of business account templates for India's new GST; use
    locale en_IN to enable them.

KNOWN PROBLEMS:

    Bug 789594 - Unable to overwrite splite3 database file
    Bug 791823 - There is no Gtk3 theme-setting tool for Windows.
    Bug 791825 - Accounting period dates off-by-1

2.7.3 - 31 December 2017
    The Gnucash Development Team is pleased to release Gnucash 2.7.3,
    the fourth release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:
    A greatly enhanced Transaction report with many new options and features
         including a reconciliation report thanks to Chris Lam.
    Removed 6-figure rounding from price calculations, allowing prices to
         have up to 18 digit precision.
     A flatter storage scheme for Bayes account-matching scores, thanks
           to Aaron Laws. This is a compatibility change guarded by a feature.
     GnuCash no longer supports Guile-1.8 and now does support Guile-2.2
     A CSV Price importer, thanks to Bob Fewell.
     Enhanced python bindings exposing more GnuCash API thanks to Guy Taylor

The following bugs are fixed only in unstable/master:
    Bug 616709 - Pressing delete key while editing account name offers to
         delete account.
    Bug 771667 - Change reconciled splits warning
         This patch displays two distinct warnings when changing
         protected fields of a transaction that contains reconciled
         splits. If the fields date, num and description are changed,
         then the warning list the accounts that have reconciled
         splits and also advises that they will be unreconciled after
         editing the transaction. If the fields account, transfer,
         debit or credit are changed then the warning advises that the
         split will be unreconciled after editing the transaction.
         There is still just one warning preference as it is all to do
         with fields protected by reconciliation.
    Bug 787497 - Disabling options cripples dist package PARTIAL FIX:
          WITH_OFX, WITH_SQL and WITH_AQBANKING handling is fixed. The
          dist files for these features are always included in the
          dist tarball.
    Bug 790526 - Mathematical bug
    Bug 791848 - GC 2.6.x does not handle ISO dates introduced with GC 2.7.
         Set a feature to prevent versions older that 2.6.20 from
         loading a database from which they cannot read the
         dates. Ideally we would do this only if the database is
         written to, but the current persistence design includes
         committing back to the database during the load so the net
         effect is that the flag would be set anyway.
         This is a compatibility change guarded by a feature.


Other repairs not marked as bugs in git:
    Tests now pass in all timezones.
    More dialogs are made "transient for" so that they pop up centered on
         the main Gnucash window instead of somewhere on the left edge of the
         screen.
    A lot of Gtk3 issues and errors are fixed, thanks to Bob Fewell.
    Test struct tm* returns from gnc_gmtime and gnc_localtime to ensure that
         we don't crash for dereffing a nullptr.
    Removed the gnc:numeric type from Scheme code in favor of Scheme's own
          rational numbers. This allows direct conversion between
          Scheme numbers and gnc_numeric without the performance or
          accuracy penalties arising from using doubles as an
          intermediary.
     Pass KVP paths as a collection of elements instead of a delimited string.
           This allows keys to contain '/'. Thanks to Aaron Laws.
     Added a frameowrk for migrating preferences.
     Made separate functions for finding a widget's parent window:
          gnc_ui_get_gtk_window tries to find the immediate parent and
          gnc_ui_get_main_window tries to find the widget's parent
          toplevel, returning the first-mapped window.
     Make the splash/lock screen the transient parent for dialog boxes if the
          main window is not yet mapped.
     Rework directory determination in CMake builds.
          Sets paths for finding componenents depending on the state
          of ENABLE_BINRELOC, GNC_UNINSTALLED, GNC_BUILDDIR and
          whether any install paths have been set outside of
          CMAKE_INSTALL_PREFIX.  GNUInstallDirs changes the name of
          CMAKE_INSTALL_LIBDIR depending on the operating system and
          distro. When CMAKE_INSTALL_PREFIX is /usr, /usr/local, or
          any subdirectory of /opt it also changes
          CMAKE_INSTALL_FULL_SYSCONFDIR to /etc. An earlier commit by
          Aaron Laws mirrors the name of CMAKE_INSTALL_LIBDIR to the
          build library directory.  It's possible for builders to set
          any of the install directories anywhere they please.
          Setting any directory outside of CMAKE_INSTALL_PREFIX breaks
          Binreloc so the toplevel CMakeLists.txt now detects that and
          disables Binreloc.  If Binreloc is enabled then all path
          queries use it to find paths. This works in the build
          directory because the gnucash executable and all of the test
          programs are in build_directory/bin and LIBDIR, DATADIR, and
          SYSCONFDIR can be found in the same root path.  If Binreloc
          is disabled then in order to build or run programs from the
          build directory one must set GNC_UNINSTALLED and set
          GNC_BUILDDIR to the absolute path of the build
          directory. When those are set GNC_BUILDDIR replaces
          CMAKE_INSTALL_PREFIX in all paths that are subdirectories of
          CMAKE_INSTALL_PREFIX; paths that are not in
          CMAKE_INSTALL_PREFIX are appended whole to
          GNC_BUILDDIR. This process is constent between CMake and
          gnc_path_get_foo. GnuCash is unlikely to run from a DESTDIR
          without Binreloc.

KNOWN PROBLEMS:

    On Microsoft Windows starting the AQBanking Setup Wizard crashes GnuCash.

    Bug 789594 - Unable to overwrite splite3 database file
    Bug 791823 - There is no Gtk3 theme-setting tool for Windows.
    Bug 791825 - Accounting period dates off-by-1

2.7.4 - 3 February 2018

    The Gnucash Development Team is pleased to release Gnucash 2.7.4,
    the fifth release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:
    A new preference panel for the Alphavantage API key so that Finance::Quote
       users need not edit /etc/gnucash/environment.
    On Macs the Reconcile Window's menu moved to the menubar.
    The detected Finance::Quote version is displayed in the About box.
    Removed all references to the various Yahoo! quote sources and made
       Alphavantage the default.

For Developers and Distro packagers:
    The autotools build system has been removed.
    Add a "pot" target to the build system so that translators can easily
       generate a new gnucash.pot from a git repository.
    Improve handling of generated distributable files
    Fix make dist on a clean checkout
        cmake with unix makefiles fails to resolve dist dependencies
        added from COPY_FROM_BUILD if these dependencies aren't built
        yet. This commit replaces the COPY_FROM_BUILD based logic with
        two new functions 'dist_add_configured' and
        'dist_add_generated' to indicate which files should be
        included in the dist tarball. The latter also adds a target
        level dependency to the dist tarball custom command. Hence the
        former should be used for files that get generated during a
        cmake run while the latter should be used for files generated
        as the result of a 'make/ninja-build' run (like files for
        which an add_custom_command rule exists). Note: this commit
        also temporarily disables the dist target when building from a
        tarball (and hence it won't be tested in distcheck
        either). This will be handled in a future commit.
    Add DL_LIBS to gncmod-gnome-utils target. Fixes a build problem in FreeBSD.
    Detect presence or absence of libxml2 and makeinfo during configuration;
        abort if the first is missing and don't build the (mostly
        obsolete) texinfo documentation if the latter is. Document
        both in README.dependencies.
    Replaced Timespec with time64 in the Scheme and Python bindings,
       introducing many new C time64 functions to accomodate the
       replacement. Timespec will eventually be removed from the C API
       as well.

The following bugs are fixed only in unstable/master:
    Bug 787497 - Disabling OFX, AqBanking or python-bindings support cripples
                 the dist build target
    Bug 790526 - Mathematical bug
                 Actually about the number of weeks from/to 1 Jan 1970.
    Bug 790845 - 2.7.3: massive test failures on some architectures
    Bug 792106 - Wrong dates displayed
    Bug 792809 - Register text difficult to read with GTK 3.0 dark themes
                 Add a foreground css class to override the theme value.
    Bug 792947 - Missing translatable strings

Other repairs not marked as bugs in git:
    The long-standing known problem, AQBanking setup crashing on Windows.
    Webkit crashing the MacOS Gnucash.app.
    Some Guile 2.2 issues are resolved.
    Some bugs in the new Transaction Report.
    Correct setting of WebKit version during configuration when the version
       is cached.
    The change to the Average Cost calulation introduced in 2.6.12 is reverted.
       See the extensive discussion in Bug 775368 for mor information.
    Fix our appstream id as per the appstream recommendation
    Fix incorrect minimum dates in the net-linechart and net-barchart reports.
    Fix a report crash if the Account Depth is too low.

Updated Translations: Dutch, German, Russian, Spanish, and Turkish.
    The translations from goffice for the small piece of it that we use have
       been copied into the corresponding gnucash translations.

KNOWN PROBLEMS:

    Bug 789594 - Unable to overwrite splite3 database file
    Bug 791823 - There is no Gtk3 theme-setting tool for Windows.
    Bug 791825 - Accounting period dates off-by-1I was

2.7.3 - 31 December 2017
    The Gnucash Development Team is pleased to release Gnucash 2.7.3,
    the fourth release of an unstable series leading to Gnucash 3.0.

    Notice that we've decided that beginning with the upcoming major
    release we will use two-digit release numbers and that the next
    stable release will be 3.0. Mainenance releases will be 3.1, 3.2,
    etc. The next unstable release will be 3.900 and will lead to 4.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:
    A greatly enhanced Transaction report with many new options and features
         including a reconciliation report thanks to Chris Lam.
    Removed 6-figure rounding from price calculations, allowing prices to
         have up to 18 digit precision.
     A flatter storage scheme for Bayes account-matching scores, thanks
           to Aaron Laws. This is a compatibility change guarded by a feature.
     GnuCash no longer supports Guile-1.8 and now does support Guile-2.2
     A CSV Price importer, thanks to Bob Fewell.
     Enhanced python bindings exposing more GnuCash API thanks to Guy Taylor

The following bugs are fixed only in unstable/master:
    Bug 616709 - Pressing delete key while editing account name offers to
         delete account.
    Bug 771667 - Change reconciled splits warning
         This patch displays two distinct warnings when changing
         protected fields of a transaction that contains reconciled
         splits. If the fields date, num and description are changed,
         then the warning list the accounts that have reconciled
         splits and also advises that they will be unreconciled after
         editing the transaction. If the fields account, transfer,
         debit or credit are changed then the warning advises that the
         split will be unreconciled after editing the transaction.
         There is still just one warning preference as it is all to do
         with fields protected by reconciliation.
    Bug 787497 - Disabling options cripples dist package PARTIAL FIX:
          WITH_OFX, WITH_SQL and WITH_AQBANKING handling is fixed. The
          dist files for these features are always included in the
          dist tarball.
    Bug 790526 - Mathematical bug
    Bug 791848 - GC 2.6.x does not handle ISO dates introduced with GC 2.7.
         Set a feature to prevent versions older that 2.6.20 from
         loading a database from which they cannot read the
         dates. Ideally we would do this only if the database is
         written to, but the current persistence design includes
         committing back to the database during the load so the net
         effect is that the flag would be set anyway.
         This is a compatibility change guarded by a feature.


Other repairs not marked as bugs in git:
    Tests now pass in all timezones.
    More dialogs are made "transient for" so that they pop up centered on
         the main Gnucash window instead of somewhere on the left edge of the
         screen.
    A lot of Gtk3 issues and errors are fixed, thanks to Bob Fewell.
    Test struct tm* returns from gnc_gmtime and gnc_localtime to ensure that
         we don't crash for dereffing a nullptr.
    Removed the gnc:numeric type from Scheme code in favor of Scheme's own
          rational numbers. This allows direct conversion between
          Scheme numbers and gnc_numeric without the performance or
          accuracy penalties arising from using doubles as an
          intermediary.
     Pass KVP paths as a collection of elements instead of a delimited string.
           This allows keys to contain '/'. Thanks to Aaron Laws.
     Added a frameowrk for migrating preferences.
     Made separate functions for finding a widget's parent window:
          gnc_ui_get_gtk_window tries to find the immediate parent and
          gnc_ui_get_main_window tries to find the widget's parent
          toplevel, returning the first-mapped window.
     Make the splash/lock screen the transient parent for dialog boxes if the
          main window is not yet mapped.
     Rework directory determination in CMake builds.
          Sets paths for finding componenents depending on the state
          of ENABLE_BINRELOC, GNC_UNINSTALLED, GNC_BUILDDIR and
          whether any install paths have been set outside of
          CMAKE_INSTALL_PREFIX.  GNUInstallDirs changes the name of
          CMAKE_INSTALL_LIBDIR depending on the operating system and
          distro. When CMAKE_INSTALL_PREFIX is /usr, /usr/local, or
          any subdirectory of /opt it also changes
          CMAKE_INSTALL_FULL_SYSCONFDIR to /etc. An earlier commit by
          Aaron Laws mirrors the name of CMAKE_INSTALL_LIBDIR to the
          build library directory.  It's possible for builders to set
          any of the install directories anywhere they please.
          Setting any directory outside of CMAKE_INSTALL_PREFIX breaks
          Binreloc so the toplevel CMakeLists.txt now detects that and
          disables Binreloc.  If Binreloc is enabled then all path
          queries use it to find paths. This works in the build
          directory because the gnucash executable and all of the test
          programs are in build_directory/bin and LIBDIR, DATADIR, and
          SYSCONFDIR can be found in the same root path.  If Binreloc
          is disabled then in order to build or run programs from the
          build directory one must set GNC_UNINSTALLED and set
          GNC_BUILDDIR to the absolute path of the build
          directory. When those are set GNC_BUILDDIR replaces
          CMAKE_INSTALL_PREFIX in all paths that are subdirectories of
          CMAKE_INSTALL_PREFIX; paths that are not in
          CMAKE_INSTALL_PREFIX are appended whole to
          GNC_BUILDDIR. This process is constent between CMake and
          gnc_path_get_foo. GnuCash is unlikely to run from a DESTDIR
          without Binreloc.

KNOWN PROBLEMS:

    On Microsoft Windows starting the AQBanking Setup Wizard crashes GnuCash.

    test-import-bayes built with autotools intermittently fails at
    line 381, where the returned value is 1 instead of the expected 6.

    Bug 789594 - Unable to overwrite splite3 database file
    Bug 791823 - There is no Gtk3 theme-setting tool for Windows.
    Bug 791825 - Accounting period dates off-by-1

2.6.19 - 16 December 2017

The following bugs are fixed:
     Bug 787497 - Disabling OFX, AqBanking or python-bindings support cripples
                  the dist build target. (Partial: The requisite files for AQB
                  and OFX are provided. There remain ways to break the
                  distribution.)
     Bug 789928 - FTBFS with libdbi 0.9.0-5 on Debian
     Bug 790620 - Failed to create file
                  "/usr/share/glib-2.0/schemas/gschemas.compiled.XY789Y".

Other repairs not marked as bugs in git:
     Adapter for new flat KVP scheme for bayes import maps to be introduced in 2.8.0.
     A better way to handle MySQL's 0000-00-00 invalid date indicator.
     Fix python build and test errors on Mac.
     Don't try to unref a NULL GDateTime*.
     Add translator hint comments to C and glade files.
     Improve type of bank accounts in SKR03
     Stop testing GObject's handling of invalid parameters

Updated Translations: Dutch, German, Russian, Serbian

2.7.2 - 26 November 2017

    The Gnucash Development Team is pleased to release Gnucash 2.7.2,
    the third release of an unstable series leading to Gnucash 2.8.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    This release changes file locations, binding APIs, report options,
    and can make your data file no longer compatible with previous
    versions. See https://wiki.gnucash.org/wiki/UpdateNotes for
    details.

New Features For Users:
    No new features this time, but a raft of fixes and improvements!

The following bugs are fixed only in unstable/master:
    Bug 734865 - Assign as Payment... can silently 'unpay' a payed invoice
       * if the selected transaction is already linked to an existing
         payment, the payment dialog will present this payment again
         (same partner, post-to account, same selected document(s), same
         amount, memo, and transfer account).
       * if the selected transaction is not linked to an existing business
         transaction the logic will make a best guess as to whether the
         payment should be for a customer or vendor.
       * in both situations if the existing transaction has multiple splits
         that can be considered as transfer (or 'payment') splits the payment
         dialog can't work with it (it can only deal with one transfer split).
         In this case the user will be informed that only one valid transfer
         split will be retained and the others ignored.
       * the other thing the payment dialog can't handle are APAR type splits
         that are not associated to a lot at all. In case of transactions not
         part of a business transaction they will be silently ignored on the
         assumptions these were manually entered transactions with the
         intention to be linked to business transactions. On the other hand
         if such a split is part of a transaction that is also linked to a
         business payment already, a warning will be issued these splits will
         be removed from the new payment.
    Bug 778692 - Assign as payment should work for employee expense vouchers
       * if gnucash can deduce a partner from the transaction
         that partner will be proposed this works for all transactions
         that are part of a business transaction already and will
         correctly detect pre-existing customer, vendor and employee
         payments
       * if no partner can be deduced gnucash will assume the
         transaction to be a vendor or customer payment based on
         the sign
       * in all cases the user can change the partner type in the
         payment window that's presented to any of customer, vendor
         or employee to correct gnucash' suggestion.
    Bug 784623 - GNUCash does not work with sql backend.
        Wherin the problem is that MySQL's TIMESTAMP has a date range of
        1970-01-01 00:00:01 to 2038-01-19 03:14:07 and is unable to handle
        time_t of 0. MySQL's TIMESTAMP also assumes that input is in the
        server's timezone and adjusts it to UTC. GnuCash has already done
        that conversion.
    Bug 789608 - Compilation problems when linking libraries.
    Bug 789928 - FTBFS with libdbi 0.9.0-5 on Debian.
        This one required handling a new error condition.
    Bug 790550 - FTBFS: missing __init__.py


Other repairs not marked as bugs in git:

    SQL parameter quoting is corrected in the backend so that only string
    parameters are quoted. This caused trouble when trying to store SQL NULL;
    the string 'NULL' is different from the value NULL.

    SQL table versions weren't set consistently and a bogus version test could
    cause some tables to be not loaded.

    Better, more targeted handling of MySQL's penchant for setting
    date-time fields to "0000-00-00 00:00:00" if it doesn't like the
    input. This should be much less common thanks to fixing Bug
    784623.

    Major repairs to the "Dense Calendar" date selector.

    Fix colors on graph reports so that the selections work and the defaults
    are no longer transparent.

    Two large batches of styling fixes for Gtk3 from Bob Fewell.

    Fix the guile-compiled path in the environment file so that
    GnuCash can start on Windows.

    Convert the graphical reports to use GnuCash's rational numbers instead of
    doubles for better accuracy.


KNOWN PROBLEMS:

    On Microsoft Windows starting the AQBanking Setup Wizard crashes GnuCash.

    test-import-bayes built with autotools intermittently fails at
    line 381, where the returned value is 1 instead of the expected 6.

2.7.1 - 29 October 2017

    The Gnucash Development Team is pleased to release Gnucash 2.7.1,
    the second release of an unstable series leading to Gnucash 2.8.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

New Features For Users:

A new Cashflow Barchart report from Jose Marino

    Transaction Report improvements, including regular expression filtering,
    from Chrostopher Lam.

    The About dialog box layout is improved.

    GnuCash will always build the locale-specific tax modules. This
    was optional when building with autotools and never enabled when
    building with cmake. Note that the only supported tax locales are
    en_US and de_DE.

The following bugs are fixed only in unstable/master:

    Bug 789298 - Prompt for file history update leads to crash during startup.

Other repairs not marked as bugs in git:

    GnuCash no longer crashes on startup on Windows.

    GnuCash no longer crashes when loading price data.

    The Options Dialogs will appear over the application window
    instead of wherever Gdk decides is coordinates 0, 0 on the
    display.

    Owners were not correctly linked to invoices in the SQL backend.

    Building from a tarball with python enabled now works.

    Fix Reconcile dialog always showing a 0 ending balance.

    Fix the book being always marked dirty at startup if it contained
    any scheduled transactions.

KNOWN PROBLEMS:

    On Microsoft Windows starting the AQBanking Setup Wizard crashes GnuCash.

    test-import-bayes built with autotools intermittently fails at
    line 381, where the returned value is 1 instead of the expected 6.

2.7.0 - 17 October 2017

    The Gnucash Development Team is pleased to release Gnucash 2.7.0,
    the first release of an unstable series leading to Gnucash 2.8.0.

    This release is UNSTABLE and SHOULD NOT BE USED in production.
    See the KNOWN PROBLEMS list at the bottom of the announcement.

    Note: Version information in the splash screen and About dialog
    will now reflect the date of the last commit used to build
    GnuCash rather than the date it was compiled. This is to assist
    quality assurance and debugging efforts by Linux distribution
    maintainers.

New Features For Users:

    The headline item for this release is that GnuCash now uses the
    Gtk+-3.0 Toolkit and the WebKit2Gtk API. This change was forced
    on us by some major Linux distributions dropping support for
    the WebKit1 API. Unfortunately the Webkit project doesn't
    support Microsoft Windows so that platform will continue to use
    the WebKit1 API, though with Gtk3. We've selected Gtk+-3.14.0
    as the minimum version because it fully supports CSS
    theming. (Geert Janssens and Robert Fewell)

    There's a new CSV importer largely rewritten in C++, adding new
    features including the ability to re-import CSV files exported
    from GnuCash. (Geert Janssens)

    Data file directories are now located appropriately to the
    operating system's conventions by default. It's still possible
    to overried with the environment variable GNC_DOC_PATH, which
    replaces GNC_DOT_DIR in earlier versions of GnuCash. (Geert
    Janssens)

    Accounts in the Bayes import map are now linked by GUID instead
    of names so that the matcher won't have to be retrained if you
    rename an account. THIS WILL MAKE YOUR FILE UNREADABLE BY
    PREVIOUS VERSIONS OF GNUCASH. There's a new editor to remove
    outdated or incorrect match data from the import maps, a new
    user interfacs for managing files associated with transactions,
    an improved facility for removing old prices from the price
    database, and a way to remove deleted files from the history
    list in the file menu. (All from Robert Fewell!)

    Numerics are rewritten to allow for more significant
    digits. The old 6-digit-maximum fraction will be a 9-digit
    maximum by 2.8. there is still some cleanup required before the
    limit can actually change. (John Ralls)

    New Income GST Report and some improvements to the Transaction
    report. (Christopher Lam)

    Chart Reports appearance is improved (Carsten Rinke)

New Features For Developers

    Several parts of the engine and the SQL backend are rewritten
    in C++, an effort that will continue in the next development
    cycle. KVP is now private to libgncmod-engine and accessible
    outside via qof_instance_set and qof_instance_get. (John Ralls
    and Aaron Laws)

    KVP and GUID are reimplemnted in C++ using boost::variant and
    boost::UUID respectively (Aaron Laws).

    The date implementation is migrated to boost::date-time,
    replacing a Glib GDateTime implementation. This makes the
    earliest date recordable 1 January 1400CE instead of 1 January
    1CE. We doubt any users will be affected. (John Ralls)

    Distribution tarballs can now be built with CMake as well as
    Autotools. (Rob Gowin)

    The CuteCash front end has been removed. The code we need from
    GOffice has been brought into the GnuCash code base so GOffice
    is no longer a dependency.

    Of interest mostly to developers, we've reorganized the code
    into a core library directory, libgnucash, and
    applications-specific directory, gnucash.

    A new Russian translation of the Guide has been started by
    Dmitriy Mandel. Downloads in the usual formats are available at
    https://code.gnucash.org/docs/ru/; the HTML is at
    https://code.gnucash.org/docs/ru/gnucash-guide/.

    There will be no unstable documentation release at this
    time. There have been very few relatively minor changes to the
    master documentation branch; those documents may be viewed in
    the nightly builds at https://www.gnucash.org/docs.phtml.

The following bugs are fixed only in unstable/master:
    Bug  87652 - KVP modification does not change 'dirty' flag.
    Bug 120250 - KVP XML loader ignores '0' timestamps?
    Bug 122895 - general ledger should be named journal
    Bug 343227 - Summary bar alignment patch.
    Bug 388500 - Add option to remove deleted files from the history list.
                 Allows removing files from the MRU list if they no longer exist.
    Bug 541541 - RFE: auto-hide unused accounts
    Bug 608098 - Option is hard to find: Change Transaction Report to show
                 account names in multirow txn

                 On the Transaction report the General->Style option
                 has been replaced with a similar Display->Detail Level
                 option. This was done in order to make the display of
                 some columns dependent on the value of this option.

                 When upgrading from 2.6.x or earlier to 2.8.x and you
                 had saved or open reports that had set General->Style
                 to 'Multi-line' you will have to update these reports
                 to set 'Multi-line' on the Display->Detail Level
                 option instead and optionally resave your report.
    Bug 639401 - Invoices Due Reminder
    Bug 645786 - Fancy invoice report still doesn't use fancy date format
                 preference
    Bug 647230 - Display the blank split after the "now" line instead of at the
                 end
    Bug 679791 - Import Template for importing CSV files - part2
    Bug 684719 - Man pages for gnc-fq-* perl scripts
    Bug 689489 - Be able to show file location
                 The file location is now visible in the status bar
                 while hovering over the recent file list of the File
                 menu. The currently open file is the top-most file in
                 this list so its location can be seen by hovering over
                 it with the mouse.
    Bug 695610 - GnuCash Tax Invoice for Australia
    Bug 706021 - Test match text for valid account path
    Bug 726535 - Budget BarChart Report - add option to change to a line chart
    Bug 728136 - Rate in Job
    Bug 729001 - Fix a minor typo affecting the profile option in the previous
                 commit
    Bug 731589 - Add account level selection on accounts option tab
    Bug 733186 - [PATCH] Extend account tree view search function
    Bug 734168 - Tax invoice can be a bill too.
    Bug 737171 - After account creation wizard and saving, empty account window
                 is shown
    Bug 738462 - CSV Transaction Import should be able to import CSV files
                 generated by GnuCash export
    Bug 738477 - WebKit is broken on Win32.
    Bug 741810 - Compilation fails because of creating .gnucash
    Bug 747377 - Fix overly restrictive input validation for IBAN of SEPA
                 transfer.
    Bug 752686 - Initialize temp GValues in xaccAccountGetReconcileLastInterval.
    Bug 754530 - Add CSV Export Simple Layout
    Bug 754533 - Add the option to do a CSV export of a Register view
    Bug 756373 - Typos in Transaction Rpt options mouse-over text
    Bug 757532 - [PATCH] Make start and end rows editable by keyboard
    Bug 759674 - GNUCash crashes when importing invoices or bills with
                 delimited import
    Bug 760107 - Change default date completion to sliding window
                 The default date completion when entering partial
                 dates has been changed from "always complete in
                 current calendar year" to "complete to a sliding
                 window starting 11 months before current month". For
                 example if you enter "1/23" (January 23rd) while today
                 is December 10th 2015, the date will be expanded to
                 January 23rd 2016 rather than 2015. If you prefer to
                 keep the old behaviour, you can restore to it via
                 Edit->Preferences->Date/Time->Date Completion. In
                 addition if you were already using the sliding window
                 before, but didn't change the previous 6 months before
                 default, you will now also get the new default 11
                 months before. Again if you prefer the old behaviour
                 it can be restored via the same Preference.
    Bug 764268 - MT940 import select account based on transaction info
    Bug 769115 - db name isn't escaped well
    Bug 769576 - Seg Fault on Editing Scheduled Transaction's Amount
    Bug 778042 - These are the script changes for jqplot reports.
                 Adds resize function to graphical reports.
    Bug 780845 - link in github repo README file needs correction/editing

KNOWN PROBLEMS:

    On Microsoft Windows starting the AQBanking Setup Wizard crashes GnuCash.

    test-import-bayes built with autotools intermittently fails at
    line 381, where the returned value is 1 instead of the expected 6.

2.6.18 - 24 September 2017

The following bugs are fixed:
     Bug 644898 - Calendar of upcoming SXes has various display issues
     Bug 647805 - Interdependent report options fail to change state after
                  using apply for a limited number of times.
     Bug 771246 - Set Invoice/Bill items date correctly from imported CSV.
     Bug 784284 - unifying "Clear the entry." tooltip on Loan Repayment
                  Calculator
     Bug 787479 - Persian currency symbol is doubled.

Other repairs not marked as bugs in git:
      Added Catalan Accounts for the New Account Assistant
      Fixed errors from loading init.py.
      Run the python bindings tests in a CMake build.
      Implement dist, distcheck, and uninstall targets for CMake build.

Updated Translations: Farsi, German, Japanese, Latvian, Serbian, Spanish

2.6.17 - 2 July 2017

The following bugs are fixed:
      Bug 603379 - Prevent changing some Account Options if it has transactions
                   Followup: Relax the account type change restrictions again.
		   In the new implementation account types can'tz be changed
		   for an account with splits:
		   - if the change woud force a commodity change
		     (to/from normal accounts from/to stock related accounts)
		   - for immutable accounts
		   At the time of this commit the following account types are
		   considered immutable:
		   - Accounts Receivable
		   - Accounts Payable
		   - Trading accounts
      Bug 776396 - Foreign currency reports, amounts are not aligned correctly
                   Improve the styling of the table element used for foreign
		   currencies in the Balance sheet report so they end up
		   aligned with the other currencies.
      Bug 780845 - link in github repo README file needs correction/editing
      Bug 780889 - Split-register transactions result in invalid price:type
                   "transaction": Add 'transaction' to the schema and document
		   it in gnc-pricedb.h.
      Bug 781634 - Alert on missing account currency when opening account
      	  	   Also separate translatable commodity namespace strings
                   from those used in storage:
		   There is now a separate GNC_COMMODITY_NS_ISO_GUI
		   label to be used everywhere the user needs to read
		   'Currency namespace'. It's currently set to
		   'Currencies' and can be translated.

      Bug 782274 - Transactions produced by Transfer Funds or Process Payment
                   dialogs sort to beginning of day and do not honor NUM field
		   for custom sorting.
      Bug 782897 - Stock Split Assistant crashes GnuCash if you enter a New
                   Price and that already exists in the Price DB
      Bug 783095 - gnucash-2.6.16 segfaults on startup
      Bug 784317 - typo in 'import customers or vendors from text file' dialog

Other repairs not marked as bugs in git:
      Properly define the template namespace rather than using a local string
         everywhere
      Correctly store time64 0 in the SQL backend: The SQL backend ignored
         time64 0 when saving dates. time64 is a perfectly valid timestamp
	 (1970-01-01 00:00:00) and should be stored.
      Clamp time64 values passed to GDateTime functions to the valid range.
         Fixes a bug reported on the mailing list wherein a date of 0000-00-00
         in a MySql database would crash GnuCash. Such dates may come from a bad
         conversion of 1970-01-01 or from a crash.
      Add XSU to iso-4217-currencies
      Some banks include additional purpose information for a transaction in
         non-swift-section 17 (aka transaction text). If available, this
	 transaction text is put in front of the other purpose texts to provide
	 full transaction information. Adds a preference to control import
	 behaivour of transaction text.

Updated Translations: Arabic, Turkish

2.6.16 - 26 March 2017

The following bugs are fixed:
      Bug 516920 - Calendar Pop up disappears of the left side.
      Bug 603379 - Prevent changing some Account Options if it has transactions
      Bug 670731 - Future Value not working with Loan Scheduled transaction
      Bug 739571 - Matching imported transactions doesn't indicate previously
                   matched entries
      Bug 759934 - Tiny reports in HiDPI (workaround).
      Bug 766630 - gui dialog for sorting transactions to accounts after aqbanking
                   import broken
      Bug 767032 - Bad invoices from importing "posted" needing currency conversion
                   Only auto-post if the posted_to account name is valid, there's
		   no currency conversion, or the invoice customer's currency
		   matches the A/R account currency. Tell the user what happened
		   with a dialog.
      Bug 773945 - Select Security Dialog Not User Friendly:
                   Add a new namespace “ALL NON-CURRENCY” to the namespace (type)
		   selector lists on the security picker and price editor which
		   causes the commodity list to include all non-security
		   commodities.
      Bug 776247 - PriceEditor thinks Currency XXX is an actual currency and
                   tries to retrieve prices for it.
      Bug 776380 - Gross value of bills charged back instead of net value
      Bug 776494 - Wrong menu entry in Tip of the day
      Bug 776517 - Trial Balance Report: Total Debits Issue re $0 Commodity
                   Accounts and Price Source Mode Set to "Nearest in Time" or
		   "Most Recent"
      Bug 776564 - Creating a scheduled transaction from an existing transaction
                   does not include the notes field.
      Bug 778208 - Scheduling 2nd, 3rd or 4th Wed doesn't seem to work.
      Bug 779217 - Transactions rounded to 5 decimal places when opening file.
      Bug 779411 - jqplot fixes for piechart and syntax error.
      Bug 777875 - Reports with charts are flickering in certain circumstances
      Bug 777949 - Accounts implicitly created in ledger attempt creation twice

Other repairs not marked as bugs in git:
      Use "Billing Information" as in other biz modules
      Update local symbol for MUR.
      Online banking: Add output of bank messages that might occasionally be
             received.
      Allow only date entry for opening balances on new accounts.
      Enable taxinvoice to show net price: Add gncEntryGetNetPrice. Create an
             option in taxinvoice to either use gncEntryGetNetPrice or
             gncEntryGetPrice
      Make SQL full-DB sync safer and clean up automatically if it's interrupted
             by a system or network failure.
      Extend account color to all columns in the account hierarchy page
      Localize the word “CURRENCY” used in the commodity namespace selectors.

The following translations have been updated: Catalan, Dutch, Finnish, German. Portuguese, Russian, Serbian.

2.6.15 - 18 December 2016

The following bugs are fixed:

      Bug 340991 - Default price source for reports not good.
      Bug 516920 - Scheduled trasaction calendar popup off screen.
      Bug 685329 - Crashes on non-existent date.
      Bug 769124 - Australian (GMT-10) OFX transactions imported have
                   previous day's date.
      Bug 770364 - Sign of Value in Lots in Account window seems inconsistent.
      Bug 771246 - Set Invoice/Bill items date correctly from imported CSV.
      Bug 771617 - Build fails because test test-report-utilities is
    	           sensitive to time of day/timezone.
      Bug 772313 - Invalid DOCTYPE in report generation.
      Bug 772369 - Replace use of guile's internal date/time functions.
      Bug 772382 - Date off-by-one after DST change.
      Bug 772484 - Segfault on Transaction edit.
      Bug 773808 - Export Report Crash.
      Bug 774237 - FTBFS under some timezones (eg. GMT-14).
      Bug 775368 - "Average cost" price source problem.
      Bug 775385 - Confusing error message which includes the text "file file".
      Bug 775567 - Importing QIF file from PayPal crashes GnuCash 2.6.14
                   on Windows XP service pack 3/
      Bug 775912 - Tips of the Day shows content only once very 3 times.

Other repairs that weren't marked as bugs in git:
      Fix report html header
      Changed the default value for date format in Business Options
      Change report resizing when not in view
      Add an image for the report tab
      Show empty business splits in lot viewer
      Business check & repair - correct lot invoice state
      When juggling business splits while scrubbing set both value and amount
      Update progress bar while running Check & Repair
      Remove lot from account while deleting the lot
      Ensure that the Namespace combo box is initialized to a valid iter.
      Fix CSV importer to handle GMT + 13 Timezone (New Zealand Daylight
      Fix broken german account template 'Kontenrahmen für
           Wohnungswirtschaft'.Time).

Translation Updates: Danish, German, Serbian

2.6.14 - 17 September 2016

The following bugs are fixed:
    Bug 643025 - RFE: Ability to select and open multiple invoices.
    Bug 733153 - Ambiguous view of buttons in search dialog Linux version.
    Bug 742461 - SQL backend doesn't update customer info.
    Bug 756416 - CSV data with Posted information will always have last
    	         invoice not posted.
    Bug 761667 - Crash opening associated location that has no scheme.
    Bug 762901 - Fix saving Account Treeview sort order.
    Bug 769730 - Investments: Lots in This Account, Closed column shows
                 date 25/11/1833 instead of Open.
    Bug 769746 - Zero interest loan formula fails.
    Bug 770113 - compiling issue with libdbi.
    Bug 770136 - 'Reverse Order' in 'View'->'Sort by' is not saved.
    Bug 770181 - gnc-fq-dump incorrectly says "quote cannot be used...
    Bug 770196 - cppcheck va_list not closed.
    Bug 770303 - Incorrect commodity match during import OFX and possible
                 solution.
    Bug 771246 - Set Invoice/Bill items date correctly from imported CSV.
    Bug 771379 - GnuCash doesn't support Russian Ruble Symbol.

Other repairs that weren't marked as bugs in git:
     Build improvements with CMake, accomodation for Guile-2.0.12 on Gentoo.
     Change the date_posted timestamp from midnight local to 11:00 AM GMT,
          which will be the same date in nearly all timezones.
     SX - Recalculate all occurrences of all SX if the calendar is updated
          to start on another month
     SX Window: correctly show first sx on calendar when it is moved to next
          weekday.
     Work around libofx bug which caused OFX imports to have the wrong
          date_posted when in an eastern-hemisphere timezone and not
          daylight time.
     Indicate in the register when a transaction has an associated file or
          URI. The indicator will appear in the "reconciled" column in the
          second transaction line (enable double-line view to see it).

Translation Updates: Dutch, German, Serbian, Spanish

2.6.13 - 28 June 2016

The following bugs are fixed:
    Bug 637004 - Optionally allow customer and vendor address info to display.
    Bug 736352 - Expense Voucher adds tax automatically
    Bug 748983 - Crash after opening money transfer dialog twice.
    Bug 760021 - File "Save As" to an existing file...overwrites without
                 warning.
    Bug 761672 - Transfer made to placeholder account.
    Bug 764248 - saved-reports-2.4-backup line endings unconventional
    Bug 764871 - Crash starting gnu cash.
    Bug 765859 - The budget reports missing in Hungarian edition
    Bug 766028 - crash on manual addition of price entry in Price Editor.
    Bug 766200 - Three-up printing does not position the third check
                 properly.  A few bugs in the calculation of check
                 positions while printing checks have been
                 corrected. If you manually edited the check formats
                 to compensate for these positioning errors in
                 previous versions of gnucash, you may have to undo
                 these changes. Please check this before printing your
                 next check.
    Bug 766688 - Minimal fraction of BYN should be 1/100
    Bug 766960 - gnucash-make-guids fails to run due to hardcoded paths.
    Bug 767824 - Some UTC timezones incorrectly recognized on Windows 7


Other repairs that weren't marked as bugs in git:

     The gnc_gui_refresh_all statement in gnc_book_options_dialog_apply_cb
                 causes the 'apply' and 'OK' buttons to be set to
                 sensitive on the open Book Options dialog in some
                 circumstances; this commit causes them to be reset to
                 insensitive, as they should be.

     Check printing: make logic easier to follow.
     Fix adjust_sql_option_string test on Windows.
     Don't try to compile test_adjust_sql_options on windows, it won't link.
     Fix the CMake build by linking gnc-backend-dbi for test-backend-dbi.
     Improved adjust_sql_options_string, added tests.
     Improve quickfill performance on huge registers.
     Mac Localization: Prefer the country to the language for
                fall-back locales.  On the theory that in countries
                where multiple languages are in use similar date and
                number formats will apply regardless of language, and
                especially that the default currency will be the same
                regardless of language. Also ensure that the specified
                language is in the list passed to gettext; the net
                effect of which is that the user will effectively get
                the requested localization behavior.

     Update README to refer to wiki Submitting_Patches and regarding pull
                request policy.

Translation Updates: Dutch, Russian, Serbian

Standard Chart-of-Accounts Localizations Updates: Finnish, Sweden_Finnish, and 	Åland Islands Finnish.

2.6.12 - 26 March 2016

The following bugs are fixed:
     Bug 482186 - Customer and vendor report for partners who get invoiced/paid
                  in foreign currency show total labeled with the symbol of the
		  default currency
     Bug 620281 - Adding reversing transaction to bill transactions creates
                  undeleteable transactions
     Bug 642292 - General Ledger report - 'Primary Sort Key' value is not
                  persistent
     Bug 687504 - Not possible to reset an invoice/bill counter format
     Bug 693342 - Print (bottom) prints to middle for 3-check pages
     Bug 719904 - Decide payment type only based on the account type involved
     Bug 720934 - Barcharts with many data points have overlapping x-axis labels
     Bug 722996 - Cannot add stock price on Price Editor
     Bug 723689 - Splash screen doesn’t set the floating hint.
     Bug 728074 - Posting bill converts currency to itself using 0 rate
     Bug 728722 - Setting number format details appear wrong in Help,
                  section 10.3.4. Counters Book Options Tab
     Bug 733164 - {MacOSX] Command-H Invokes Help->Help Contents
     Bug 742352 - Budget Summary section does not show expense totals
     Bug 744157 - Tip about subaccount is confusing
     Bug 754209 - Bills can be posted from "find bill" search results even if
                  bill is already posted and results in extra $ posted to A/P
     Bug 754856 - scheduled transaction <gnc.app-utils.sx> fails without warning
     Bug 756469 - CSV Invoice Import - Items with double quote escape not
                  imported.
     Bug 760015 - guile support is automagic
     Bug 760529 - Get Quotes updates value just once per day
     Bug 760711 - Non-ASCII characters not shown in Report Name when a report
                  is created with 2.6.11
     Bug 762971 - Duplicating multiple invoices results in invoices without an
                  ID number
     Bug 763111 - commodities prices editor creates hidden db entries
     Bug 763146 - Invalid exchange rate is recorded when entering multi-currency
                  transaction
     Bug 763279 - GnuCash has empty reports in recent Gentoo builds.

Other repairs that weren't marked as bugs in git:
     Various memory leaks.
     More multi-currency fixes related to bug 763146.
     Be more liberal in accepting business counter custom formats: li, lli, I64i,
         and whatever is defined to G_GINT_64 or PRIx64 on the system on which
	 GnuCash is compiled.
     Correctly re-value splits when the transaction currency is changed.
     Reset the transaction currency to match the currently open account when
         auto-completing.
     Refine the MacOS X localization when the system-generated POSIX locale
         isn't a supported locale: Prefer the country to language when selecting
	 an alternate locale, but still pass the original language to gettext.
     Check printing: extract address from invoice/bill for payment transactions

Robert Fewell has contributed changes needed to allow the 2.6 series
    to read files from future major versions which use GUIDs instead of
    names to identify matched accounts with the Bayesian import matcher.

Translation Updates: Azeri, Basque, Catalan, Chinese (Simplified), Czech,
                     Danish, Dutch, Farsi, Japanese, Kinyarwandan, Portuguese,
		     Slovak, Serbian, Swedish, Turkish, Ukrainian.

2.6.11 - 11 January 2016

This is a snap release to correct a QIF import regression.

The following bugs are fixed:
     Bug 680104 - Scheduled Tranaction formula not calculated when variables
                  are mixed with constants.
     Bug 756335 - When importing, date selection causes exit crash.
     Bug 759570 - Postponing a repeating SX skips over the instance.
